2007-12-31 13:52  andi5

	* [r16776] lib/libqof/qof/gnc-date.c: #506074: Handle fractional
	  timezone offsets correctly in gnc_timespec_to_iso8601_buff().
	  Patch from Daniel Harding BP

2007-12-31 11:05  andi5

	* [r16775] accounts/de_DE/acctchrt_skr04.gnucash-xea: Revive root
	  account in german skr04 account template.

2007-12-31 06:21  andrewsw

	* [r16774] src/report/standard-reports/advanced-portfolio.scm:
	  Advanced Portfolio, improve dividends and brokerage fee
	  handling: * allow proportional application of dividends/fees in
	  a multi-stock txn, * collect reinvested dividend amounts from
	  the buy split not income split, * track reinvested dividends
	  separately from dividend income, * report income when dividends
	  are *not* reinvested if there is a zero value/amount split tied
	  back to the stock account. Thanks to Richard Laager for ideas
	  and guidance.

2007-12-30 19:59  andi5

	* [r16773] src/gnome-utils/gnc-account-sel.c: Do not set active
	  element of GncAccountSel to the first sometimes. In
	  gas_populate_list, the currently selected account is searched in
	  the new data, falling back to the first element in the list and
	  selecting it afterwards. So, often "Assets" is activated,
	  whereas the filtering happening later does not deselect it in
	  any way (the user may have typed it in). This patch simply
	  removes the fallback to element 1. To make the gas look better,
	  it may help to set it initially, like to an entry that was used
	  recently.

2007-12-30 19:50  andi5

	* [r16772] src/business/business-core/file/gnc-employee-xml-v2.c,
	  src/business/business-core/file/gnc-vendor-xml-v2.c: Save and
	  load kvp frames of vendors and employees.

2007-12-30 18:42  andi5

	* [r16771] src/engine/engine-helpers.c: Make gnucash compile on an
	  optimizing gcc-4.2. Patch from Jerry Quinn BP

2007-12-30 18:34  andi5

	* [r16770] configure.in, lib/stf/Makefile.am,
	  src/import-export/csv/Makefile.am: Fix a few automake warnings.

2007-12-30 15:58  jsled

	* [r16769] src/gnome-utils/gnc-frequency.c: Bug#506429: Correct
	  widget index offset computation for last-day-of-month SXes. BP

2007-12-30 10:57  cstim

	* [r16767] src/gnome-utils/gnc-dense-cal.c: Remove translation
	  string from gnucash.pot that is looked up in gtk20 domain. As
	  pointed out by Bruno Haible, if there is only one dgettext call
	  the easiest way to exclude this from xgettext extraction is to
	  rename this particular dgettext call by a wrapper macro. BP

2007-12-29 22:36  jsled

	* [r16766] src/app-utils/gnc-sx-instance-model.c: Bug#505972:
	  Correctly size the GUID string buffer; should resolve 2.2.2 SX
	  crashes. BP

2007-12-29 19:40  plongstaff

	* [r16764] lib/libqof/qof/gnc-date.c, lib/libqof/qof/gnc-date.h,
	  lib/libqof/qof/kvp_frame.c, lib/libqof/qof/kvp_frame.h,
	  lib/libqof/qof/qofbackend.c, lib/libqof/qof/qofbackend.h,
	  lib/libqof/qof/qofbook.c, lib/libqof/qof/qofbook.h,
	  lib/libqof/qof/qofbookmerge.c, lib/libqof/qof/qofid.c,
	  lib/libqof/qof/qofid.h, lib/libqof/qof/qofinstance.c,
	  lib/libqof/qof/qoflog.c, lib/libqof/qof/qoflog.h,
	  lib/libqof/qof/qofquery-p.h, lib/libqof/qof/qofquery.c,
	  lib/libqof/qof/qofquery.h, lib/libqof/qof/qofquerycore-p.h,
	  lib/libqof/qof/qofquerycore.c, lib/libqof/qof/qofquerycore.h,
	  lib/libqof/qof/qofsession-p.h, lib/libqof/qof/qofsession.c,
	  lib/libqof/qof/qofsession.h, src/engine/engine-helpers.c,
	  src/engine/engine-helpers.h: Make some parameters const

2007-12-29 17:44  plongstaff

	* [r16763] src/valgrind-gnucash.supp: Update valgrind suppressions

2007-12-29 17:43  plongstaff

	* [r16762] src/engine/cap-gains.c, src/engine/cap-gains.h: Make
	  some parameters const

2007-12-29 03:26  plongstaff

	* [r16760] src/gnome-utils/gnc-tree-model-account.c: Fix valgrind
	  error - conditional based on uninitialized variable

2007-12-29 00:25  andrewsw

	* [r16759] src/report/standard-reports/advanced-portfolio.scm:
	  another stab at improving rounding. prevent more overflows as
	  pointed out by Kendall Green. lots of GNC-AUTO-DENOM seems to
	  clean up the overflowing and prevent phantom gains/losses from
	  rounding errors. BP

2007-12-28 23:16  andrewsw

	* [r16758] src/import-export/qif-import/qif-to-gnc.scm: Charles
	  Day's improvements to qif memo/notes handling. bug #495219. BP

2007-12-28 21:44  andi5

	* [r16756] lib/libqof/qof/qofbackend.c,
	  lib/libqof/qof/qofquerycore.c: Fix two memory leaks.

2007-12-28 14:45  andi5

	* [r16755] src/import-export/ofx/gnc-ofx-import.c: #505386: Strip
	  non-utf8 characters from ofx check and reference number strings.
	  BP

2007-12-28 02:27  plongstaff

	* [r16754] packaging/win32, src/engine/gnc-commodity.c,
	  src/engine/gnc-commodity.h: 1) Make some function parameters
	  const 2) Add '.deps' to svn:ignore

2007-12-27 15:12  andi5

	* [r16747] configure.in: Bump version number to 2.2.99 on trunk.

2007-12-27 14:15  warlord

	* [r16746] src/engine/test/test-book-merge.c: Don't need to sleep
	  in the test. (#505894) If we do need to sleep, next time the
	  comment should explain why.

2007-12-27 14:02  warlord

	* [r16745] src/engine/gnc-commodity.c: Fix the logic of the #if
	  for the warning.

2007-12-27 12:22  andi5

	* [r16742] accounts/de_AT/acctchrt_brokerage.gnucash-xea,
	  accounts/de_CH/acctchrt_brokerage.gnucash-xea,
	  accounts/de_CH/acctchrt_common.gnucash-xea,
	  accounts/de_DE/acctchrt_brokerage.gnucash-xea,
	  accounts/de_DE/acctchrt_common.gnucash-xea: Correct Ertraege in
	  latin1-encoded german account templates. This stems from r16550
	  and r16551 and is due to a weird mixture of utf-8 and iso-8859-1
	  in the de_* files. BP

2007-12-27 10:44  cstim

	* [r16740] src/report/standard-reports/cash-flow.scm: Fix i18n
	  string to translate only the meaningful part. Remove the
	  unnecessary "for" in the report title. This doesn't introduce
	  any new string. It can be back-ported right away. BP

2007-12-26 22:07  cstim

	* [r16733] po/POTFILES.skip: Remove unused import-export/qif files
	  from translation input. BP

2007-12-26 05:17  warlord

	* [r16730] src/engine/Account.c, src/engine/Period.c,
	  src/engine/gnc-commodity.c, src/engine/gnc-commodity.h,
	  src/gnome-utils/dialog-commodity.c: Allow the user to
	  permanently disable currency quotes (#499496) Patch by Daniel
	  Harding

2007-12-26 03:28  warlord

	* [r16729] src/business/business-reports/owner-report.scm: Show
	  the balance row for all transactions before the "from" date.
	  Patch by Jeff Green BP

2007-12-26 03:14  warlord

	* [r16728] src/business/business-reports/aging.scm: Including all
	  bills/invoices since the beginning of time. Patch by Jeff Green.
	  BP

2007-12-26 02:39  warlord

	* [r16727] src/gnome-utils/gnc-tree-view-account.c: Wait for
	  pending events before displaying the tree view (#463678) BP

2007-12-26 02:26  warlord

	* [r16726] src/gnome/reconcile-list.c, src/gnome/reconcile-list.h:
	  Don't un-clear transactions improperly when postponing
	  reconciliation (#497517) Patch by Jeff Green and Mark Jenkins BP

2007-12-26 02:14  warlord

	* [r16725] src/engine/Account.c, src/engine/cap-gains.c,
	  src/engine/gnc-lot.c, src/engine/gnc-lot.h,
	  src/gnome/glade/lots.glade, src/gnome/lot-viewer.c: Allow
	  creation of new lots from lot viewer. (#420543) Patch by Klee
	  Dienes <klee@mit.edu> * src/engine/Account.c
	  (xaccAccountRemoveLot): Generate a QOF_EVENT_REMOVE for the lot
	  and QOF_EVENT_MODIFY for the account. (xaccAccountInsertLot):
	  Ditto, but QOF_EVENT_ADD. * src/engine/gnc-lot.c
	  (gnc_lot_make_default): Move from cap-gains.c. *
	  src/engine/gnc-lot.h (gnc_lot_make_default): Add prototype. *
	  src/engine/cap-gains.c (MakeDefaultLot): Move to gnc-lot.c as
	  gnc_lot_make_default(). * src/gnome/lot-viewer.c: Add code to
	  support lot creation: (RESPONSE_NEW_LOT): Add enumerated value.
	  (lv_save_current_row): New function. (lv_select_row): Add call
	  to lv_save_current_row. (lv_unselect_row): Use
	  lv_save_current_row. (lv_close_handler): Use
	  lv_save_current_row. (lv_response_cb): Handle RESPONSE_NEW_LOT.
	  (gnc_lot_viewer_dialog): Watch for QOF_EVENT_ADD and
	  QOF_EVENT_REMOVE for lots. * src/gnome/glade/lots.glade: Add
	  "new lot" button.

2007-12-26 01:38  warlord

	* [r16724] src/business/business-reports/aging.scm: Fix a crash in
	  the receivable aging report (#384879) Dont access the owner
	  object after it's freed.

2007-12-26 01:07  warlord

	* [r16723] src/report/report-system/html-acct-table.scm: reduce
	  the width of reports (#366934) Use &nbsp; instead of extra
	  columns. Patch by Paul Andreassen

2007-12-26 00:10  warlord

	* [r16722] packaging/gnucash.spec.in: Make sure we require slib in
	  our RPM packaging (#471321)

2007-12-26 00:03  warlord

	* [r16721] src/engine/iso-4217-currencies.scm: Add currencies XDR
	  and XXX for IMF and "no-currency" (#504935)

2007-12-25 16:56  warlord

	* [r16720] src/business/business-core/gncInvoice.c,
	  src/business/business-core/gncInvoiceP.h,
	  src/business/business-gnome/dialog-invoice.c: Maintain separate
	  invoice number sequences for AR and AP (#327218) Actually,
	  maintain separate number sequences for Customer Invoices, Vendor
	  Bills, and Employee Expense Vouchers. Support Jobs, too. Based
	  on a patch by Alex Prinsier.

2007-12-25 16:23  warlord

	* [r16718] src/register/ledger-core/split-register-load.c: Choose
	  a reasonable currency in stock registers (#116353) Based on the
	  patch from Mike Alexander, walk up the account tree until we
	  find a "currency" account and use that instead of always using
	  the locale currency. Pop up a dialog if this fails search fails.
	  BP

2007-12-24 21:18  warlord

	* [r16716] src/engine/cap-gains.c,
	  src/engine/test-core/test-engine-stuff.c: (#492137) Re-apply
	  r16619 and make a change to the test harness to actually get the
	  checks to pass with r16690. This was an overflow in the test
	  harness.

2007-12-24 20:28  warlord

	* [r16715] src/gnome-utils/dialog-book-close.c: Make sure to
	  properly parent auto-created accounts. Make sure to properly set
	  account commodity. Make sure a currency sub-account doesn't
	  already exist before creating one.

2007-12-23 21:45  cstim

	* [r16706] src/business/business-reports/aging.scm,
	  src/gnome-utils/gnc-main-window.c,
	  src/gnome/dialog-print-check.c, src/gnome/glade/print.glade,
	  src/import-export/generic-import.glade: Fix spelling errors in
	  UI messages. Pointed out by Clytie Siddall. Those will break
	  several translated strings, but the fixed typos are an actual
	  improvement. BP
	* [r16705] src/import-export/hbci/glade/hbci.glade,
	  src/import-export/qif-import/qif.glade: Remove extra spaces in
	  glade messages. Pointed out by Clytie Siddal. Those will break 2
	  translated strings. BP
	* [r16704] src/gnome/druid-merge.c,
	  src/gnome/schemas/apps_gnucash_dialog_commodities.schemas.in,
	  src/gnome/schemas/apps_gnucash_dialog_prices.schemas.in,
	  src/gnome/schemas/apps_gnucash_warnings.schemas.in,
	  src/import-export/schemas/apps_gnucash_import_generic_matcher.schemas.in,
	  src/report/report-gnome/window-report.c: String improvements in
	  gconf labels and error messages as pointed out by Clytie
	  Siddall. Those strings are invisible for almost any user anyway
	  and can therefore be back-ported soon, too. BP
	* [r16703] src/gnome/glade/budget.glade,
	  src/gnome/schemas/apps_gnucash_dialog_common.schemas.in,
	  src/report/locale-specific/us/taxtxf-de_DE.scm,
	  src/report/locale-specific/us/taxtxf.scm,
	  src/report/report-system/report.scm: String improvements, as
	  pointed out by Clytie Siddall. This changeset does not add any
	  untranslated strings and does not change any existing translated
	  strings. It can directly be back-ported. BP

2007-12-22 05:28  andrewsw

	* [r16693] src/report/standard-reports/advanced-portfolio.scm:
	  Richard Laager's patch to Advanced Portfolio. Adds an Income
	  column, and an option to ignore brokerage fees in return calcs.

2007-12-21 18:53  andrewsw

	* [r16690] src/engine/iso-4217-currencies.scm: Daniel Harding's
	  update to Afghani currency. closes #504257 BP

2007-12-19 21:59  andrewsw

	* [r16684] src/report/standard-reports/advanced-portfolio.scm:
	  make some improvements to handling of moneyin/out. Clean up some
	  cruft. Fixes #355660. May at least partially fix #346062 BP

2007-12-19 18:07  andi5

	* [r16683] packaging/win32/dist.sh, src/pixmaps/Makefile.am:
	  #503889: Improve r16678 when install icons according to spec.
	  Make it work for builddir != srcdir. Do not distribute
	  share\icons or share\pixmaps on win32. BP

2007-12-19 17:38  andi5

	* [r16682] src/bin/gnucash-bin.c: Update last stable version on
	  trunk to 2.2.2.

2007-12-18 20:55  andrewsw

	* [r16680] src/app-utils/app-utils.scm,
	  src/app-utils/date-utilities.scm,
	  src/report/standard-reports/transaction.scm: forward-port
	  (swigify) weekly subtotals for transaction report. see #138989.

2007-12-18 14:57  jsled

	* [r16678] src/pixmaps, src/pixmaps/Makefile.am: Bug#503889:
	  Install icons according to spec. On Win32, however, don't run
	  the non-existant (?) gtk-update-icon-cache. BP

2007-12-16 18:47  andi5

	* [r16674] packaging/win32/Makefile.am,
	  src/import-export/csv/Makefile.am: Fix make distcheck on trunk.

2007-12-16 17:17  jsled

	* [r16670] src/app-utils/gnc-sx-instance-model.c: Bug#496178:
	  freeing the result of guid_to_string(…) causes memory
	  corruption; use guid_to_string_buff(…) for clarity. BP

2007-12-16 16:41  jsled

	* [r16669] src/bin/gnucash-bin.c: Change some g_error's to
	  g_warnings, which won't abend the app.

2007-12-16 16:40  jsled

	* [r16668] src/app-utils/gnc-sx-instance-model.c: Misc cleanups:
	  always check creation_errors list, always print errors we
	  create, some other API usage cleanup.

2007-12-16 13:05  andi5

	* [r16664] packaging/win32/install.sh: Win32: Explicitly disable
	  python support of ktoblzcheck. BP

2007-12-15 22:30  andi5

	* [r16655] packaging/win32/defaults.sh, packaging/win32/dist.sh,
	  packaging/win32/install.sh: Win32: Add libtiff, because newer
	  gtk+ versions depend on it. BP

2007-12-15 22:24  jsled

	* [r16654] src/engine/Scrub.c: more specific log domain.

2007-12-15 20:57  jsled

	* [r16653] src/engine/Transaction.c: "trans" and "t" aren't good
	  variable names… try "from" and "to".

2007-12-15 20:55  jsled

	* [r16652] src/app-utils/gnc-sx-instance-model.c: Bug#500427: copy
	  any notes associated with SXes upon creation. BP

2007-12-15 20:06  jsled

	* [r16650] src/bin/gnucash-bin.c: Don't make unknown command-line
	  arguments abort the program, just warn and exit non-zero. BP

2007-12-15 18:00  andi5

	* [r16647] packaging/win32/gnucash.iss.in: Win32: Add Brazilian
	  Portuguese translation of inno strings, patch from Leonardo
	  Fontenelle. BP

2007-12-15 17:34  andi5

	* [r16646] packaging/win32/defaults.sh, packaging/win32/dist.sh,
	  packaging/win32/gnucash.iss.in,
	  packaging/win32/goffice-0.4.1-patch.diff,
	  packaging/win32/goffice-0.4.3-patch.diff,
	  packaging/win32/install.sh: Win32: Update package versions.
	  Update to gettext 0.17, glib 2.14.4, cairo 1.4.10, fontconfig
	  2.4.2-tml-20071015, atk 1.20.0, pango 1.18.3, gtk+ 2.12.3,
	  orbit2 2.14.10, gail 1.20.1, libbonobo 2.20.1, gnome-vfs
	  2.18.0.1, libgnome 2.20.1, libgnomecanvas 2.20.1, libbonoboui
	  2.20.0, libglade 2.6.2 and goffice 0.4.3. Gettext installs
	  translations to $prefix\lib\locale now, but not all gnome
	  packages have been rebuilt yet. BP

2007-12-14 20:38  andi5

	* [r16641] po/glossary/pt_BR.po: Update Brazilian Portuguese
	  glossary, patch by Leonardo Fontenelle.

2007-12-14 20:00  andi5

	* [r16638] packaging/win32/install.sh: #503579: Improve pi.sh to
	  allow reinstalling MSYS/MinGW, patch from Charles Day. BP

2007-12-11 20:49  cstim

	* [r16636] po/ca.po, po/cs.po, po/de.po, po/en_GB.po, po/hu.po,
	  po/pt_BR.po: Adapt translations to last string change introduced
	  by r16633. BP

2007-12-11 20:48  cstim

	* [r16635] configure.in,
	  src/import-export/hbci/druid-hbci-initial.c: #500026: Add
	  configure argument for packagers to have correct package name
	  reported on missing qt3-wizard. Because gnucash is a GTK+
	  application and HBCI setup wizard for aqbanking is a Qt stuff,
	  most distribution split aqbanking packages to more sub-packages.
	  This patch adds possibility to change string of package name
	  displayed in the reported error without need of distro-specific
	  patches breaking I18N. It could be done in compile time using
	  --with-qt3-wizard-package=name. Patch by Stanislav Brabec
	  <sbrabec@suse.cz>. Signed-off-by: Christian Stimming
	  <stimming@tuhh.de> BP

2007-12-09 23:29  jsled

	* [r16629] src/app-utils/gnc-sx-instance-model.c: Bug#502755:
	  Duplicate a key which is "owned" by the table we're inserting it
	  into. BP

2007-12-09 01:26  andi5

	* [r16624] Makefile.am, m4: Remove the spurious m4/ directory. Use
	  macros/ instead.

2007-12-08 17:26  andi5

	* [r16623] src/import-export/csv: Ignore other generated files.

2007-12-08 17:20  andi5

	* [r16622] src/backend/file/io-gncxml-v2.c: Glib 2.14 removed the
	  pipe macro in gwin32.h, use _pipe instead.

2007-12-08 17:16  andi5

	* [r16621] accounts/ja, accounts/zh_CN, lib/stf: Ignore some
	  generated files.

2007-12-08 14:11  andi5

	* [r16619] src/engine/cap-gains.c: #492137: Patch from Mike
	  Alexander to fix regression in lot scrubber introduced in
	  r16370. Timespec uses a signed integer for the seconds instead
	  of an unsigned. BP

2007-12-05 22:15  jsled

	* [r16615] art/icon.svgz: update as well

2007-12-05 14:57  jsled

	* [r16613] art/banner.svgz, art/logo.svgz, art/splash.svgz,
	  src/pixmaps/gnucash_splash.png: s#Open Source#Free#,
	  s#Finance#Accounting#, s#Gnucash#GnuCash# BP

2007-12-02 17:15  andi5

	* [r16610] src/gnome/dialog-sx-since-last-run.c: #501059: Clean up
	  SLR dialog sx model and close with session. Avoid ref'ing the
	  model underlying the dialog so that it will be freed correctly.
	  Register the dialog as gui component to close it when the
	  session closed. BP

2007-12-02 15:13  andi5

	* [r16607] src/app-utils/gnc-component-manager.c: Fix compile
	  error in debugging part of gnc-component-manager.c.
	* [r16606] src/gnome-utils/gnc-plugin-page.c: Use
	  g_type_name(type) instead of formatting with %ld.
	* [r16605] src/app-utils/Makefile.am,
	  src/app-utils/gnc-sx-instance-model.c: Rename log domains
	  gnc.app-util* to gnc.app-utils*.
	* [r16604] src/bin/gnucash-bin.c: When setting log levels, prefer
	  command line options to log.conf.

2007-12-02 11:47  andi5

	* [r16603] src/bin/overrides/gnucash-make-guids,
	  src/engine/engine.i: #499788: Swig-wrap guid_new_return and use
	  it for gnucash-make-guids.

2007-12-02 10:35  andi5

	* [r16602] src/gnome-utils/gnc-tree-view.c: In
	  gtv_set_sort_column, avoid a critical warning and block a
	  signal. The critical warning happens when opening the security
	  editor and the model underlying the tree view has not been
	  created yet. Also, do not send the sort column (back) to the
	  gconf storage.
	* [r16601] src/import-export/qif-import/qif-parse.scm,
	  src/import-export/qif/qif-parse.c: #491581: Patch from Charles
	  Day to import qif Cash, ContribX and WithdrwX actions. BP

2007-11-24 15:38  andi5

	* [r16598] src/engine/gnc-commodity.c: #499360: Patch by Daniel
	  Harding to fix a crash when editing certain commodities. Replace
	  some DEBUGs by LEAVEs as well. BP

2007-11-19 00:16  andi5

	* [r16597] src/gnome/dialog-sx-editor.c: #496023: Handle correct
	  signal for closing the sx editor. BP

2007-11-14 00:08  andi5

	* [r16595] macros/svn2cl.xsl: Improve svn2cl.xsl: Make branch
	  selection more flexible, strip unmerged branches. All included
	  branches can be configured in one xsl:variable now, with
	  optional child parameters 'before' and 'after', e.g. to support
	  branching points and intermediary merges. Fix the bug that the
	  date of a hidden previous log entry can undermine the printing
	  of a new date-author header for a log entry. The branch
	  selection based on the actual merge state: + csv-import -
	  gda-dev - module-cleanup

2007-11-07 21:47  cstim

	* [r16583] packaging/win32/defaults.sh: Update ktoblzcheck package
	  version. BP

2007-11-07 08:27  cstim

	* [r16581] src/business/business-reports/payables.scm,
	  src/business/business-reports/receivables.scm: Fix erroneous
	  option ordering. Patch by Andrew Sackville-West. BP

2007-11-03 01:56  andi5

	* [r16579] configure.in, lib/libqof/qof/Makefile.am,
	  lib/libqof/qof/deprecated.c, lib/libqof/qof/deprecated.h,
	  lib/libqof/qof/gnc-numeric.c, lib/libqof/qof/qof.h,
	  lib/libqof/qof/qofbookmerge.h, lib/libqof/qof/qofevent-p.h,
	  lib/libqof/qof/qofevent.c, lib/libqof/qof/qofevent.h,
	  lib/libqof/qof/qofutil.c, src/engine/test/test-book-merge.c,
	  src/gnome/druid-merge.h: Remove deprecated qof wrappers.

2007-11-01 20:35  cstim

	* [r16577] src/report/report-system/html-acct-table.scm: More
	  speed up of reports by caching balance results in a hash table.
	  Patch by Mike Alexander. Together with r16576 for BP. BP

2007-10-30 21:26  cstim

	* [r16576] src/report/report-system/html-acct-table.scm: #488001:
	  Speed up several reports that rely on html-acct-table.scm. Patch
	  by Andrew Sackville-West. Signed-off-by: Christian Stimming
	  <stimming@tuhh.de>

2007-10-28 15:32  andi5

	* [r16575] doc/tip_of_the_day.list.in: Add development version
	  warning to the tip of the day list.

2007-10-28 15:09  andi5

	* [r16574] configure.in: #484576, r16572: Require goffice 0.5.1
	  for libgoffice-0.5.0.

2007-10-28 13:26  cstim

	* [r16573] src/doc/design/reports.texinfo: #490934: Minor
	  correction to reports documentation. Patch by Tim Abell.

2007-10-28 12:27  andi5

	* [r16572] configure.in, src/gnome-utils/gnc-html-graph-gog.c:
	  #484576: Support goffice >= 0.5.1. For us, goffice 0.5.1 differs
	  from 0.4 in that it lacks GogRendererCairo and we can use
	  GogRenderer and gog_renderer_render_to_cairo() (new) directly.
	  goffice 0.5.0 will not work with GnuCash.

2007-10-27 08:10  cstim

	* [r16571] src/doc/design/component-manager.texinfo: Minor
	  correction to component manager documentation. Patch by Tim
	  Abell, bug#490699. Signed-off-by: Christian Stimming
	  <stimming@tuhh.de>

2007-10-26 23:21  andi5

	* [r16570] src/core-utils/gnc-gconf-utils.h: #490679: Honor GNOME
	  toolbar settings when specified. Readd leading slash to
	  DESKTOP_GNOME_INTERFACE for an absolute gconf lookup. It has
	  been removed in r14945 (by me). BP

2007-10-26 18:59  cstim

	* [r16569] src/report/standard-reports/income-statement.scm: Add
	  optional two-column display of income statement and reversing
	  the income/expense order. This patch implements a two-column
	  income statement. I have sent this to the original person who
	  requested it on IRC, but haven't heard back as to whether it
	  actually solves his problem. Additionally, the patch includes
	  support for reversing the order of income/expense tables in the
	  report. It defaults to the standard income/expense, but can be
	  reversed to show expense/income (bad news first?) and is
	  supported by either one or two-column mode. Patch by Andrew
	  Sackville-West, bug#488004 Signed-off-by: Christian Stimming
	  <stimming@tuhh.de>

2007-10-16 22:44  andi5

	* [r16568] src/gnome-utils/dialog-preferences.c: #487326: Remove
	  account separator gconf callback when closing preferences dialog.

2007-10-16 22:18  andi5

	* [r16567] src/import-export/qif-import/druid-qif-import.c,
	  src/import-export/qif-import/qif.glade: #487317: Fix qif import
	  druid when stepping back without a file selection. Also gray out
	  "unload selected file" and "back" buttons when there is no file
	  selected. BP

2007-10-15 19:59  cstim

	* [r16565] packaging/win32/defaults.sh: Update gwen/aqbanking
	  versions on windows.

2007-10-15 19:49  andi5

	* [r16564] src/gnome-utils/dialog-options.c,
	  src/gnome-utils/gnc-account-sel.c: #482177: Emit
	  account_sel_changed on GncAccountSel when the combobox changed.
	  This makes it possible again to create customer reports for
	  other than only the first A/R account in the list. BP

2007-10-13 15:23  andi5

	* [r16563] packaging/win32/gnucash.iss.in,
	  packaging/win32/install.sh: Win32: Let gnucash.bat pass its
	  parameters to gnucash.

2007-10-13 11:07  cstim

	* [r16562] src/import-export/csv/Makefile.am,
	  src/import-export/csv/gnc-csv-model.c: Get the CSV code to
	  compile on Windows as well.

2007-10-12 22:51  andi5

	* [r16561] configure.in, lib/Makefile.am, lib/stf,
	  lib/stf/Makefile.am, lib/stf/README, lib/stf/stf-parse.c,
	  lib/stf/stf-parse.h, src/bin/gnucash-bin.c,
	  src/import-export/Makefile.am,
	  src/import-export/csv/Makefile.am,
	  src/import-export/csv/example-file.csv,
	  src/import-export/csv/gnc-csv-gnumeric-popup.c,
	  src/import-export/csv/gnc-csv-gnumeric-popup.h,
	  src/import-export/csv/gnc-csv-import.c,
	  src/import-export/csv/gnc-csv-import.h,
	  src/import-export/csv/gnc-csv-model.c,
	  src/import-export/csv/gnc-csv-model.h,
	  src/import-export/csv/gnc-csv-preview-dialog.glade,
	  src/import-export/csv/gnc-csv2glist.c,
	  src/import-export/csv/gnc-csv2glist.h,
	  src/import-export/csv/gnc-plugin-csv-ui.xml,
	  src/import-export/csv/gnc-plugin-csv.c,
	  src/import-export/csv/gnc-plugin-csv.h,
	  src/import-export/csv/gncmod-csv-import.c: Merge csv-import
	  branch back into trunk. configure.in | 2 lib/Makefile.am | 4
	  lib/stf/Makefile.am | 13 lib/stf/README | 2 lib/stf/stf-parse.c
	  | 1414 +++++++++++++++++++++ lib/stf/stf-parse.h | 112 +
	  src/bin/gnucash-bin.c | 1 src/import-export/Makefile.am | 4
	  src/import-export/csv/Makefile.am | 59
	  src/import-export/csv/example-file.csv | 4
	  src/import-export/csv/gnc-csv-gnumeric-popup.c | 194 ++
	  src/import-export/csv/gnc-csv-gnumeric-popup.h | 78 +
	  src/import-export/csv/gnc-csv-import.c | 1173 +++++++++++++++++
	  src/import-export/csv/gnc-csv-import.h | 33
	  src/import-export/csv/gnc-csv-model.c | 1199 +++++++++++++++++
	  src/import-export/csv/gnc-csv-model.h | 122 +
	  src/import-export/csv/gnc-csv-preview-dialog.glade | 496 +++++++
	  src/import-export/csv/gnc-csv2glist.c | 187 --
	  src/import-export/csv/gnc-csv2glist.h | 39
	  src/import-export/csv/gnc-plugin-csv-ui.xml | 11
	  src/import-export/csv/gnc-plugin-csv.c | 160 ++
	  src/import-export/csv/gnc-plugin-csv.h | 60
	  src/import-export/csv/gncmod-csv-import.c | 91 + 23 files
	  changed, 5228 insertions(+), 230 deletions(-)

2007-10-09 13:27  jsled

	* [r16558] src/gnome/gnucash.desktop.in.in: Add MimeType directive
	  so that systems can know how to open our files. :p

2007-10-08 21:55  andi5

	* [r16557] src/gnome-search/search.glade: In search dialog, make
	  top part naturally sized and bottom part expandable. Free the
	  search criteria box from its viewport and scrolledwindow and let
	  it take the space it needs. On the other hand, the search
	  results now fill the remaining space.

2007-10-07 22:45  andi5

	* [r16555] src/business/business-gnome/glade/date-close.glade,
	  src/gnome-utils/gnc-account-sel.c: Patch from Geert Janssens to
	  expand rhs fields in the post dialog.

2007-10-06 23:05  andi5

	* [r16554] src/base-typemaps.i,
	  src/business/business-core/business-core.i: #483796, Fancy
	  Invoice: Convert the elements of an AccountValueList when
	  wrapping. GLIST_HELPER_INOUT does not touch the single elements
	  and GncAccountValue typemaps do not work here.

2007-10-06 08:58  cstim

	* [r16553]
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c: Fix
	  compiler warning

2007-10-05 20:38  cstim

	* [r16552] accounts/de_AT/acctchrt_common.gnucash-xea: Replace
	  "Sonstige Einkommen" by "Sonstige Erträge". (Forgot one in
	  r16551)

2007-10-05 20:32  cstim

	* [r16551] accounts/de_AT/acctchrt_business.gnucash-xea,
	  accounts/de_CH/acctchrt_common.gnucash-xea,
	  accounts/de_DE/acctchrt_common.gnucash-xea,
	  accounts/de_DE/acctchrt_full.gnucash-xea: Replace "Sonstige
	  Einkommen" by "Sonstige Erträge".
	* [r16550] accounts/de_AT/acctchrt_brokerage.gnucash-xea,
	  accounts/de_AT/acctchrt_business.gnucash-xea,
	  accounts/de_AT/acctchrt_common.gnucash-xea,
	  accounts/de_CH/acctchrt_brokerage.gnucash-xea,
	  accounts/de_CH/acctchrt_common.gnucash-xea,
	  accounts/de_DE/acctchrt_brokerage.gnucash-xea,
	  accounts/de_DE/acctchrt_common.gnucash-xea: Replace "Einkommen"
	  by "Erträge" as proposed on gnucash-de.

2007-10-05 19:11  cstim

	* [r16549] src/engine/TransLog.c: Fix gcc-4.2 warning on a string
	  that cannot be NULL. Pointed out by Andrew Sackville-West.

2007-10-03 01:18  andi5

	* [r16547] lib/libqof/qof/qofquerycore.c,
	  lib/libqof/qof/qofutil.c, lib/libqof/qof/qofutil.h: #438360:
	  Replace str{,n}casestr and strcasecmp by
	  qof_utf8_{substr_nocase,strcasecmp}. The functions used did not
	  work for non-ascii characters. The new implementations use
	  g_utf8_casefold and g_utf8_normalize to improve case insensitive
	  searches and comparisons.

2007-09-27 22:07  andi5

	* [r16545] src/app-utils/gnc-sx-instance-model.c: Fix a
	  NULL-%s-printf in the SX code, #481110.

2007-09-23 20:35  cstim

	* [r16544] po/glossary/zh_TW.po, po/zh_TW.po: Updated Traditional
	  Chinese (zh_TW) translations by Kuang-che Wu <kcwu@csie.org>

2007-09-19 16:49  rolf

	* [r16542] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04: fix
	  some spelling mistakes

2007-09-19 16:21  rolf

	* [r16541] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  remove some superfluous white-space

2007-09-16 02:22  andi5

	* [r16535] packaging/win32/defaults.sh: Patch by Nathan Buchanan
	  to fix link to libxslt on zlatkovic.com.

2007-09-15 08:29  cstim

	* [r16533] po/de.po: Update German translation. Change translation
	  of 'vendor' into 'Lieferant' as suggested by Robert Froschauer:

2007-09-14 20:42  cstim

	* [r16532] po/de.po, po/glossary/de.po: German wording
	  improvements as suggested by Robert Froschauer: 'income
	  statement' now 'Gewinn- und Verlustrechnung' 'total revenue' now
	  'Gesamterträge' 'vendor' now 'Lieferant', but not yet completely
	  done

2007-09-14 20:00  cstim

	* [r16529] accounts/Makefile.am: Fix messed-up Makefile for new
	  account templates.

2007-09-14 19:59  cstim

	* [r16528] po/pt_BR.po: Updated Brazilian Portugese translation by
	  Leonardo Fontenelle and Leslie H. Watter. We are "a little"
	  late, but this is the new pt_BR translation: - 3446 translated
	  messages, - 184 fuzzy translations, - 56 untranslated messages.
	* [r16527] accounts/Makefile.am, accounts/zh_CN,
	  accounts/zh_CN/Makefile.am,
	  accounts/zh_CN/acctchrt_brokerage.gnucash-xea,
	  accounts/zh_CN/acctchrt_business.gnucash-xea,
	  accounts/zh_CN/acctchrt_carloan.gnucash-xea,
	  accounts/zh_CN/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/zh_CN/acctchrt_checkbook.gnucash-xea,
	  accounts/zh_CN/acctchrt_childcare.gnucash-xea,
	  accounts/zh_CN/acctchrt_common.gnucash-xea,
	  accounts/zh_CN/acctchrt_eduloan.gnucash-xea,
	  accounts/zh_CN/acctchrt_fixedassets.gnucash-xea,
	  accounts/zh_CN/acctchrt_full.gnucash-xea,
	  accounts/zh_CN/acctchrt_homeloan.gnucash-xea,
	  accounts/zh_CN/acctchrt_homeown.gnucash-xea,
	  accounts/zh_CN/acctchrt_otherloan.gnucash-xea,
	  accounts/zh_CN/acctchrt_renter.gnucash-xea,
	  accounts/zh_CN/acctchrt_retiremt.gnucash-xea,
	  accounts/zh_CN/acctchrt_spouseinc.gnucash-xea,
	  accounts/zh_CN/acctchrt_spouseretire.gnucash-xea,
	  accounts/zh_HK, accounts/zh_HK/acctchrt_business.gnucash-xea,
	  accounts/zh_TW, accounts/zh_TW/acctchrt_business.gnucash-xea,
	  configure.in: Bug#473827: Chinese account templates by
	  titanwill. Includes the business account from the above
	  translation. The words "equity" and "state/province". Created
	  zh_TW and zh_HK translations of business account. Each one is
	  now set to the appropriate default currency (zh_CN = CNY, zh_TW
	  = TWD, zh_HK = HKD)

2007-09-12 03:19  jsled

	* [r16525] src/engine/iso-4217-currencies.scm: iso4217 currency
	  updates

2007-09-12 02:56  jsled

	* [r16524] packaging/win32/install.sh: pause to let Windows catch
	  up with file creation; patch from Nathan Buchanan <nbinont gmail
	  com>.

2007-09-12 02:46  jsled

	* [r16523] packaging/win32/defaults.sh,
	  packaging/win32/functions.sh: wget rate-limiting, patch from
	  Nathan Buchanan <nbinont gmail com>

2007-09-11 00:38  jsled

	* [r16522] src/engine/iso-4217-currencies.scm: Bug#475666: add the
	  Cuban Convertible Peso (CUC).

2007-09-10 19:29  cstim

	* [r16521] accounts/ja_JP.EUC/acctchrt_common.gnucash-xea: Remove
	  obsolete and unused ja_JP.EUC account template

2007-09-10 19:27  cstim

	* [r16520] accounts/Makefile.am, accounts/ja,
	  accounts/ja/Makefile.am,
	  accounts/ja/acctchrt_brokerage.gnucash-xea,
	  accounts/ja/acctchrt_business.gnucash-xea,
	  accounts/ja/acctchrt_carloan.gnucash-xea,
	  accounts/ja/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/ja/acctchrt_checkbook.gnucash-xea,
	  accounts/ja/acctchrt_childcare.gnucash-xea,
	  accounts/ja/acctchrt_common.gnucash-xea,
	  accounts/ja/acctchrt_eduloan.gnucash-xea,
	  accounts/ja/acctchrt_fixedassets.gnucash-xea,
	  accounts/ja/acctchrt_homeloan.gnucash-xea,
	  accounts/ja/acctchrt_homeown.gnucash-xea,
	  accounts/ja/acctchrt_otherloan.gnucash-xea,
	  accounts/ja/acctchrt_renter.gnucash-xea,
	  accounts/ja/acctchrt_retiremt.gnucash-xea,
	  accounts/ja/acctchrt_spouseinc.gnucash-xea,
	  accounts/ja/acctchrt_spouseretire.gnucash-xea, configure.in:
	  Hiroto Kagotani: Newly translated Japanese account files. He
	  said: Instead, accounts/ja_JP.EUC and its content can be safely
	  removed.

2007-09-10 19:19  cstim

	* [r16519] src/tax/us/txf-de_DE.scm: Bug#473809: Rolf Leggewie's
	  work on German tax categories.

2007-09-10 13:45  rolf

	* [r16518] accounts/de_DE/acctchrt_skr04.gnucash-xea: SK04: fix
	  indentation
	* [r16517] accounts/de_DE/acctchrt_skr03.gnucash-xea: SKR03: fix
	  indentation

2007-09-10 08:14  rolf

	* [r16516] accounts/de_DE/acctchrt_skr03.gnucash-xea: SKR03:
	  replace guid with new sed -i s/type=\"guid\"/type=\"new\"/
	  accounts/de_DE/acctchrt_skr03.gnucash-xea

2007-09-10 08:10  rolf

	* [r16515] accounts/de_DE/acctchrt_skr03.gnucash-xea: SKR03:
	  validate SKR03, same as r16514 for SKR04

2007-09-09 19:27  rolf

	* [r16514] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  validate the XML file with the help of jsled and nxml-mode in
	  emacs

2007-09-09 12:52  cstim

	* [r16512] po/ja.po: Updated Japanese translation by Hiroto
	  Kagotani.

2007-09-09 12:29  cstim

	* [r16511] po/cs.po: Updated Czech po file from the Translation
	  Project.

2007-09-07 19:52  cstim

	* [r16510] po/de.po: Update German translation after latest string
	  change.

2007-09-07 19:42  cstim

	* [r16509] src/business/business-reports/easy-invoice.scm,
	  src/business/business-reports/fancy-invoice.scm,
	  src/business/business-reports/invoice.scm: Make error message on
	  unselected invoice more verbose.

2007-09-05 03:44  jsled

	* [r16507] src/report/standard-reports/standard-reports.scm:
	  whitespace

2007-09-05 03:43  jsled

	* [r16506] src/report/utility-reports/view-column.scm: move onto
	  one line so greps are a bit more immediately useful.

2007-09-04 19:33  cstim

	* [r16505] src/tax/us/txf-de_DE.scm: Bug#471473: Updated german
	  tax categories by Rolf Leggewie.

2007-09-04 14:31  rolf

	* [r16504] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  replace all occurrences of "guid" with "new" Learned this from
	  bug#321405. jsled and I assume that this should be more stable.

2007-09-04 12:23  rolf

	* [r16503] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04: add
	  information to relate accounts to Umsatzsteuervoranmeldung report

2007-09-04 11:48  rolf

	* [r16502] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04: some
	  more standardization in format for UstVa entries

2007-09-04 11:34  rolf

	* [r16501] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04: make
	  all UstVa entries similar in style

2007-09-04 11:22  rolf

	* [r16500] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04: add
	  line number to account 3832 to make description parallel to
	  other entries

2007-09-04 11:17  rolf

	* [r16499] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04: add
	  description for account 4140

2007-09-04 11:05  rolf

	* [r16498] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  shorten description a bit

2007-09-04 10:45  rolf

	* [r16497] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  convert to UTF-8 (and include the converted text as well ;-))

2007-09-04 10:41  rolf

	* [r16496] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  convert to UTF-8

2007-09-03 22:19  rolf

	* [r16495] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04:
	  remove sample accounts. It makes more sense to have information
	  on how to work with SKR04 at http://linuxwiki.de/GnuCash/EuerGc

2007-09-03 21:33  rolf

	* [r16494] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04: pad
	  some fields with zero instead of whitespace

2007-09-03 20:36  andi5

	* [r16493] accounts/de_CH/acctchrt_chkmu.gnucash-xea,
	  accounts/de_CH/acctchrt_common.gnucash-xea,
	  accounts/de_DE/acctchrt_full.gnucash-xea,
	  accounts/de_DE/acctchrt_skr04.gnucash-xea: #472205: Replace &#;
	  character references by latin0-encoded letters in german account
	  hierachies.

2007-09-03 20:22  rolf

	* [r16489] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04: fix
	  sorting (bug#432235)

2007-09-03 20:17  rolf

	* [r16488] accounts/de_DE/acctchrt_skr04.gnucash-xea: SKR04: fix
	  spelling mistake

2007-09-02 20:18  cstim

	* [r16485] src/doc/design/component-manager.texinfo,
	  src/doc/design/engine.texinfo, src/doc/design/intro.texinfo,
	  src/doc/design/register.texinfo, src/doc/design/reports.texinfo,
	  src/doc/design/top-level.texinfo,
	  src/doc/design/user-preferences.texinfo: Bug#470750: Add warning
	  about outdated info to texinfo texts.

2007-09-02 19:40  cstim

	* [r16484] src/report/locale-specific/us/taxtxf-de_DE.scm,
	  src/report/locale-specific/us/taxtxf.scm: Bug#471485: Fix
	  SWIGification string issues.
	* [r16483] src/tax/us/txf-de_DE.scm: Bug#471473: Add missing
	  German tax category.

2007-09-02 17:40  jsled

	* [r16482] src/app-utils/options.scm: remove stray 'u' that crept
	  in.

2007-09-02 16:54  cstim

	* [r16481] accounts/de_DE/acctchrt_skr04.gnucash-xea: Update
	  German SKR04 account template by Frank Ellenberger. Bug#433428

2007-08-30 04:55  lasindi

	* [r16480]
	  branches/csv-import/src/import-export/csv/gnc-csv-import.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.h: Added
	  support for a real "Balance" column; added specific error
	  messages for each row on what error(s) the row had; a few bug
	  fixes; added comments; some refactoring of functions.
	  Transactions to be imported are also now sorted by date instead
	  of line number.

2007-08-28 23:51  jsled

	* [r16478] src/app-utils/options.scm: Remove tab characters. :p

2007-08-28 00:07  jsled

	* [r16477] src/register/register-gnome/gnucash-sheet.c,
	  src/register/register-gnome/gnucash-sheet.h: Bug#343448: hide
	  unused scrollbars in register; patch from Michael Culbertson
	  <michael.culbertson gmail com>.

2007-08-27 23:22  jsled

	* [r16476] src/gnome-utils/gnc-file.c: Bug#467521: disappear the
	  splash if we're about to put up the modal problem-opening-file
	  dialog.

2007-08-27 23:15  jsled

	* [r16475] src/gnome/dialog-print-check.c: Bug#467532: change to
	  pango drawing/clipping handling for wrapped strings; patch from
	  David Reiser <dbreiser earthlink net>.

2007-08-27 23:10  jsled

	* [r16474] src/business/business-gnome/gnc-plugin-page-invoice.c,
	  src/gnome-utils/glade/preferences.glade,
	  src/gnome-utils/gnc-plugin-page.h,
	  src/gnome/gnc-plugin-page-account-tree.c,
	  src/gnome/gnc-plugin-page-register.c,
	  src/gnome/schemas/apps_gnucash_general.schemas.in: Bug#468681:
	  configurable positioning for summary bar; patch from Michael
	  Culbertson <michael.culbertson gmail com>.

2007-08-27 22:51  jsled

	* [r16473] doc/tip_of_the_day.list.in: Bug#470801: remove
	  dev/unstable-branch item.

2007-08-19 16:47  andi5

	* [r16462] NEWS, configure.in, src/bin/gnucash-bin.c: Update to
	  release 2.2.1.

2007-08-19 15:57  andi5

	* [r16461] macros/svn2cl.xsl: Do not include
	  branches/register-rewrite in ChangeLog.

2007-08-19 12:59  andi5

	* [r16460] src/gnome-utils/gnc-tree-view.c: Respect "none" as tree
	  view sort column name, #468115. Fall back to default ordering.

2007-08-19 01:17  andi5

	* [r16453] src/gnome/window-reconcile.c: Connect a signal to a
	  glade widget before destroying that. In some cases the interest
	  button in the reconciliation dialog is for payments, in some for
	  charges or otherwise it is completely destroyed. Avoid a
	  critical warning caused by binding a signal to it.

2007-08-18 15:48  jsled

	* [r16448] src/gnome-utils/gnc-dense-cal-store.c,
	  src/gnome-utils/gnc-dense-cal.c, src/gnome/dialog-sx-editor.c:
	  Optimize some dense-cal (re-)drawing and updating. Add some
	  timer-debuggings.

2007-08-18 15:28  jsled

	* [r16447] HACKING: misc changes

2007-08-16 17:10  cstim

	* [r16438] po/hu.po: Updated Hungarian translation

2007-08-13 14:13  jsled

	* [r16422] src/engine/iso-4217-currencies.scm: add Yemeni Riyal
	  (YER).

2007-08-12 19:14  cstim

	* [r16421] po/hu.po, po/nb.po, po/nl.po, po/uk.po: Fix
	  translations that accidentally added the context prefix to their
	  translation.

2007-08-12 18:39  cstim

	* [r16420] po/hu.po: Updated Hungarian translation

2007-08-11 22:49  chris

	* [r16419] src/backend/file/io-gncxml-v2.c: Minor typo fix in
	  debugging output.

2007-08-11 15:10  cstim

	* [r16414] po/de.po: Update German translation.

2007-08-10 11:46  andi5

	* [r16410] configure.in,
	  src/import-export/hbci/druid-hbci-initial.c: Revert r15799 and
	  teach FreeBSD WEXITSTATUS, #465338.

2007-08-09 11:35  andi5

	* [r16409] src/register/register-gnome/gnucash-sheet.c: Make
	  right-clicks in registers work like left-clicks plus popup,
	  #339260. To avoid confusion and possible data loss, the register
	  should focus the transaction that was right-clicked so that
	  actions chosen from the popup apply to the one the user probably
	  wanted. The code was already there but unused because of missing
	  register sheet popups.
	* [r16408] src/scm/doc.scm: Remove old code unused since r14253.

2007-08-08 20:07  jsled

	* [r16405] src/app-utils/gnc-sx-instance-model.c: remove
	  superfluous comment.

2007-08-08 14:25  jsled

	* [r16404] src/bin/gnucash-bin.c: remove now-unused var.

2007-08-08 04:20  jsled

	* [r16403] src/bin/gnucash-bin.c: Given set_log_level will
	  maintain its own safe copy of the string, we don't need to 'dup
	  it.

2007-08-08 04:19  jsled

	* [r16402] lib/libqof/qof/qoflog.c: Move g_strdup inside of
	  set_log_level to be a slightly better citizen and fix a serious
	  bug. :/

2007-08-07 10:35  andi5

	* [r16401] src/gnome-utils/dialog-options.c: Fix a win32 crash
	  when resetting pixmap options.

2007-08-07 10:28  andi5

	* [r16400] src/gnome-utils/gnc-html.c: Let gnc_html_parse_url grok
	  Windows filenames, #462567. Change the regular expression that
	  should match the protocol in a given URL so that it requires at
	  least two characters and C:\ or C:/ will not be interpreted as
	  [prot=C, path=\] (or path=/, resp.). Also replace two hard-coded
	  slash operations by g_path_is_absolute and g_build_filename.

2007-08-07 01:00  jsled

	* [r16399] src/engine/Split.c: Bug#452496: This survived my
	  regular receipt entry session, a whole 30 minutes of light
	  testing. So, more testing is probably good, but ain't that
	  always the case.

2007-08-07 00:56  andi5

	* [r16398] src/app-utils/file-utils.c: In gncFindFile, use
	  g_path_is_absolute instead of file[0]=='/'.

2007-08-06 15:40  andi5

	* [r16393] src/gnome/gnc-plugin-page-account-tree.c: Avoid
	  critical warnings when searching interactively in account tree.
	  gnc_account_n_children will print those when it is called with
	  NULL.

2007-08-06 10:30  andi5

	* [r16392] src/gnome-utils/dialog-account.c: Avoid a critical
	  warning when editing an account. As gnc_account_to_ui is called
	  before a parent account is selected, get_ui_fullname should not
	  depend on it so that gnc_account_is_root does not always print a
	  critical warning (GNC_IS_ACCOUNT(account) failed).

2007-08-05 21:44  jsled

	* [r16388] src/engine/gnc-engine.c: If there's no SQL_DIR, then
	  there's no SQL module to load. So don't. :p

2007-08-05 21:24  jsled

	* [r16387] lib/libqof/qof/qoflog.h,
	  src/backend/file/gnc-book-xml-v2.c,
	  src/backend/file/gnc-freqspec-xml-v2.c,
	  src/backend/file/gnc-schedxaction-xml-v2.c,
	  src/backend/file/gnc-xml.h,
	  src/backend/file/sixtp-dom-parsers.h, src/engine/FreqSpec.c,
	  src/engine/FreqSpec.h, src/engine/FreqSpecP.h,
	  src/engine/Makefile.am, src/engine/Recurrence.c,
	  src/engine/Recurrence.h, src/engine/SchedXaction.c,
	  src/engine/SchedXaction.h, src/engine/cashobjects.c,
	  src/engine/gnc-engine.c, src/engine/gnc-engine.h,
	  src/engine/test-core/test-engine-stuff.c,
	  src/engine/test/Makefile.am, src/engine/test/test-freq-spec.c,
	  src/engine/test/test-recurrence.c,
	  src/gnome-utils/gnc-dense-cal-store.c,
	  src/gnome-utils/gnc-dense-cal-store.h,
	  src/gnome-utils/gnc-frequency.c,
	  src/gnome-utils/gnc-frequency.h, src/gnome/dialog-sx-editor.c,
	  src/gnome/druid-acct-period.c, src/gnome/druid-loan.c: Remove
	  FreqSpec.

2007-08-04 10:31  cstim

	* [r16383] po/ja.po: Updated Japanese translation by Hiroto
	  Kagotani

2007-08-04 10:10  cstim

	* [r16382] Makefile.am, po/glossary/hu.po: Add Hungarian glossary
	  by Tako Kornel.

2007-08-03 11:23  lasindi

	* [r16381]
	  branches/csv-import/src/import-export/csv/gnc-csv-import.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.h: Added
	  support for error messages individualized for rows; started
	  renaming "Amount" to "Balance"; got rid of some "uninitialized"
	  warnings; added some comments

2007-08-03 01:30  jsled

	* [r16380] src/gnome/druid-loan.c: Bug#170729: format a literal
	  value to get the locale-specific decimal separator.

2007-08-03 01:26  jsled

	* [r16379] src/import-export/qif-import/druid-qif-import.c:
	  Bug#445917: parity between label and button. Patch from Andreas
	  Köhler. ;)

2007-08-02 23:48  jsled

	* [r16378] src/bin/gnucash-bin.c, src/gnome-utils/gnc-file.c,
	  src/gnome-utils/gnc-splash.c, src/gnome-utils/gnc-window.c:
	  Bug#457944: Keep splash screen during file loading. - do not
	  destroy the splash screen during file loading - display which
	  reports are rendered in the progress field of the splash screen
	  Patch from Herbert Thoma <herbert.thoma iis fraunhofer de>

2007-08-02 23:41  jsled

	* [r16377] src/backend/file/sixtp.c: whitespace: s/tab/space/

2007-07-30 19:21  cstim

	* [r16373] po/ca.po: Updated Catalan translation from the
	  Translation Project. Fixed the context-prefix messages with `|'
	  myself, though.

2007-07-29 16:00  jsled

	* [r16370] lib/libqof/qof/gnc-date.h: Bug#361604: patch from Mike
	  Alexander <mta umich edu> to fix datatype for gnc-date.h to
	  allow ranging negative, which is important in a few places.

2007-07-27 16:49  cstim

	* [r16366] po/ca.po: Updated Catalan translation from the
	  Translation Project.

2007-07-26 13:26  lasindi

	* [r16358]
	  branches/csv-import/src/import-export/csv/gnc-csv-import.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.h: Added
	  support for separate "Deposit" and "Withdrawal" columns

2007-07-25 10:28  lasindi

	* [r16357]
	  branches/csv-import/src/import-export/csv/gnc-csv-gnumeric-popup.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-gnumeric-popup.h,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c: Added
	  support for amounts with currency symbols (e.g., "$100"),
	  attributed all Gnumeric developers in popup files copied from
	  Gnumeric

2007-07-25 06:53  lasindi

	* [r16356] branches/csv-import/src/import-export/csv/Makefile.am,
	  branches/csv-import/src/import-export/csv/gnc-csv-gnumeric-popup.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-gnumeric-popup.h,
	  branches/csv-import/src/import-export/csv/gnc-csv-import.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.h,
	  branches/csv-import/src/import-export/csv/gnc-csv-preview-dialog.glade:
	  Added support for fixed-width files, added support for 'm-d' and
	  'd-m' dates (i.e. dates without years), and minor polishing

2007-07-24 18:32  cstim

	* [r16353] src/engine/iso-4217-currencies.scm: Fix XPF [CFP Franc
	  Pacifique] to not use cents. By Dominique Corbex
	  <dominique.corbex@gmail.com>: The XPF currency [CFP Franc
	  Pacifique], used in French Polynesia, New Caledonia, Wallis and
	  Futuna islands has 2 digits after the decimal point in Gnucash.
	  That's wrong as the XPF currency makes no use of cents. (see
	  http://www.wikipedia.com/wiki/Currency_codes and search for XPF)

2007-07-23 19:13  cstim

	* [r16352] AUTHORS, po/en_GB.po: Update British English
	  translation by Nigel Titley.

2007-07-22 19:17  andi5

	* [r16351] packaging/win32/gnucash.iss.in: Add code page
	  information to gnucash.bat, #458783. Instead of trying to
	  retrieve the system code page, simply hard-code the code pages
	  for the configured languages. This is one more string for each
	  new translation of the custom messages. Suggestions for how to
	  parse the LangOptions/LanguageCodePage parameter in isl files
	  are welcome.

2007-07-22 12:09  cstim

	* [r16350] po/en_GB.po: Fix erroneous msgstr containing context
	  prefix

2007-07-22 08:21  cstim

	* [r16349] po/fr.po: Updated French translation by Stephane
	  Raimbault

2007-07-22 01:51  andi5

	* [r16347] packaging/win32/dist.sh: LibGSF does not install schema
	  files anymore, drop corresponding dist rule.

2007-07-22 01:41  andi5

	* [r16346] packaging/win32/Makefile.am,
	  packaging/win32/defaults.sh,
	  packaging/win32/goffice-0.3.7-patch.diff,
	  packaging/win32/goffice-0.4.1-patch.diff,
	  packaging/win32/install.sh: Update LibGSF (1.14.5) and GOffice
	  (0.4.1) on Windows.

2007-07-21 19:57  cstim

	* [r16345] packaging/win32/defaults.sh: Update many Gnome packages
	  in the hope of getting rid of some bugs. This includes updating
	  ORBit2 to 2.14.7; on the WinXP machine I have available this
	  meant gconfd ran just fine. But we'd need to get some further
	  feedback on whether it really works or whether we need to stick
	  to ORBit2 2.13.3.

2007-07-21 08:07  cstim

	* [r16344] po/de.po: Update German translation

2007-07-20 21:59  cstim

	* [r16341] packaging/win32/dist.sh,
	  packaging/win32/gnucash.iss.in: Ship the gnucash binary
	  including the Qt DLLs. #457228
	* [r16340] packaging/win32/dist.sh: Install Windows theme of gtk
	  for improved ui. #458567

2007-07-20 21:06  cstim

	* [r16336] po/ja.po: Updated Japanese translation by Hiroto
	  Kagotani

2007-07-20 20:52  cstim

	* [r16335] src/import-export/hbci/glade/hbci.glade: Fix missing
	  keyboard shortcut in string.

2007-07-20 20:51  cstim

	* [r16334] .gitignore: Update gitignore
	* [r16333] po/ca.po: Updated Catalan translation from the
	  Translation Project.

2007-07-19 22:34  jsled

	* [r16331] src/gnome/gnc-plugin-basic-commands.c,
	  src/gnome/ui/gnc-plugin-basic-commands-ui.xml: [branches/2.2
	  16327] Bug#458434: disable the not-really-ready "Close Books"
	  and "Import QSF" menu items.

2007-07-19 22:33  jsled

	* [r16330] src/gnome-utils/gnc-main-window.c: [branches/2.2 16326]
	  Bug#457027: adjust the near-side copyright year to, uh, this
	  year. :)

2007-07-19 22:32  jsled

	* [r16329] src/bin/gnucash-bin.c: [branches/2.2 16325] Bug#457812:
	  adjust the stable (2.2)/dev (2.4) version number message text.
	  Patch from Kevin Hale Boyes.

2007-07-19 22:31  jsled

	* [r16328] packaging/gnucash.spec.in: [branches/2.2 16324]
	  Bug#458080: update RPM specfile BuildRequires to remove g-wrap.
	  Patch from Kevin Hale Boyes.

2007-07-16 01:51  lasindi

	* [r16317]
	  branches/csv-import/src/import-export/csv/example-file.csv,
	  branches/csv-import/src/import-export/csv/gnc-csv-import.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.h:
	  Rewrote parse_date to be separator agnostic

2007-07-14 11:20  cstim

	* [r16310] po/fr.po: Revert latest French translation as per
	  Stephane Raimbault's request, due to various introduced wording
	  errors.

2007-07-14 08:09  cstim

	* [r16308] po/uk.po: Updated Ukrainian translation from
	  Translation Project.

2007-07-14 01:31  wilddev

	* [r16306] src/gnome-utils/Makefile.am: update to release 2.2.0

2007-07-14 01:00  wilddev

	* [r16303] NEWS, configure.in: update to release 2.2.0

2007-07-12 19:14  cstim

	* [r16301] po/pt_BR.po: Updated Portuguese (Brazil) translation by
	  Leonardo Fontenelle and team.
	* [r16300] po/de.po: Improve German translation as proposed by
	  Frank H. Ellenberger.
	* [r16299] po/sk.po: Update Slovak translation from TP.

2007-07-11 20:51  andi5

	* [r16296] src/import-export/ofx/gnc-ofx-import.c: Fix an ofx
	  import memory leak and a non-ascii-path problem on win32. On
	  Win32, the import file path needs to be converted to the system
	  codepage for libofx. Also, free it afterwards.

2007-07-10 20:51  cstim

	* [r16295] packaging/win32/Makefile.am: Fix erroneous dir in
	  Makefile

2007-07-10 20:11  cstim

	* [r16294] po/ca.po, po/cs.po, po/da.po, po/el.po, po/en_GB.po,
	  po/es.po, po/es_NI.po, po/eu.po, po/fr.po, po/hu.po, po/it.po,
	  po/ja.po, po/nb.po, po/ne.po, po/nl.po, po/pl.po, po/pt.po,
	  po/pt_BR.po, po/ro.po, po/ru.po, po/rw.po, po/sk.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po: Merge
	  translation updates because of very last string change.

2007-07-10 09:43  lasindi

	* [r16293]
	  branches/csv-import/src/import-export/csv/gnc-csv-import.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c:
	  Replaced calls to g_malloc with g_new

2007-07-10 09:28  lasindi

	* [r16292] branches/csv-import/src/import-export/csv/Makefile.am,
	  branches/csv-import/src/import-export/csv/example-file.csv,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c: Added
	  TransPropertyList struct and functions, fixed integer amount
	  rounding error, added example file

2007-07-09 19:34  cstim

	* [r16289] packaging/win32/gnucash.iss.in: Fix (hopefully) Greek
	  string encodings.

2007-07-09 19:23  cstim

	* [r16288] doc/Makefile.am, doc/README-fr.win32-bin.txt,
	  packaging/win32/gnucash.iss.in: Add French translation of README
	  by Pierre-Antoine and Spel.
	* [r16287] packaging/win32/defaults.sh: Update Inno Setup version
	* [r16286] packaging/win32/Greek-4-5.1.11.isl,
	  packaging/win32/Makefile.am, packaging/win32/gnucash.iss.in: Add
	  Greek translation for Setup messages by Nikos Charonitakis. Add
	  the Greek translation file for whole Inno Setup.

2007-07-09 19:15  lasindi

	* [r16285]
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.h: Got
	  rid another few warnings, got rid of file_to_string (which had
	  Unix-specific calls)

2007-07-09 18:30  lasindi

	* [r16284] branches/csv-import/src/import-export/csv/Makefile.am,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c: Got
	  rid of some unintialized warnings

2007-07-09 17:09  lasindi

	* [r16283]
	  branches/csv-import/src/import-export/csv/gnc-csv-import.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c:
	  Handled errors in guessing encoding

2007-07-08 20:21  lasindi

	* [r16282] branches/csv-import/lib/stf/stf-parse.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-import.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-preview-dialog.glade:
	  Fixed some bugs, attempted to get STF code working with goffice
	  0.2

2007-07-08 18:42  cstim

	* [r16281] packaging/win32/gnucash.iss.in: Add French translation
	  of Installer messages

2007-07-08 13:22  andi5

	* [r16280] packaging/win32/gnucash.iss.in: Update the firewall
	  rules to match the new location of gconfd-2.exe.

2007-07-08 13:21  cstim

	* [r16279] po/de.po: Update German translation

2007-07-08 13:19  cstim

	* [r16278] src/gnome-utils/gnc-autosave.c: Fix typo

2007-07-08 13:12  andi5

	* [r16277] packaging/win32/dist.sh: Use redirect.exe for
	  gconfd-2.exe (#450052) and qt3-wizard.exe (#452382). Move the
	  original executables to bin\, use renamed copies of redirect.exe
	  at the old locations.

2007-07-08 13:08  andi5

	* [r16276] packaging/win32/Makefile.am,
	  packaging/win32/redirect.c: Add win32/redirect.c, a tool
	  spawning itself in a parent bin\ directory. This program, called
	  as "prog.exe (arg)*", will search for .\bin\prog.exe,
	  ..\bin\prog.exe and so on. The first hit will be spawned with
	  the same parameters and its exit status will be the exit status
	  of this program.

2007-07-08 13:07  cstim

	* [r16275] packaging/win32/gnucash.iss.in: Update German
	  translations of windows menu items

2007-07-08 12:56  cstim

	* [r16274] doc/README-de.win32-bin.txt: Recode README again to
	  latin1

2007-07-08 12:53  cstim

	* [r16273] doc/README-de.win32-bin.txt, doc/README.win32-bin.txt:
	  Convert windows READMEs to windows line endings.
	* [r16272] packaging/win32/gnucash.iss.in: Add more menu entries
	  on windows: readme, bugzilla, faq. Also add translations for all
	  menu entries.

2007-07-08 11:50  cstim

	* [r16271] doc/README-de.win32-bin.txt: Recode README; for Inno
	  Setup it must be in latin1, not utf8.

2007-07-08 11:14  cstim

	* [r16270] packaging/win32/gnucash.iss.in: Oops, fix typo in Inno
	  file

2007-07-08 11:05  andi5

	* [r16269] src/bin/gnucash-bin.c: Fix typo in binreloc message.

2007-07-08 10:51  cstim

	* [r16268] packaging/win32/gnucash.iss.in: Install the gnucash
	  icon on all user's desktops, not only the current one
	* [r16267] doc/Makefile.am, doc/README-de.win32-bin.txt,
	  doc/README.win32-bin.txt, packaging/win32/gnucash.iss.in: Add
	  German-language README to show during win32 installation.

2007-07-08 10:34  cstim

	* [r16266] packaging/win32/defaults.sh: Update version numbers of
	  newly released gwen/aqbanking.

2007-07-08 09:48  lasindi

	* [r16265]
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c: Fixed
	  the compile errors from the previous commit.

2007-07-08 09:45  cstim

	* [r16264] packaging/win32/gnucash.iss.in: Add win32 firewall
	  exceptions. #454110.
	* [r16263] packaging/win32/gnucash.iss.in: Add win version
	  restriction on the whole setup and on running gnucash. Add
	  PrivilegesRequired. #434755.

2007-07-08 09:21  lasindi

	* [r16262]
	  branches/csv-import/src/import-export/csv/gnc-csv-import.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-preview-dialog.glade:
	  Added error message on dialog, started error handling for bad
	  dates, started putting in place framework for transaction
	  properties in gnc-csv-model.c

2007-07-08 08:57  cstim

	* [r16261] packaging/win32/gnucash.iss.in: Use registry keys
	  LOCAL_MACHINE with upcoming gwen/aqbanking.

2007-07-08 08:03  cstim

	* [r16260] packaging/win32/gnucash.iss.in, src/engine/binreloc.c:
	  Fix erroneous usage of CURRENT_USER registry keys for gnucash
	  paths. #454108

2007-07-07 10:00  cstim

	* [r16258] po/de.po: Update German translation
	* [r16257] src/gnome/schemas/apps_gnucash_general.schemas.in:
	  Increase default auto-save interval to 5 minutes.

2007-07-07 09:31  cstim

	* [r16256] src/gnome-utils/glade/preferences.glade,
	  src/gnome-utils/gnc-autosave.c, src/gnome-utils/gnc-autosave.h,
	  src/gnome-utils/gnc-file.c, src/gnome-utils/gnc-main-window.c:
	  Change autosave confirmation dialog as discussed on
	  gnucash-devel. Add preference for showing/hiding the
	  confirmation dialog. Also make sure no autosave confirmation
	  shows up when asking for saving anyway.

2007-07-06 21:13  jsled

	* [r16254] LICENSE, src/app-utils/gnc-sx-instance-model.c,
	  src/gnome-utils/gnc-dense-cal-model.c,
	  src/gnome-utils/gnc-dense-cal-store.c,
	  src/gnome-utils/gnc-sx-instance-dense-cal-adapter.c,
	  src/gnome-utils/gnc-sx-list-tree-model-adapter.c,
	  src/gnome-utils/gnc-tree-view-sx-list.c,
	  src/gnome/dialog-sx-editor.c,
	  src/gnome/dialog-sx-since-last-run.c,
	  src/gnome/gnc-plugin-page-sx-list.c: Update LICENSE to explain
	  the state of the world. Add OpenSSL exemption to my sources.

2007-07-06 20:41  cstim

	* [r16253] .gitignore: Add gitignore file list
	* [r16252] src/gnome-utils/Makefile.am,
	  src/gnome-utils/gnc-autosave.c, src/gnome-utils/gnc-autosave.h,
	  src/gnome-utils/gnc-main-window.c: Refactor autosave code into
	  separate file.

2007-07-04 10:42  lasindi

	* [r16248]
	  branches/csv-import/src/import-export/csv/gnc-csv-import.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.h,
	  branches/csv-import/src/import-export/csv/gnc-csv-preview-dialog.glade:
	  Column type selection seems to work reasonably well; added
	  rudimentary error correction code, although really more skeleton
	  code than anything useful; added date format selection, though
	  it's barely tested and does not handle errors yet.

2007-07-02 20:39  cstim

	* [r16247] src/import-export/hbci/druid-hbci-initial.c: Add extra
	  Qt error checking on Windows. #452741.

2007-07-02 20:26  cstim

	* [r16246] src/import-export/hbci/druid-hbci-initial.c: Fix crash
	  on empty aqbanking backend list. #452421.

2007-07-02 15:53  wilddev

	* [r16243] NEWS, configure.in: update to release 2.1.5

2007-07-01 12:06  cstim

	* [r16242] po/fr.po: Updated French translation by Yannik LE NY

2007-06-30 20:58  cstim

	* [r16241] po/fr.po: Merge latest translation updates for upcoming
	  release

2007-06-30 20:53  cstim

	* [r16240] po/fr.po: Updated French translation by Yannik LE NY

2007-06-30 15:27  andi5

	* [r16238] packaging/win32/gnucash.iss.in: Win32: Add
	  ignoreversion for the installation of bin/*, #452170. In the
	  switch to self-compiled openssl dlls, libeay32.dll lost
	  versioning information. Without ignoreversion inno setup will
	  not update this file although it really should, as it is newer
	  and has added symbols.

2007-06-30 15:05  jsled

	* [r16237] src/doc/sx.rst: more silly (re)formatting.

2007-06-30 14:59  jsled

	* [r16236] src/doc/sx.rst: remove transient problem resolved with
	  clean rebuild...

2007-06-30 14:58  jsled

	* [r16235] src/doc/sx.rst: add more notes/todo from twunder.

2007-06-30 14:07  jsled

	* [r16234] src/gnome-utils/gnc-sx-instance-dense-cal-adapter.c:
	  Remove lingering freqspec usage. :(

2007-06-30 13:36  jsled

	* [r16233] src/backend/file/gnc-freqspec-xml-v2.c,
	  src/backend/file/gnc-schedxaction-xml-v2.c, src/doc/sx.rst: Fix
	  bad writing of invalid FreqSpec, then disable writing FreqSpecs
	  altogether. :p

2007-06-30 13:32  jsled

	* [r16232] src/doc/sx.rst: formatting, cleanup.

2007-06-30 11:38  cstim

	* [r16231] po/ca.po, po/cs.po, po/da.po, po/el.po, po/en_GB.po,
	  po/es.po, po/es_NI.po, po/eu.po, po/fr.po, po/hu.po, po/it.po,
	  po/ja.po, po/nb.po, po/ne.po, po/nl.po, po/pl.po, po/pt.po,
	  po/pt_BR.po, po/ro.po, po/ru.po, po/rw.po, po/sk.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po: Merge
	  translations with updated template for upcoming release.
	* [r16230] po/de.po: Update German translation
	* [r16229] src/gnome-utils/glade/preferences.glade: Fix i18n
	  string to avoid duplicate messages
	* [r16228] lib/libqof/qof/qofbook.c: Add warning when overwriting
	  an already installed dirty-callback.

2007-06-30 10:31  cstim

	* [r16227] src/gnome-utils/gnc-main-window.c: Finish autosave
	  feature, #451889. Use many sanity checks and correctly switch UI
	  to insensitive. Start with 3 minutes as default auto-save
	  interval.
	* [r16226] src/gnome-utils/glade/preferences.glade,
	  src/gnome-utils/gnc-main-window.c,
	  src/gnome/schemas/apps_gnucash_general.schemas.in: Initial
	  autosave feature

2007-06-28 23:12  jsled

	* [r16225] src/gnome/dialog-sx-since-last-run.c: remove
	  dead/unreferenced code.

2007-06-27 22:18  andi5

	* [r16224] packaging/win32/gnucash.iss.in,
	  src/pixmaps/Makefile.am, src/pixmaps/gnucash-icon-48x48.bmp:
	  Win32 installer cosmetics. Add
	  src/pixmaps/gnucash-icon-48x48.bmp. Let setup.exe use the tango
	  icon as file icon and on page headers. Add a file version to
	  setup.exe.

2007-06-27 20:49  cstim

	* [r16223] po/de.po: Update German translation.

2007-06-27 20:40  cstim

	* [r16222] src/report/report-gnome/gnc-plugin-page-report.c: After
	  saving report, make that button inactive again. #450984

2007-06-27 20:33  cstim

	* [r16221] src/report/report-system/report.scm: Show dialog on
	  successful report save. #450984

2007-06-27 19:41  cstim

	* [r16220] po/hu.po: Update Hungarian translation by Tako Kornel.

2007-06-27 19:36  cstim

	* [r16219] src/bin/gnucash-bin.c: Follow-up on r16213 to have a
	  run-time message on disabled binreloc.

2007-06-27 08:13  lasindi

	* [r16218]
	  branches/csv-import/src/import-export/csv/gnc-csv-import.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-import.h,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.h: Made
	  comments take advantage of doxygen, also added some comments to
	  gnc-csv-model.c and gnc-csv-model.h. Renamed several variables
	  to have more intuitive meanings and removed redundant comments.
	  Also got rid of static variable in gnc-csv-import.c's
	  encoding_selected function.

2007-06-26 22:58  jsled

	* [r16217] README.dependencies: Update README.dependencies with
	  Jean-David Beyer's updates for RHEL5(/FC7).

2007-06-26 22:52  jsled

	* [r16216] contrib, contrib/pgsql-1.8-import,
	  contrib/pgsql-1.8-import/README,
	  contrib/pgsql-1.8-import/gnc2sql.pl,
	  contrib/pgsql-1.8-import/gnc2sql_update.pl,
	  contrib/pgsql-1.8-import/gnctables.sql: Add Klaus Dahlke's
	  datafile -> sql-insert-statement scripts.

2007-06-26 18:43  andi5

	* [r16215] src/gnome-utils/dialog-account.c: Readd support for
	  account dialogs working only on a subset of account types. This
	  was added in r14897, but lost in the merge r15066 of trunk into
	  branches/remove-group2.

2007-06-26 16:56  andi5

	* [r16214] src/backend/file/gnc-schedxaction-xml-v2.c: Validate
	  date in _fixup_recurrence_start_dates, #443941 win32 crash. This
	  invalid date is due to a missing block <fs:once> in the data
	  file. Why there is such an unwanted and incomplete sx is still
	  unclear.

2007-06-25 22:22  andi5

	* [r16213] src/bin/gnucash-bin.c: Call gbr_init() only on
	  ENABLE_BINRELOC, #450991. Move variables into #ifdef'ed blocks.
	  Also fix the leaking of a GError if gbr_init failed.

2007-06-25 17:18  andi5

	* [r16212] lib/libqof/backend/file/qsf-backend.c,
	  lib/libqof/qof/qofbook.c, lib/libqof/qof/qofbook.h,
	  lib/libqof/qof/qofbookmerge.c, lib/libqof/qof/qofinstance.c,
	  lib/libqof/qof/qofinstance.h, lib/libqof/qof/qofquery.c,
	  lib/libqof/qof/qofquerycore.c, lib/libqof/qof/qofreference.c,
	  lib/libqof/qof/qofsession.c,
	  src/app-utils/gnc-component-manager.c,
	  src/backend/postgres/book.c, src/backend/postgres/putil.h,
	  src/backend/postgres/table.m4,
	  src/business/business-core/gncEmployee.h, src/engine/Account.h,
	  src/engine/SchedXaction.h, src/engine/Split.c,
	  src/engine/Split.h, src/engine/Transaction.c,
	  src/engine/Transaction.h, src/engine/gnc-budget.h,
	  src/engine/gnc-lot.c, src/engine/gnc-lot.h,
	  src/engine/gnc-pricedb.h, src/gnome/dialog-chart-export.c,
	  src/gnome/top-level.c: Revert some qof_instance_get_guid() calls
	  to qof_entity_get_guid(). Those two functions were merged into
	  one, qof_instance_get_guid(), in r15773, but they returned
	  different values if the parameter was NULL. Some code depends on
	  the return value being guid_null(), or maybe even NULL, so
	  revert the changes entity->instance, where the entity is not
	  guaranteed to be non-NULL.
	* [r16211] lib/libqof/qof/qofquery.c: Avoid a global static
	  variable by using g_list_sort_with_data.

2007-06-24 08:48  cstim

	* [r16210] src/import-export/import-backend.c,
	  src/import-export/ofx/gnc-ofx-import.c: Add more checks for sane
	  structures. Fixes another crash of #450276.

2007-06-24 08:20  cstim

	* [r16209] src/import-export/ofx/gnc-ofx-import.c: Check ofx
	  structure for sanity. Partly fixes #450276.

2007-06-23 12:09  lasindi

	* [r16208]
	  branches/csv-import/src/import-export/csv/gnc-csv-import.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.h,
	  branches/csv-import/src/import-export/csv/gnc-csv-preview-dialog.glade:
	  Added a bunch of comments to gnc-csv-import.c.

2007-06-22 20:37  cstim

	* [r16207] src/gnome-utils/gnc-main-window.c: Check
	  main_window_close_page arguments for sanity. Fixed crash in
	  #366468.

2007-06-22 20:28  cstim

	* [r16206] po/de.po: Update German translation. 100% completed.
	  Yay.

2007-06-22 20:22  cstim

	* [r16205] packaging/win32/defaults.sh,
	  packaging/win32/install.sh: Upgrade win32 for aqbanking-2.3.1

2007-06-22 20:20  cstim

	* [r16204] src/gnome/dialog-print-check.c: Improve i18n comments
	  to make them more grok-able for translators.

2007-06-22 19:51  jsled

	* [r16203] src/gnome/dialog-sx-since-last-run.c: Uh, retain the
	  still-needed '_(...)'s. :p

2007-06-22 19:43  jsled

	* [r16202] src/gnome/dialog-sx-since-last-run.c: Fixup i18n as per
	  cstim (thanks! :).

2007-06-22 17:42  andi5

	* [r16201] lib/libqof/qof/qofinstance.c: Return NULL on
	  qof_instance_get_guid(NULL) again, #448853.

2007-06-22 13:31  andi5

	* [r16200] lib/libqof/backend/file/qof-backend-qsf.h,
	  lib/libqof/backend/file/qsf-backend.c,
	  lib/libqof/qof/qofbackend.c,
	  src/backend/file/gnc-backend-file.c,
	  src/backend/file/gnc-backend-file.h,
	  src/backend/postgres/PostgresBackend.c,
	  src/backend/postgres/PostgresBackend.h: Do not register qof
	  backend modules on first load, #433779. Qof backend modules used
	  to call qof_backend_register_provider() and
	  g_module_make_resident() directly in g_module_check_init(), i.e.
	  they could not be unloaded after the gnucash module crawler
	  detected them. Probably after the renaming of
	  libgnc-backend-file the QSF backend module started to register
	  itself before the gnc file backend, spitting a validation error
	  on virtually every data file load. So g_module_check_init() has
	  been renamed to qof_backend_module_init() and is now called by
	  qof_load_backend_library().
	* [r16199] lib/libqof/backend/file/qsf-backend.c: Correct use of
	  xmlNodeGetContent in qsf backend module. Its return value is a
	  char pointer, not a char.
	* [r16198] lib/libqof/backend/file/qof-backend-qsf.h,
	  src/backend/file/gnc-backend-file.c: Do not call setlocale
	  &friends from within the file backend library. The only valid
	  call would be to bindtextdomain, but the library does not use a
	  different locale directory anyway.

2007-06-22 07:26  lasindi

	* [r16197]
	  branches/csv-import/src/import-export/csv/gnc-csv-import.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-preview-dialog.glade:
	  Prototype of column type selection using GtkCellRendererCombo
	  (with "Hello" and "Good bye" selections; also replaced printf's
	  with g_debug.

2007-06-21 13:28  andi5

	* [r16196] src/gnome-utils/glade/preferences.glade,
	  src/gnome/gnc-split-reg.c,
	  src/gnome/schemas/apps_gnucash_general.schemas.in: Remove UI and
	  register parts of the "Enable euro support" option, #449395. *
	  In euro currency registers, treat the option as always-on, i.e.
	  show amounts both in the old currency and EUR * Remove the
	  option from the preferences dialog * Keep gconf key, but default
	  to disabled. If enabled, the account tree view page shows an
	  additional EUR total line in the summary bar

2007-06-20 23:42  jsled

	* [r16195] src/doc/sx.rst, src/gnome-utils/gnc-dense-cal.c: lower
	  severity of the "couldn't find tag [%d]" messages, as we
	  speculatively remove tags often.

2007-06-20 23:20  jsled

	* [r16194] src/doc/sx.rst, src/gnome/dialog-sx-since-last-run.c:
	  Mark a bunch of Since Last Run dialog strings translatable. Stop
	  doing an unused and sometimes invalid date-formatting operation.
	  Task-list cleanup.

2007-06-20 23:19  jsled

	* [r16193] src/engine/SchedXaction.c: Set template transaction
	  post dates on creation to prevent file-read warnings in the
	  future.

2007-06-20 22:33  jsled

	* [r16192] src/doc/sx.rst: let's actually obey the restructured
	  text format if we're going to do so.

2007-06-20 21:46  cstim

	* [r16191] packaging/win32/dist.sh,
	  packaging/win32/gnucash.iss.in: Add aqbankings localedir to
	  win32 dist.

2007-06-20 21:38  cstim

	* [r16190] po/de.po: Update German translation.

2007-06-20 21:11  cstim

	* [r16189] src/gnome/schemas/apps_gnucash_general.schemas.in: Fix
	  typo and gconf wording, avoiding nerd-speak.

2007-06-20 17:44  cstim

	* [r16188] src/gnome/druid-hierarchy.c: Mark untranslated strings
	  for i18n.

2007-06-19 19:40  cstim

	* [r16187] src/app-utils/gnc-ui-util.c: Replace a eur-currency
	  from the currency by EUR to fix old locales.

2007-06-19 03:02  jsled

	* [r16186] src/backend/file/gnc-schedxaction-xml-v2.c,
	  src/doc/sx.rst, src/engine/Recurrence.c,
	  src/engine/SchedXaction.c: Fix freq=None recurrnence +
	  file-restore.

2007-06-19 01:49  jsled

	* [r16185] src/doc/sx.rst: add some todos from Tim.

2007-06-18 21:08  andi5

	* [r16184] lib/libqof/backend/file/qsf-backend.c: Avoid stripping
	  the win drive letter on qsf export. Fixes #448900.

2007-06-18 20:42  andi5

	* [r16183] packaging/win32/install.sh: Install.sh: Fix
	  cross-compiling of gwenhywfar and ktoblzcheck. For real
	  cross-compiling, this change currently depends on unreleased
	  gwenhywfar changes and a windows openssl installation (cannot be
	  cross-compiled yet).
	* [r16182] packaging/win32/functions.sh,
	  packaging/win32/install.sh: Install.sh: Fix PKG_CONFIG_PATH
	  tracking when cross-compiling. One must not simply set or reset
	  environment variables that are tracked for changes, because
	  add_to_env relies on accurate helper variables.
	* [r16181] packaging/win32/install.sh: Install.sh: When
	  cross-compiling, mkdir $_GUILE_UDIR/bin before using it.
	* [r16180] packaging/win32/defaults.sh,
	  packaging/win32/install.sh: Install.sh: Use ld, gcc, dlltool and
	  ranlib for cross-compiling. Add $_MINGW_UDIR/mingw32/bin to PATH
	  and use gcc (and friends) instead of mingw32-gcc. Also make sure
	  PKG_CONFIG_PATH and PKG_CONFIG_LIBDIR are exported to avoid
	  using the build machine's installed packages.
	* [r16179] packaging/win32/install.sh: Install.sh: Harmonize
	  skipping messages.

2007-06-18 14:23  lasindi

	* [r16178]
	  branches/csv-import/src/import-export/csv/gnc-csv-import.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-preview-dialog.glade:
	  Experimented with hbox above treeview containing comboboxes

2007-06-18 02:49  andi5

	* [r16177] src/import-export/qif-import/druid-qif-import.c: Avoid
	  crash in QIF import, page categories. Fixes #447917. This is
	  basically the same typo fix as r15332 (wrong display information
	  used in row-activated handler). For whatever reasons it slipped
	  once again.

2007-06-17 11:27  cstim

	* [r16176] packaging/win32/install.sh: Revert r16175 because
	  aqbanking needs to be updated before we can use this.

2007-06-17 09:35  cstim

	* [r16175] packaging/win32/install.sh: Add gnome cppflags and
	  ldflags for libintl

2007-06-17 04:12  andi5

	* [r16174] autogen.sh: Allow running autogen.sh from the build
	  directory by cd'ing into the source tree. The source tree is
	  either $srcdir, `dirname $0` or .

2007-06-17 01:23  lasindi

	* [r16173] branches/csv-import/configure.in,
	  branches/csv-import/lib/Makefile.am,
	  branches/csv-import/lib/stf,
	  branches/csv-import/lib/stf/Makefile.am,
	  branches/csv-import/lib/stf/README,
	  branches/csv-import/lib/stf/stf-parse.c,
	  branches/csv-import/lib/stf/stf-parse.h,
	  branches/csv-import/src/bin/gnucash-bin.c,
	  branches/csv-import/src/import-export/Makefile.am,
	  branches/csv-import/src/import-export/csv/Makefile.am,
	  branches/csv-import/src/import-export/csv/gnc-csv-import.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-import.h,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.c,
	  branches/csv-import/src/import-export/csv/gnc-csv-model.h,
	  branches/csv-import/src/import-export/csv/gnc-csv-preview-dialog.glade,
	  branches/csv-import/src/import-export/csv/gnc-csv2glist.c,
	  branches/csv-import/src/import-export/csv/gnc-csv2glist.h,
	  branches/csv-import/src/import-export/csv/gnc-plugin-csv-ui.xml,
	  branches/csv-import/src/import-export/csv/gnc-plugin-csv.c,
	  branches/csv-import/src/import-export/csv/gnc-plugin-csv.h,
	  branches/csv-import/src/import-export/csv/gncmod-csv-import.c:
	  Initial commit of csv-import. Rudimentary preview and
	  configuration works, but with minimal error checking and lots of
	  bugs.

2007-06-16 17:29  wilddev

	* [r16170] NEWS, configure.in: update to release 2.1.4

2007-06-16 10:18  cstim

	* [r16168] doc/README.win32-bin.txt: Improve win32 readme.

2007-06-16 09:47  cstim

	* [r16167] doc/Makefile.am, doc/README.win32-bin.txt,
	  packaging/win32/gnucash.iss.in: Add extra README text for win32
	  binary package. #448143

2007-06-14 23:20  warlord

	* [r16163] branches/csv-import: Branch for GSoC2007 CSV Import
	  project

2007-06-14 20:01  andi5

	* [r16162] src/app-utils/gnc-ui-util.c: Fix a %s-NULL-printf if
	  default currency is neither locale nor chosen.

2007-06-12 20:39  cstim

	* [r16161] po/ca.po, po/cs.po, po/da.po, po/el.po, po/en_GB.po,
	  po/es.po, po/es_NI.po, po/eu.po, po/fr.po, po/hu.po, po/it.po,
	  po/ja.po, po/nb.po, po/ne.po, po/nl.po, po/pl.po, po/pt.po,
	  po/pt_BR.po, po/ro.po, po/ru.po, po/rw.po, po/sk.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po: Merge
	  latest translation changes into po files.

2007-06-12 20:36  cstim

	* [r16160] po/de.po: Update German translation.

2007-06-12 20:28  cstim

	* [r16159] packaging/win32/defaults.sh: Update gwenhywfar,
	  aqbanking. Fixes #435928.

2007-06-12 20:23  cstim

	* [r16158] src/import-export/hbci/druid-hbci-initial.c: With
	  aqbanking-2.3.0 we can activate all backends here already.

2007-06-10 00:50  andi5

	* [r16157] packaging/win32/gnucash.iss.in: Add aqbanking/wizarddir
	  to gnucash.iss.in and fix qbanking/cfgmoduledir.

2007-06-09 13:49  cstim

	* [r16156] src/app-utils/gnc-exp-parser.c: Dont mark string
	  translatable that is only visible to expert users in a special
	  file.

2007-06-08 20:01  cstim

	* [r16155] po/fr.po: Updated French translation by Stéphane
	  Raimbault. Updated wiki URL. Removed obsoleted strings. Minor
	  fixes.

2007-06-06 21:12  jsled

	* [r16154] src/doc/sx.rst: add note re: 'freq=none' bug.

2007-06-06 20:56  jsled

	* [r16153] src/doc/sx.rst: add 'every x months' bug note.

2007-06-03 20:56  andi5

	* [r16152] src/report/report-system/html-barchart.scm,
	  src/report/report-system/html-piechart.scm,
	  src/report/report-system/html-scatter.scm: Add exact->inexact in
	  plots for Guile 1.8 to print parsable doubles.

2007-06-03 20:00  cstim

	* [r16151] packaging/win32/gnucash.iss.in: Add yet another
	  registry key needed for aqbanking.

2007-06-03 19:43  andi5

	* [r16150] src/gnome-utils/gnc-html-graph-gog.c,
	  src/report/report-system/html-scatter.scm: Handle marker shape
	  and color options of scatter plots, #353871. Lost in
	  translation, Guppi -> GOffice.
	* [r16149] src/report/standard-reports/price-scatter.scm: Show
	  price scatterplot if the source is the price db and no account
	  has shares.

2007-06-02 17:33  wilddev

	* [r16145] NEWS, configure.in: update to release 2.1.3

2007-06-02 17:21  jsled

	* [r16144] packaging/gnucash-2.1.x.ebuild: Remove swig. It's not
	  actually a dependency for tarball releases.

2007-06-02 16:36  andi5

	* [r16143] src/gnome-utils/dialog-options.c: Fix another
	  %s-NULL-printf in the options dialog.

2007-06-01 23:13  andi5

	* [r16142] packaging/win32/gnucash.iss.in: Enable
	  libgncqof-backend-qsf on Win32 by exporting QOF_LIB_DIR. This is
	  not needed for the installation tree built by install.sh, but
	  the binary installer has to add that environment variable to the
	  relocatable gnucash.bat it writes out.

2007-06-01 22:44  andi5

	* [r16141] lib/libqof/qof/qofsession.c: Check for QOF_LIB_DIR
	  environment variable and try to load qof backends from there
	  first. This is a minimally invasive way to make qof backends
	  relocatable and needed for the Windows port. Avoiding
	  qofla-dir.h completely is probably desirable anyway.

2007-05-30 20:02  cstim

	* [r16140] lib/libqof/qof: Update svn:ignore

2007-05-30 17:44  andi5

	* [r16139] src/gnome-utils/gnc-dense-cal.c: Readd two pixels to
	  the widths of colored backgrounds in the dense calendar. When
	  drawing week backgrounds and the outer month borders, two
	  mysterious pixels were subtracted from the widths. This led to
	  two white pixels at the end of incomplete weeks that contained
	  the last day of the month and belonged to the last month of a
	  calendar column.

2007-05-30 16:16  andi5

	* [r16138] src/gnome-utils/gnc-dense-cal.c: Correctly check
	  against end of dense calendar to avoid spurious marks, #433156.

2007-05-30 15:56  andi5

	* [r16137] src/gnome-utils/dialog-utils.c,
	  src/gnome-utils/gnc-dense-cal.c,
	  src/register/register-gnome/gnucash-sheet.c: Unref a few pango
	  layouts returned by gtk_widget_create_pango_layout().
	* [r16136] src/report/locale-specific/us/taxtxf.scm: In tax
	  report, do not set to start and end of month if from-to mode is
	  selected, #435329.

2007-05-29 16:24  andi5

	* [r16135] src/core-utils/core-utils.i,
	  src/core-utils/core-utils.scm,
	  src/import-export/qif-import/qif-file.scm: Do not change
	  internal scheme strings in place, #389740. This fixes a crash
	  that happened in the QIF import with Guile 1.8 after stripping
	  utf8 violating bytes from the internal null-terminated string of
	  a scheme string, as the length parameter has not been updated
	  and a safety check threw an error from within a critical section
	  at a later stage. Just do not wrap gnc_utf8_strip_invalid but
	  rather gnc_utf8_strip_invalid_strdup.

2007-05-28 20:44  andi5

	* [r16134] src/gnome-utils/dialog-options.c: Fix %s-NULL-printfs
	  in image option previewers, #441798.

2007-05-27 23:18  andi5

	* [r16132] src/gnome-utils/gnc-dense-cal.c: Avoid unwanted
	  signed->unsigned conversions in dense cal computations, #441209.

2007-05-27 15:19  andi5

	* [r16131] src/register/register-core/formulacell.c: Fix a
	  %s-NULL-printf in the register, #441207.

2007-05-26 22:23  andi5

	* [r16130] packaging/win32/dist.sh: Use UNIX line delimiters in
	  dist.sh as well.
	* [r16129] packaging/win32/dist.sh: Fix dist_libxml2().

2007-05-24 22:04  andi5

	* [r16128] packaging/win32: Ignore custom.sh instead of custom.

2007-05-24 16:03  andi5

	* [r16127] packaging/win32/install.sh: Fix cross compilation of
	  OpenSP and LibOFX.

2007-05-23 19:04  andi5

	* [r16126] packaging/win32/install.sh: Do not use register_env_var
	  PKG_CONFIG_LIBDIR and leave it unset on Windows.

2007-05-23 18:49  andi5

	* [r16125] packaging/win32/install.sh: Add $LIBXSLT_DIR/bin to
	  PATH.

2007-05-23 17:21  andi5

	* [r16124] packaging/win32/defaults.sh,
	  packaging/win32/install.sh: Fix cross platform installation of
	  libxml2, gnome and exetype. A native rebuild of packages should
	  not be necessary. Just remove libxml2-2.6.27.win32.zip from your
	  downloads directory.
	* [r16123] packaging/win32/exetype.pl: Use UNIX line delimiters in
	  packaging/win32/exetype.pl.
	* [r16122] packaging/win32/create_cross_mingw.sh,
	  packaging/win32/defaults.sh, packaging/win32/install.sh:
	  Integrate create_cross_mingw.sh into install.sh. Minor cleanups.
	* [r16121] packaging/win32/dist.sh, packaging/win32/functions.sh,
	  packaging/win32/install.sh, packaging/win32/reset.sh: Untabify
	  major scripts in packaging/win32. Use indent-tabs-mode instead
	  of tab-width.
	* [r16120] packaging/win32/functions.sh: Let wget download to a
	  UNIX path.

2007-05-22 20:00  cstim

	* [r16119] Makefile.am: Auto-genenerate ChangeLog only when
	  building from svn.

2007-05-22 19:17  cstim

	* [r16118] po/en_GB.po: Updated British English translation by
	  Nigel Titley.

2007-05-21 17:27  andi5

	* [r16117] packaging/win32/create_cross_mingw.sh,
	  packaging/win32/dist.sh, packaging/win32/install.sh: Set
	  executable flag on a few scripts in packaging/win32.

2007-05-21 17:22  andi5

	* [r16116] packaging/win32/functions.sh: Use UNIX line delimiters
	  in packaging/win32/functions.sh.

2007-05-21 08:12  andi5

	* [r16115] src/report/report-gnome/Makefile.am: Link report-gnome
	  against engine for gnc_get_current_session().

2007-05-20 03:54  wilddev

	* [r16107] NEWS: correction to NEWS for 2.1.2

2007-05-20 03:42  wilddev

	* [r16105] NEWS, configure.in: update to release 2.1.2

2007-05-19 23:19  andi5

	* [r16104] src/report/report-gnome/gnc-plugin-page-report.c:
	  Improve gui component handling of report plugin pages. Let them
	  be closed on session shutdown by setting the session. Call
	  gnc_main_window_close_page in close handler. Unregister the
	  component in _destroy_widget and move _destroy into it.
	* [r16103] src/gnome/gnc-plugin-page-register.c: Add close handler
	  for register plugin pages, just call gnc_main_window_close_page.
	* [r16102] src/gnome-utils/dialog-options.c: Unregister option
	  dialogs from gui component list while destroying.
	* [r16101] src/gnome-utils/dialog-options.c: gnc-budget-lookup,
	  used for getter of budget option, may return '() instead of #f.

2007-05-18 23:31  andi5

	* [r16100] src/gnome-utils/dialog-transfer.c: In the transfer
	  dialog, always use bold headers.

2007-05-18 23:09  andi5

	* [r16099] src/gnome/window-reconcile.c: In reconciliation window,
	  only show interest button if account type is CREDIT or
	  LIABILITY. It used to be hidden and showed again by
	  gtk_widget_show_all.

2007-05-18 21:41  andi5

	* [r16098] src/register/register-gnome/gnucash-date-picker.c: Make
	  date picker in registers visible for rtl locales like hebrew,
	  #386816. The calendar popup starts at x=0, but in a
	  right-to-left interface it is drawn to the left, i.e. out off
	  the window. This can be avoided by overwriting the default
	  direction of the surrounding horizontal box.

2007-05-18 15:14  andi5

	* [r16097] src/gnome-search/search-account.c: Deuglify the account
	  selection dialog for the account search a little bit.

2007-05-18 14:54  andi5

	* [r16096] src/scm/price-quotes.scm: Correct the checks for
	  gnc:*finance-quote-{check,helper}* to use string-null?.
	  g-find-program-in-path returns a string---it may be empty but
	  not #f or '().
	* [r16095] src/import-export/qif-import/qif-to-gnc.scm: Fix a qif
	  import error if commission account cannot be found in the
	  mappings, #378274.
	* [r16094] src/gnome-utils/gnc-main-window.c: Update the main
	  window titles and the window list on HOOK_BOOK_OPENED.
	* [r16093] src/import-export/qif-import/druid-qif-import.c: In QIF
	  import, do not cat and merge accounts if imported_account_tree
	  is empty. If an error occurs while importing,
	  imported_account_tree will be set to #f, whereas functions
	  called by gnc:account-tree-catenate-and-merge would expect empty
	  lists. So do not call that function at all.

2007-05-17 13:28  andi5

	* [r16092] configure.in: Patch from Thomas Klausner to enable
	  building with goffice-0.4.
	* [r16091] src/bin/gnucash-bin.c: Do not remove files from history
	  list on startup, #388500. It is not clear yet, when and how it
	  is best to remove inaccessible files from the history list. At
	  least we should not do it on startup.

2007-05-15 02:54  hampton

	* [r16089] src/gnome/dialog-print-check.c: Update translator
	  comments.

2007-05-15 02:47  hampton

	* [r16088] src/gnome/dialog-print-check.c,
	  src/gnome/glade/print.glade: Programmatically generate check
	  file names from the title input by the user. Fixes #436255. Also
	  reload the check format combobox each time a custom format is
	  successfully saved. Fixes #436394.

2007-05-13 20:54  hampton

	* [r16082] src/engine/test-core/test-engine-stuff.c: Limit the
	  values of randomly generated numbers a little bit more. This
	  prevents the test-lots case from dying when it attempts to
	  divide one split into two splits, and the ration of the two
	  splits ends up producing numbers less than 0.01.

2007-05-13 15:02  andi5

	* [r16081] lib/libqof/qof/gnc-date.c: Add some delimiters for
	  parsing CJK dates, #437898. On Windows, the short date formats
	  are used, containing standard delimiters.

2007-05-13 13:23  cstim

	* [r16080] po/de.po: Update German translation. Fix some duplicate
	  key shortcuts as pointed out by andi5.

2007-05-13 13:22  cstim

	* [r16079] src/gnome/schemas/apps_gnucash_general.schemas.in: Fix
	  spelling error

2007-05-13 00:10  andi5

	* [r16078] src/gnome-search/dialog-search.c,
	  src/gnome-search/search.glade, src/gnome/glade/tax.glade: Make
	  search and tax info dialogs invisible at the top-most level. On
	  the one hand this avoids nasty redraws, so that the user need
	  not watch the dialogs getting filled by widgets. On the other,
	  on Windows because of #436721, dialogs are not redrawn correctly
	  after a gtk_window_resize(), rendering at least these two dialog
	  partly unusable without a full redraw.

2007-05-12 23:30  andi5

	* [r16077] src/bin/gnucash-bin.c,
	  src/gnome-utils/gnc-plugin-file-history.c,
	  src/gnome-utils/gnc-plugin-file-history.h: Add
	  gnc_history_remove_file, call it if the history file cannot be
	  loaded, #388500.

2007-05-12 19:36  cstim

	* [r16076] src/app-utils/gnc-accounting-period.c,
	  src/app-utils/gnc-ui-util.c,
	  src/gnome-utils/dialog-preferences.c: Fix memory leaks: All
	  strings from gnc_gconf_get_string need to be freed.

2007-05-12 19:12  cstim

	* [r16075] src/gnome-utils/gnc-plugin-file-history.c: Fix memory
	  leak: Returned strings from gconf need to be freed.

2007-05-12 17:50  jsled

	* [r16074] src/report/utility-reports/hello-world.scm: Remove
	  broken hyperlinks; just in-line the urls.

2007-05-12 16:50  andi5

	* [r16073] configure.in, lib/libc/strptime.c, lib/libc/strptime.h,
	  lib/libqof/qof/gnc-date-p.h, lib/libqof/qof/gnc-date.c,
	  lib/libqof/qof/qof-win32.c, macros/legacy_macros.m4: Further
	  improve date parsing on Windows. Revert parts of r16049 on Unix.
	  The recursive parsing of %x by strptime seems to work only for
	  complete strings, e.g. 4.6. in de_DE or 4/6 in en_UK will not be
	  parsed correctly. Therefore, readd LANGINFO_D_FMT_CHECK and use
	  qof_win32_get_time_format(QOF_WIN32_PICTURE_{DATE,TIME,DATETIME}
	  on Windows for printing and scanning. Make
	  get_win32_locale_string and translate_win32_picture accessible
	  by QOF.

2007-05-11 20:59  cstim

	* [r16072] po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po,
	  po/en_GB.po, po/es.po, po/es_NI.po, po/eu.po, po/fr.po,
	  po/hu.po, po/it.po, po/ja.po, po/nb.po, po/ne.po, po/nl.po,
	  po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/rw.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/zh_CN.po,
	  po/zh_TW.po: Update translations for next release.

2007-05-11 20:21  andi5

	* [r16071] lib/libc/strptime.c: On strptime('%X') and Windows,
	  first translate the time picture to a format spec, cf. #437751.

2007-05-11 17:35  andi5

	* [r16070] src/app-utils/gnc-ui-util.c: In
	  gnc_find_or_create_equity_account, fix crash if there is no
	  account "Equity", #436155.

2007-05-08 22:07  andi5

	* [r16069] src/gnome-utils/gnc-main-window.c: Update the window
	  title after a new main window has been created, #436479.

2007-05-08 21:06  cstim

	* [r16068] src/app-utils/gnc-accounting-period.c: Fix memory leak:
	  Returned strings from gconf need to be freed.

2007-05-08 21:05  cstim

	* [r16067] src/gnome-utils/window-main-summarybar.c: Fix last
	  commit, sorry.

2007-05-08 21:03  cstim

	* [r16066] src/core-utils/gnc-gconf-utils.c,
	  src/gnome-utils/window-main-summarybar.c: Fix small memory leak
	  - unfreed string.

2007-05-08 20:45  andi5

	* [r16065] util/glade-fixup: Update comment in glade-fixup to Gtk+
	  v2.6.
	* [r16064] src/gnome/dialog-tax-info.c, src/gnome/glade/tax.glade:
	  In the tax information dialog, add a GtkHPaned to allow resizing
	  of the accounts treeview, #432072. The treeview on the left hand
	  side does not support horizontal scrolling, so separate both
	  sides by a horizontal paned widget. Save and restore its
	  position in GConf, too.

2007-05-08 20:36  cstim

	* [r16063] src/gnome/gnc-plugin-page-sx-list.c,
	  src/gnome/schemas/apps_gnucash_general.schemas.in: Improve user
	  message wordings

2007-05-08 20:33  cstim

	* [r16062] src/gnome-utils/gnc-dense-cal.c,
	  src/gnome-utils/gnc-tree-view-sx-list.c,
	  src/gnome/glade/print.glade,
	  src/gnome/gnc-plugin-basic-commands.c: I18n improvements: Add
	  comments for translators

2007-05-08 20:28  cstim

	* [r16061] src/gnc-module/gnc-module.c: Fix small memory leak -
	  unfreed string.

2007-05-07 18:39  andi5

	* [r16060] src/import-export/import-match-map.c: Fix a
	  NULL-%s-printf in bayes matching, #436455.

2007-05-07 13:24  chris

	* [r16059] src/app-utils/app-utils.i: Plug a leak of strings in
	  the swip-wrapped gnc_gettext_helper().

2007-05-06 21:47  cstim

	* [r16058] lib/libqof/qof/qoflog.c: Fix memory leak where a free
	  was forgotten

2007-05-06 21:27  cstim

	* [r16057] src/gnome-utils/gnc-main-window.c: Fix memory leak
	  where a free was forgotten

2007-05-06 04:35  hampton

	* [r16056] src/gnome/window-reconcile.c: Use the last second of
	  the statement date when determining whether clears transaction
	  should be checked when the reconciliation dialog is created.

2007-05-06 00:27  hampton

	* [r16055] lib/libqof/qof/qofbookmerge.c: Fix several problems
	  with the QOF book merge code. Use unique error codes in the
	  qof_book_merge_commit() function. Fixes 343730.

2007-05-05 23:25  jsled

	* [r16054] src/import-export/hbci/gnc-plugin-hbci-ui.xml:
	  Bug#436177: more CSV Import hiding.

2007-05-05 23:23  hampton

	* [r16053] src/report/report-gnome/gnc-plugin-page-report.c: For
	  report pages, make the "Refresh" menu item synonymous with the
	  Reload toolbar button. Fixes 381737.

2007-05-05 22:20  hampton

	* [r16052] src/gnome/dialog-print-check.c,
	  src/gnome/glade/print.glade: Now that check printing has been
	  rewritten, there no longer a need to have the custom translation
	  fields always enabled.

2007-05-05 21:46  hampton

	* [r16051] src/gnome/dialog-print-check.c,
	  src/gnome/glade/print.glade: When saving a check format, query
	  the user for the title to write into that format. Fixed #434409.

2007-05-05 21:08  jsled

	* [r16050] src/import-export/hbci/gnc-plugin-hbci.c: Bug#436177:
	  disable menu items for Import CSV {,and send}.

2007-05-05 21:02  andi5

	* [r16049] configure.in, lib/libqof/qof/gnc-date.c,
	  macros/legacy_macros.m4, src/engine/FreqSpec.c,
	  src/gnome/dialog-sx-editor.c: Do not use langinfo to determine
	  date format spec, but %x, %X or %c. Remove check for
	  HAVE_LANGINFO_D_FMT. Rather use standard strftime and
	  (standard?) strptime format specifiers %x (date), %X (time) and
	  %c (date&time, all in national representation).

2007-05-05 20:44  andi5

	* [r16048] lib/libc/Makefile.am, lib/libc/strptime.c: Add
	  Windows-specific code to lib/libc/strptime.c to eat %x, %X and
	  %c. Originally, it came from evolution-data-server,
	  /libedataserver/e-time-utils.c, but was modified to not depend
	  on GLib.

2007-05-05 20:29  jsled

	* [r16047] src/gnome/gnc-plugin-page-register.c: Bug#334939,
	  partial: clarify the tooltips for the register reports.

2007-05-05 19:25  hampton

	* [r16046] src/gnome/dialog-print-check.c: Fix two bugs in custom
	  check printing. One swaps the placement of the amount(number)
	  and amount(words) when printing directly from the custom check
	  page of the print dialog. (No bugzilla.) The other bug is that
	  GnuCash fails to write the guid in newly saved check files. (Bug
	  #434407)

2007-05-05 19:20  jsled

	* [r16045] packaging/gnucash-2.1.x.ebuild: Conditionally warn the
	  user about file-format changes.

2007-05-05 17:03  jsled

	* [r16044] src/backend/file/gnc-book-xml-v2.c,
	  src/backend/file/gnc-schedxaction-xml-v2.c,
	  src/backend/file/io-utils.c: Invert "allow_file_incompatabiilty"
	  tests: we now generate files that 2.0 might not read exactly.

2007-05-04 13:30  andi5

	* [r16043] src/import-export/import-account-matcher.c: Save column
	  selection in import account matcher to GConf.

2007-05-03 03:56  hampton

	* [r16042] lib/libqof/qof/qofbackend-p.h,
	  lib/libqof/qof/qofbook.c, lib/libqof/qof/qofbook.h,
	  lib/libqof/qof/qofinstance.c, lib/libqof/qof/qofinstance.h,
	  src/backend/postgres/PostgresBackend.c,
	  src/backend/postgres/account.c, src/backend/postgres/book.c,
	  src/backend/postgres/table.m4, src/backend/postgres/txn.c,
	  src/backend/postgres/txnmass.c, src/engine/Account.c,
	  src/engine/AccountP.h, src/engine/Split.c, src/engine/SplitP.h,
	  src/engine/Transaction.c, src/engine/TransactionP.h: Collapse
	  the various "idata" fields into a single field attached to the
	  QofInstance object.

2007-05-03 02:56  hampton

	* [r16041] lib/libqof/qof/qofinstance.c,
	  lib/libqof/qof/qofinstance.h,
	  src/backend/postgres/PostgresBackend.c,
	  src/backend/postgres/account.c, src/backend/postgres/price.c,
	  src/backend/postgres/table.m4,
	  src/backend/postgres/test/test-db.c, src/backend/postgres/txn.c,
	  src/backend/postgres/txnmass.c, src/engine/Account.c,
	  src/engine/Account.h, src/engine/Transaction.c,
	  src/engine/TransactionP.h, src/engine/gnc-pricedb-p.h,
	  src/engine/gnc-pricedb.c, src/engine/gnc-pricedb.h,
	  src/engine/test/test-book-merge.c: Collapse the various
	  "version" and "version_check" fields into a single pair of
	  fields attached to the QofInstance object.
	* [r16040] lib/libqof/qof/qofbookmerge.c: Fix a problem copying a
	  guid from an object to a local variable.

2007-05-02 05:42  hampton

	* [r16039] lib/libqof/backend/file/qsf-backend.c,
	  lib/libqof/qof/deprecated.h, lib/libqof/qof/guid.c,
	  lib/libqof/qof/guid.h, lib/libqof/qof/kvp-util-p.h,
	  lib/libqof/qof/kvp-util.c, lib/libqof/qof/qofbookmerge.c,
	  lib/libqof/qof/qofevent-p.h, lib/libqof/qof/qofevent.c,
	  lib/libqof/qof/qofid-p.h, lib/libqof/qof/qofid.c,
	  lib/libqof/qof/qofid.h, lib/libqof/qof/qofinstance.c,
	  lib/libqof/qof/qofinstance.h, lib/libqof/qof/qofreference.c,
	  lib/libqof/qof/qofsession.c,
	  src/backend/file/gnc-freqspec-xml-v2.c,
	  src/backend/postgres/txn.c,
	  src/business/business-core/gncEntry.c,
	  src/business/business-core/gncInvoice.c,
	  src/business/business-core/gncOrder.c,
	  src/business/business-core/test/test-address.c,
	  src/engine/Account.c, src/engine/SchedXaction.c,
	  src/engine/Scrub2.c, src/engine/Split.c,
	  src/engine/Transaction.c, src/engine/test/test-guid.c: Move
	  QofInstance guid property from its public data structure to its
	  private data structure.

2007-05-02 03:18  hampton

	* [r16038] lib/libqof/qof/qofinstance.c,
	  lib/libqof/qof/qofinstance.h, src/backend/postgres/txn.c,
	  src/business/business-core/gncBillTerm.c,
	  src/business/business-core/gncInvoice.c,
	  src/business/business-core/gncTaxTable.c, src/engine/Account.c,
	  src/engine/Period.c, src/engine/Scrub.c, src/engine/Split.c,
	  src/engine/Transaction.c, src/engine/cap-gains.c,
	  src/engine/gnc-pricedb.c: Move QofInstance book properties from
	  its public data structure to its private data structure.

2007-05-02 01:57  hampton

	* [r16037] lib/libqof/qof/qofbook.c, lib/libqof/qof/qofid.c,
	  lib/libqof/qof/qofinstance-p.h, lib/libqof/qof/qofinstance.c,
	  lib/libqof/qof/qofinstance.h, lib/libqof/qof/qofutil.c,
	  src/engine/test/test-guid.c: More a large number of the
	  QofInstance properties from the public data structure to a
	  private data structure, with access to them as properties of the
	  object.

2007-05-01 22:05  andi5

	* [r16036] packaging/win32/install-fq-mods.bat: Add support for
	  ActivePerl 5.6 to install-fq-mods.bat.

2007-05-01 14:03  andi5

	* [r16035] packaging/win32/install-fq-mods.bat,
	  src/bin/gnucash-bin.c, src/quotes/gnc-fq-helper.in: Do not set
	  timezone to UTC on Windows, #434752. The perl module Date::Manip
	  needs some timezone information to work, but cannot determine
	  that itself on Windows. Setting the TZ environment variable for
	  the gnucash process has bad consequences, so rather call
	  Date_Init("TZ=UTC") if TZ is unset.

2007-05-01 11:54  cstim

	* [r16034] po/fr.po: Fix spelling error in French translation.
	  #433389.

2007-04-30 17:06  hampton

	* [r16033] lib/libqof/qof/qofbackend.h, lib/libqof/qof/qofutil.h,
	  src/business/business-core/gncBillTerm.c,
	  src/business/business-core/gncEmployee.c,
	  src/business/business-core/gncEntry.c,
	  src/business/business-core/gncInvoice.c,
	  src/business/business-core/gncJob.c,
	  src/business/business-core/gncTaxTable.c,
	  src/business/business-core/gncVendor.c,
	  src/engine/gnc-pricedb.c: Remove the macro versions of
	  qof_begin_edit and qof_commit_edit_part<x>. The function call
	  versions of these routines should be used instead.

2007-04-30 16:38  cstim

	* [r16032] macros/svn2cl.xsl: Merge some upstream compatibility
	  updates for svn2cl.xsl

2007-04-30 09:42  cstim

	* [r16030] Makefile.am, macros/svn2cl.xsl: Improve the
	  auto-generated ChangeLog and have it run on make ChangeLog. The
	  rule for the auto-generated ChangeLog will use all commits of
	  trunk and several branches that are hard-coded into
	  macros/svn2cl.xsl. Just add more branches there if we need them
	  in the ChangeLog as well.

2007-04-30 09:32  cstim

	* [r16029] ChangeLog, ChangeLog.2006-manual: Move old manual 2006
	  Changelog to separate filename

2007-04-30 08:25  andi5

	* [r16028] src/gnome/dialog-print-check.c: Patch from Zach Sadecki
	  to start custom check items at index 1, #434029.

2007-04-30 08:22  cstim

	* [r16027] po/en_GB.po: Updated British English translation by
	  Nigel Titley.

2007-04-30 05:33  hampton

	* [r16025] lib/libqof/qof/qofinstance.c,
	  lib/libqof/qof/qofinstance.h, src/backend/postgres/account.c,
	  src/backend/postgres/price.c, src/backend/postgres/txn.c,
	  src/business/business-core/gncAddress.c,
	  src/business/business-core/gncBillTerm.c,
	  src/business/business-core/gncCustomer.c,
	  src/business/business-core/gncEmployee.c,
	  src/business/business-core/gncEntry.c,
	  src/business/business-core/gncInvoice.c,
	  src/business/business-core/gncJob.c,
	  src/business/business-core/gncOrder.c,
	  src/business/business-core/gncTaxTable.c,
	  src/business/business-core/gncVendor.c, src/engine/Account.c,
	  src/engine/Scrub2.c, src/engine/Split.c,
	  src/engine/Transaction.c, src/engine/cap-gains.c,
	  src/engine/gnc-budget.c, src/engine/gnc-pricedb.c: Start putting
	  an API in place for access to the members of the QofInstance
	  object.

2007-04-29 18:32  andi5

	* [r16024] packaging/win32/gnucash.iss.in: Patch from Zach Sadecki
	  to lower the number of annoying console windows. * At the end of
	  the setup, optionally run gnucash.bat hidden * Desktop and start
	  menu icon run gnucash.bat minimized (hidden is not possible here)

2007-04-29 16:11  andi5

	* [r16023] packaging/win32/gnucash.iss.in: Shutdown gconfd before
	  uninstalling GnuCash, #434271.

2007-04-29 10:18  andi5

	* [r16022] packaging/win32/install.sh: Change gconfd-2.exe to the
	  windows subsystem in inst_gnome more often. If for some reason
	  gnome is reinstalled but gconfd-2.console.exe has not been
	  removed, the subsystem type of the newly unzipped gconfd-2.exe
	  is not changed again, so it will pop up a console window. Fix
	  that.

2007-04-28 22:06  wilddev

	* [r16019] packaging/Makefile.am: Update packaging/Makefile.am to
	  release 2.1.1

2007-04-28 21:49  wilddev

	* [r16018] NEWS, configure.in: Update NEWS and configure.in to
	  release 2.1.1

2007-04-28 19:13  andi5

	* [r16017] src/scm/Makefile.am, src/scm/price-quotes.scm,
	  src/scm/process.scm: Drop process.scm and spawn perl to retrieve
	  price quotes. Use gnc_spawn_process_async, gnc_process_get_fd,
	  gnc_detach_process and gnc_parse_time_to_timet in
	  price-quotes.scm, but leave the work-flow basically as before.
	* [r16016] src/app-utils/app-utils.i, src/app-utils/guile-util.c,
	  src/app-utils/guile-util.h: Add gnc_parse_time_to_timet, a
	  concatenation of strptime and mktime. This will be needed for
	  the price quotes on systems that lack a guile function
	  `strptime'.

2007-04-28 16:04  andi5

	* [r16015] src/app-utils/guile-util.c: Give the child process a
	  real chance to die before we kill it. Improve r15997 by
	  processing all events without blocking, maybe until the child is
	  dead.

2007-04-28 15:32  andi5

	* [r16014] src/bin/gnucash-bin.c: Prepend to PATHEXT and give a
	  default TZ on Windows. * g_find_program_in_path will find
	  gnc-fq-{check,helper} only if . is added to PATHEXT *
	  Date::Manip needs TZ set to something reasonable
	  (install-fq-mods.bat should help the user)

2007-04-28 15:28  andi5

	* [r16013] packaging/win32/install-fq-mods.bat: Add gnc-fq-helper
	  and TZ environment variable test to install-fq-mods.bat. Set TZ
	  to UTC if unset and download a price.

2007-04-28 11:17  cstim

	* [r16012] po/ca.po, po/cs.po, po/da.po, po/el.po, po/en_GB.po,
	  po/es.po, po/es_NI.po, po/eu.po, po/fr.po, po/hu.po, po/it.po,
	  po/ja.po, po/nb.po, po/ne.po, po/nl.po, po/pl.po, po/pt.po,
	  po/pt_BR.po, po/ro.po, po/ru.po, po/rw.po, po/sk.po, po/sv.po,
	  po/ta.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po: Merge
	  all translations with current translation template.

2007-04-28 11:16  cstim

	* [r16011] po/de.po: Update German translation

2007-04-28 11:11  cstim

	* [r16010] src/core-utils/gnc-gkeyfile-utils.c: Fix typo in user
	  message

2007-04-28 11:10  cstim

	* [r16009] src/gnome/dialog-print-check.c,
	  src/import-export/hbci/druid-hbci-initial.c: i18n cleanup: Fix
	  explanatory comments for translators.

2007-04-28 11:09  cstim

	* [r16008] src/backend/file/io-example-account.c,
	  src/engine/Recurrence.c: i18n cleanup: Don't translate messages
	  that don't have to be.

2007-04-28 11:09  andi5

	* [r16007] packaging/win32/Makefile.am, packaging/win32/dist.sh,
	  packaging/win32/gnucash.iss.in,
	  packaging/win32/install-fq-mods.bat, packaging/win32/install.sh:
	  Add install-fq-mods.bat to dist and start menu. * Dist new
	  OpenSSL correctly * cp libssl32.dll ssleay32.dll to make
	  Crypt::SSLeay perl module happy

2007-04-28 02:40  hampton

	* [r16003] lib/libqof/qof/qofid.c, lib/libqof/qof/qofid.h,
	  lib/libqof/qof/qofinstance.c, lib/libqof/qof/qofinstance.h:
	  Collapse two functions into their only caller. Move a third
	  function to the same file.

2007-04-27 16:54  andi5

	* [r16002] packaging/win32/install.sh: Update openssl safety net.
	  * Bark on $OPENSSL_DIR/lib/libcrypto.dll.a (0.9.7) * Bark if
	  libeay32.dll cannot be found * Bark if libeay32.dll is found,
	  but not in $OPENSSL_DIR/bin * Do not care about libs in $WINDIR

2007-04-27 14:44  andi5

	* [r16001] src/app-utils/gnc-ui-util.c: Fix a NULL-%s-printf,
	  #433798.

2007-04-26 21:58  andi5

	* [r16000] packaging/win32/Makefile.am, packaging/win32/README,
	  packaging/win32/defaults, packaging/win32/defaults.sh,
	  packaging/win32/dist.sh, packaging/win32/functions,
	  packaging/win32/functions.sh, packaging/win32/install.sh,
	  packaging/win32/reset.sh: Append `.sh' to
	  packaging/win32/{functions,defaults}.

2007-04-26 21:22  andi5

	* [r15999] packaging/win32/install.sh: Do not double-check
	  libraries/programs if they are installed correctly.

2007-04-26 17:17  andi5

	* [r15998] packaging/win32/defaults, packaging/win32/install.sh:
	  Build OpenSSL 0.9.8e from tarball. Also starring: * Add
	  mingw32-make, as openssl will be built in cmd.exe * Link
	  gwenhywfar against dynamic libraries (-leay32 -lssl32) * Install
	  svn before openssl to have the newer ssl dlls as first in PATH

2007-04-25 18:25  andi5

	* [r15997] src/app-utils/guile-util.c: Fix gnc_spawn_process_async
	  and gnc_detach_process. * Do not use g_child_watch_add if the
	  spawn failed * Give the child process a chance to die before we
	  kill it * Rather use g_message if file descriptors cannot be
	  closed

2007-04-25 18:22  andi5

	* [r15996] src/core-utils/gnc-glib-utils.c: Free a leaked return
	  value of g_win32_error_message.

2007-04-23 02:06  hampton

	* [r15995] src/gnome-utils/gnc-main-window.c: Use gtk_widget_show,
	  not gtk_widget_show_all. The latter screws up the
	  synchronization between the edit menu and which items are shown
	  in the window.

2007-04-23 01:56  hampton

	* [r15994] src/pixmaps/gnucash-icon.ico: New version of the file
	  from Zach Sadecki that include three different image sizes.
	  Fixes #432425

2007-04-22 22:15  hampton

	* [r15993] accounts/en_GB, packaging/win32: Update ignore
	  properties.

2007-04-22 22:02  hampton

	* [r15992] src/gnome-utils/dialog-transfer.c: Use simpler behavior
	  for setting the "1 xxx = 2 yyy" exchange rate sample strings in
	  the lower right corner of the transfer dialog. Don't try and
	  duplicate the logic that sets the number in the exchange rate
	  field, just pull the the existing number straight out of the
	  widget. Fixes #408703. BP

2007-04-22 21:20  hampton

	* [r15991] src/gnome/glade/price.glade: Move the price
	  manupilation buttons to the right side of the dialog. For
	  languages where one of the button labels is very long, this
	  prevents the dialog from becoming excessively wide.

2007-04-22 20:22  hampton

	* [r15990] src/engine/iso-4217-currencies.scm: Add the Moldovan
	  Leu. Fixes #414064. BP

2007-04-22 20:04  hampton

	* [r15989] src/engine/Transaction.c: Changing the transaction
	  number can affect the split sort order and thus the running
	  account balances. Fixes #386074. BP

2007-04-22 19:29  hampton

	* [r15988] src/engine/Account.c: Catch and short circuit the case
	  of trying to get the balance of an account that is so new it
	  hasn't had a currency assigned yet. Fixes #432227.

2007-04-22 18:30  hampton

	* [r15987] src/engine/Account.c: Allow NULL pointers when calling
	  xaccAccountGetFullName. Fixes #432314.

2007-04-22 16:30  jsled

	* [r15986] src/bin/gnucash-bin.c,
	  src/gnome-utils/gnc-gnome-utils.c,
	  src/gnome-utils/gnc-main-window.c,
	  src/gnome-utils/gnc-main-window.h: Bug#350993: hide the main
	  window until it's ready to be interacted with (like most every
	  other app).

2007-04-22 16:10  jsled

	* [r15985] src/gnome/gnc-plugin-page-sx-list.c: Bug#432232:
	  confirm SX deletion.

2007-04-22 11:36  andi5

	* [r15984] src/gnome-utils/gnc-tree-view-account.c: Do not show
	  ACCT_TYPE_ROOT in filter by dialog.

2007-04-22 11:27  andi5

	* [r15983] src/gnome-utils/gnc-tree-view-account.c: In
	  gnc_tree_view_account_select_subaccounts, determine correct last
	  (deep) child.

2007-04-22 10:53  andi5

	* [r15982] src/gnome/glade/account.glade: Set mnemonic widget for
	  "Smallest fraction" in account dialog.

2007-04-22 10:26  andi5

	* [r15981] src/gnome/glade/tax.glade: Set scroll policies in tax
	  information dialog to automatic, #432072.
	* [r15980] src/gnome/glade/sched-xact.glade: Remove urgency_hint
	  (gtk+ >= 2.8) from glade files.
	* [r15979] src/gnome-utils/glade/preferences.glade: Add a 6px
	  border to the printing tab of the preferences dialog for
	  consistency.

2007-04-22 09:20  andi5

	* [r15978] src/gnome-utils/gnc-splash.c: Close the splash screen
	  on clicks, #366418.

2007-04-22 09:03  andi5

	* [r15977] src/app-utils/gnc-ui-util.c: Fix double variable
	  declaration on non-Windows, introduced by r15973.

2007-04-22 05:59  hampton

	* [r15976] src/gnome-utils/dialog-options.c: Remember the current
	  session when an option dialog boxes is opened, and close it when
	  the session is closed. Fixes #394074. BP

2007-04-22 05:22  hampton

	* [r15975] src/gnome-utils/gnc-file.c: Suspend qof events for the
	  interval between swapping the books between two sessions, and
	  installing the new session as the current session. The books end
	  up same before and after, but there is small interval in the
	  middle where any call to get the current book will get bogus
	  results. Fixes #414783. BP

2007-04-22 00:49  andi5

	* [r15974] packaging/win32/install.sh: Compile with
	  --enable-locale-specific-tax on Windows.

2007-04-22 00:48  andi5

	* [r15973] src/app-utils/gnc-ui-util.c,
	  src/gnome/druid-hierarchy.c,
	  src/report/locale-specific/us/gncmod-locale-reports-us.c,
	  src/tax/us/gncmod-tax-us.c: To identify the active locale on
	  Windows, use g_win32_getlocale instead of setlocale.

2007-04-21 22:20  jsled

	* [r15972] src/report/standard-reports/balance-sheet.scm:
	  Bug#131623: Fix computation of unrealized gains in Balance Sheet
	  report. Patch from Mike Alexander <mta@umich.edu>.

2007-04-21 21:49  jsled

	* [r15971] packaging/gnucash-2.1.x.ebuild: ebuild updates

2007-04-21 21:46  jsled

	* [r15970] AUTHORS: update myself.

2007-04-21 21:26  jsled

	* [r15969] accounts/Makefile.am, accounts/en_GB,
	  accounts/en_GB/Makefile.am,
	  accounts/en_GB/acctchrt_brokerage.gnucash-xea,
	  accounts/en_GB/acctchrt_business.gnucash-xea,
	  accounts/en_GB/acctchrt_carloan.gnucash-xea,
	  accounts/en_GB/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/en_GB/acctchrt_checkbook.gnucash-xea,
	  accounts/en_GB/acctchrt_childcare.gnucash-xea,
	  accounts/en_GB/acctchrt_common.gnucash-xea,
	  accounts/en_GB/acctchrt_eduloan.gnucash-xea,
	  accounts/en_GB/acctchrt_fixedassets.gnucash-xea,
	  accounts/en_GB/acctchrt_full.gnucash-xea,
	  accounts/en_GB/acctchrt_homeloan.gnucash-xea,
	  accounts/en_GB/acctchrt_homeown.gnucash-xea,
	  accounts/en_GB/acctchrt_otherloan.gnucash-xea,
	  accounts/en_GB/acctchrt_renter.gnucash-xea,
	  accounts/en_GB/acctchrt_retiremt.gnucash-xea,
	  accounts/en_GB/acctchrt_spouseinc.gnucash-xea,
	  accounts/en_GB/acctchrt_spouseretire.gnucash-xea,
	  accounts/en_GB/uk-vat.gnucash-xea, configure.in: Bug#372948: Add
	  accounts/en_GB/ (as a copy of accounts/C/ ... sorry), add an
	  example accounts file for VAT tracking.

2007-04-21 20:58  jsled

	* [r15968] packaging/gnucash-1.9.x.ebuild,
	  packaging/gnucash-2.1.x.ebuild: Update ebuild for 2.1.x'es.

2007-04-21 20:07  hampton

	* [r15967] lib/libqof/qof/gnc-numeric.h, src/engine/Account.c: Use
	  GNC_TYPE_NUMERIC instead of GNC_NUMERIC.

2007-04-21 19:18  hampton

	* [r15959] src/gnome-utils/dialog-options.c: Disable the close
	  callback while updating reports. Fixes #416986.

2007-04-21 18:44  jsled

	* [r15955] src/gnome/gnc-plugin-page-register.c: Bug#349693: s/Lot
	  Viewer/View Lots/ for consistency with Account Tree and Action
	  menu.

2007-04-21 18:31  hampton

	* [r15954] src/register/ledger-core/split-register-load.c,
	  src/register/ledger-core/split-register-model.c,
	  src/register/ledger-core/split-register.c: Validate whether or
	  not an account exists before calling various functions in
	  Account.c.

2007-04-21 18:30  hampton

	* [r15953] src/engine/Account.c: Relax the check on whether
	  xaccAccountGetCommodity is called with a valid commodity. This
	  function is called from many places without testing to see if
	  the account is non-NULL.

2007-04-21 18:14  andi5

	* [r15952] packaging/win32/defaults, packaging/win32/install.sh:
	  Replace monolithic MinGW setup by smaller and reusable downloads.

2007-04-21 16:32  jsled

	* [r15951] src/gnome-utils/gnc-main-window.c: Bug#347257: make the
	  initial window a reasonable size, especially for --nofile.

2007-04-21 15:30  jsled

	* [r15950] src/engine/SchedXaction.c: Bug#431435: guard against
	  dirtying the SX/book when setting to the same values the SX
	  objects already contain.

2007-04-21 14:08  jsled

	* [r15949] src/gnome/gnc-plugin-page-sx-list.c: Add accel for
	  Scheduled overlay menu

2007-04-21 12:47  andi5

	* [r15948] src/gnome-utils/dialog-account.c: Update the account
	  name in the title of the account dialog on a parent change.

2007-04-21 12:26  andi5

	* [r15947] src/gnome-utils/dialog-account.c: Use correct mnemonic
	  widget for "_Parent Account" in account dialog, #431963. BP

2007-04-21 12:00  andi5

	* [r15946] src/engine/Account.c, src/engine/Account.h,
	  src/gnome-utils/dialog-account.c,
	  src/gnome-utils/gnc-tree-model-account-types.h: Improve handling
	  of the account in the account dialog. * rename
	  xaccAccountTypesCompatibleWith to
	  xaccParentAccountTypesCompatibleWith, typically allow
	  ACCT_TYPE_ROOT as parent but not as child * remove
	  ACCT_TYPE_ROOT from xaccAccountTypesValid * no need to
	  single-case the root account in gnc_common_ok anymore

2007-04-21 08:59  cstim

	* [r15945] po/de.po: Update German translation

2007-04-20 21:24  jsled

	* [r15944] src/app-utils/gnc-sx-instance-model.c,
	  src/engine/SchedXaction.c: Bug#431771: remove from SX
	  deferred-instance list by value. Remove inexplicably-commented
	  line from SX Instance Model.

2007-04-20 17:42  jsled

	* [r15942] src/app-utils/gnc-sx-instance-model.c: Bug#431756: use
	  the correct return value for the xaccAccountForEachTransaction
	  function.

2007-04-20 16:56  jsled

	* [r15941] src/app-utils/gnc-sx-instance-model.c: Only append if
	  the list is valid.

2007-04-20 15:34  jsled

	* [r15940] src/app-utils/gnc-sx-instance-model.c,
	  src/gnome/dialog-sx-editor.c: Fix crasher in variable handling
	  in SX editor. Be more consistent about alloc'ed memory
	  ownership. Some formatting cleanups.

2007-04-19 06:37  andi5

	* [r15937] src/tax/us/txf-de_DE.scm,
	  src/tax/us/txf-help-de_DE.scm, src/tax/us/txf-help.scm: Convert
	  tax strings to UTF-8.

2007-04-19 05:09  hampton

	* [r15936] src/engine/AccountP.h, src/engine/Period.c,
	  src/engine/cap-gains.c,
	  src/engine/test-core/test-engine-stuff.c: Replace a function
	  name mapping with the real function call.

2007-04-19 04:19  hampton

	* [r15935]
	  src/backend/file/test/test-files/xml2/conrads-file.gml2: Fix an
	  error in a test data file.

2007-04-19 04:18  hampton

	* [r15934] src/backend/file/gnc-account-xml-v2.c,
	  src/backend/file/gnc-transaction-xml-v2.c: Replace silent
	  failures with noisy assertions.

2007-04-19 04:16  hampton

	* [r15933] src/engine/Account.c, src/engine/AccountP.h,
	  src/engine/Scrub.c, src/engine/Scrub3.c, src/engine/cap-gains.c:
	  Finish moving account specific properties from the public data
	  structure to a private data structure.

2007-04-19 00:58  jsled

	* [r15932] src/report/standard-reports/account-summary.scm,
	  src/report/standard-reports/balance-sheet.scm,
	  src/report/standard-reports/income-statement.scm,
	  src/report/standard-reports/transaction.scm,
	  src/report/standard-reports/trial-balance.scm: Fix report
	  version identifiers.
	* [r15931]
	  src/report/locale-specific/us/gncmod-locale-reports-us.c,
	  src/tax/us/gncmod-tax-us.c: Fix build breakage with
	  --enable-locale-specific-tax

2007-04-19 00:11  jsled

	* [r15930] src/gnome-utils/gnc-frequency.c,
	  src/gnome/glade/sched-xact.glade: Re-fix Bug#104844, but better:
	  have a separate 'last day of month' option, and use the
	  corresponding Recurrence frequency.

2007-04-18 23:41  jsled

	* [r15929] src/backend/file/gnc-schedxaction-xml-v2.c: remove
	  silly 'always set the month to january' logic.

2007-04-18 22:05  andi5

	* [r15924] packaging/win32/defaults, packaging/win32/dist.sh,
	  packaging/win32/functions, packaging/win32/install.sh: Allow
	  building from a tarball. * Add UPDATE_SOURCES. If "no", drop
	  inst_svn and svn_up. * Add BUILD_FROM_TARBALL. If "yes", set
	  GNUCASH_DIR=..\\.., REPOS_DIR=$GNUCASH_DIR and
	  UPDATE_SOURCES=no. * Fix renaming of setup.exe in dist.sh.

2007-04-18 19:17  andi5

	* [r15923] packaging/win32/install.sh: Install.sh: Test for g++.

2007-04-18 05:11  hampton

	* [r15922] src/engine/Account.c: Fix mistake in property install.

2007-04-18 04:50  hampton

	* [r15921] lib/libqof/qof/gnc-numeric.h,
	  src/backend/postgres/checkpoint.c, src/engine/Account.c,
	  src/engine/Account.h, src/engine/AccountP.h,
	  src/engine/Period.c, src/engine/Scrub2.c, src/engine/Split.c,
	  src/engine/cap-gains.c, src/engine/test,
	  src/engine/test/Makefile.am,
	  src/engine/test/test-account-object.c: Move more account
	  properties from the public data structure to a private data
	  structure, with access to them as properties of the object.

2007-04-17 22:47  andi5

	* [r15920] packaging/win32/README, packaging/win32/defaults,
	  packaging/win32/install.sh: Win32: Add some text regarding QTDIR
	  and AQBANKING_WITH_QT.

2007-04-17 22:35  jsled

	* [r15919] src/doc/doxygen_main_page.c: update links for
	  correctness.

2007-04-17 19:48  andi5

	* [r15918] packaging/win32/defaults, packaging/win32/functions,
	  packaging/win32/install.sh: Win32: Include custom at the
	  beginning of defaults. Set AQBANKING_WITH_QT=yes. To enable
	  effective overriding of GLOBAL_DIR, first include custom and
	  then use set_default and add_step to complete the environment.
	  The primer is new and sets a variable if it is unset or empty.
	  The latter is modified to check steps for being blocked, either
	  by block_step or a previous call to add_step. Add late_eval for
	  expressions to be executed at the end of defaults.
	  AQBANKING_WITH_QT (prior aqbanking_with_qt) is set to yes by
	  default now so that the aqbanking setup wizard is built and the
	  user only needs to install QT.

2007-04-17 18:02  cstim

	* [r15917] accounts/de_DE/acctchrt_common.gnucash-xea: Improve
	  documentation of German account template. Patch by Frank
	  Ellenberger.

2007-04-17 15:18  andi5

	* [r15914] packaging/win32/Makefile.am: Correct custom.sh to
	  defaults in packaging/win32/Makefile.am.

2007-04-16 22:33  andi5

	* [r15912] packaging/win32, packaging/win32/README,
	  packaging/win32/custom.sh, packaging/win32/defaults,
	  packaging/win32/dist.sh, packaging/win32/functions,
	  packaging/win32/install.sh, packaging/win32/reset.sh: Rename
	  custom.sh to defaults, recommend custom, add remove_step.
	  Declare defaults (custom.sh) as virtually immutable, so that svn
	  updates and commits do not interfere with local modifications.
	  Put those into a file `custom' which is read at the end of
	  defaults, if existent. Remove_step helps to comment out steps
	  now.

2007-04-16 20:51  andi5

	* [r15911] src/gnome-utils/dialog-transfer.c: Fix quickfill
	  handling in transfer dialogs, bug #413868. Connect to
	  key_press_event on description entry before the default handler,
	  let RET act like OK. Do not care about button releases. On
	  insert_text, make quickfill as in the register, set the position
	  and g_idle_add a function to set the selected region.

2007-04-16 18:11  andi5

	* [r15910] configure.in, packaging/Makefile.am,
	  packaging/win32/Makefile.am: Add packaging/win32 to tarball. In
	  the long run it should be possible to build GnuCash on Windows
	  from the tarball within MSYS/MinGW.

2007-04-16 08:26  andi5

	* [r15909] src/import-export/import-account-matcher.c: Fix
	  NULL-%s-printf in gnc_import_select_account. Fixes #430130.

2007-04-16 04:30  hampton

	* [r15907] checks/Makefile.am: Make sure to distribute all the
	  check files in the tarball.

2007-04-15 22:22  jsled

	* [r15906] src/gnome-utils/gnc-gnome-utils.c,
	  src/gnome-utils/gnc-main-window.c, src/pixmaps/Makefile.am,
	  src/pixmaps/appicon.png, src/pixmaps/gnucash-icon-16x16.png,
	  src/pixmaps/gnucash-icon-32x32.png,
	  src/pixmaps/gnucash-icon-48x48.png,
	  src/pixmaps/gnucash-icon.ico, src/pixmaps/gnucash-icon.png:
	  Change from the Blue Gnu Card icon to the Tango-theme icon.
	  Change from a single default icon to the default-set of 16x16,
	  32x32 and 48x48.

2007-04-15 21:31  jsled

	* [r15905] art/tango, art/tango/16x16,
	  art/tango/16x16/gnucash.png, art/tango/16x16/gnucash.svg,
	  art/tango/22x22, art/tango/22x22/gnucash.png,
	  art/tango/22x22/gnucash.svg, art/tango/32x32,
	  art/tango/32x32/gnucash.png, art/tango/32x32/gnucash.svg,
	  art/tango/README, art/tango/scalable,
	  art/tango/scalable/gnucash.png, art/tango/scalable/gnucash.svg:
	  Tango Project themed icon from Hylke Bons.

2007-04-15 18:53  hampton

	* [r15903] src/app-utils/gnc-ui-util.c: Mark the number-to-word
	  code as non-translatable because, as the comment in the code
	  says, adding a word-by-word translation is almost surely wrong
	  for almost every language. This change was recommended by the
	  translation manager.

2007-04-15 18:26  jsled

	* [r15902] src/gnome/dialog-sx-editor.c: make 3-month columns in
	  the SX editor, which should layout better for the default 6
	  months, as well as 12 months.

2007-04-15 18:22  jsled

	* [r15901] src/gnome-utils/gnc-frequency.c,
	  src/gnome/glade/sched-xact.glade: tweak GncFrequency layout: use
	  Expand much less.

2007-04-15 17:44  jsled

	* [r15900] src/gnome-utils/gnc-dense-cal.c: Better popup window
	  size handling.

2007-04-15 17:06  jsled

	* [r15899] src/app-utils/gnc-sx-instance-model.c: Fix variable
	  name corruption due to merge-update.

2007-04-15 14:48  andi5

	* [r15897] packaging/win32/custom.sh, packaging/win32/functions,
	  packaging/win32/reset.sh: Improve win32/reset.sh. The script
	  uses the paths from custom.sh now. Certain paths can be added as
	  precious by reset.sh or the user to avoid their deletion. All
	  planned actions are presented before confirmation to make them
	  more transparent.

2007-04-15 10:17  cstim

	* [r15896] configure.in: Remove erroneous extra dot in version
	  number of r15892

2007-04-15 10:11  cstim

	* [r15895] doc/README.dependencies: Remove duplicated,
	  unmaintained doc file

2007-04-15 01:25  wilddev

	* [r15892] NEWS, configure.in: NEWS: Added some text about the
	  release.configure.in: Change to version 2.1.0

2007-04-14 22:48  hampton

	* [r15891] src/backend/file/gnc-account-xml-v2.c,
	  src/backend/postgres/account.c, src/engine/Account.c,
	  src/engine/Account.h, src/engine/AccountP.h,
	  src/engine/Scrub2.c, src/engine/Scrub3.c,
	  src/engine/cap-gains.c, src/gnome/lot-viewer.c: More moving of
	  properties from the public data structure to a private data
	  structure, with access to them as properties of the object.

2007-04-14 22:30  andi5

	* [r15890] lib/libqof/qof/Makefile.am: Add qof-gobject.h to
	  qofinclude_HEADERS.

2007-04-14 21:42  andi5

	* [r15889] src/gnome-utils/QuickFill.c: Use g_direct_{hash,equal}
	  in gnc_quickfill_new, drop quickfill_{hash,compare}. Storing
	  pointers in integers is not portable in any way shape or form
	  (GPOINTER_TO_UINT).

2007-04-14 18:30  cstim

	* [r15888] po/de.po: Update German translation

2007-04-14 18:22  hampton

	* [r15887] src/engine/Account.c: The root account name should
	  never be visible, so no need to mark it for translation.

2007-04-14 16:19  hampton

	* [r15886] checks: Ignore generated files

2007-04-14 16:01  hampton

	* [r15885] src/engine/Account.c, src/engine/AccountP.h,
	  src/engine/Period.c, src/engine/Scrub.c, src/engine/Scrub2.c,
	  src/engine/Scrub3.c, src/import-export/hbci/gnc-plugin-hbci.c:
	  Begin the GObjectification of the Account object. Move some
	  properties from the public data structure to a private data
	  structure, and enable access to them as properties of the object.

2007-04-14 11:34  cstim

	* [r15884] src/engine/Recurrence.c,
	  src/gnome/dialog-print-check.c: Improve i18n

2007-04-14 11:33  cstim

	* [r15883] po/de.po: Update German translation.

2007-04-14 11:24  cstim

	* [r15882] src/app-utils/gnc-ui-util.c: Fix i18n; add explanation
	  of word meanings and i18n issues here.

2007-04-14 10:47  cstim

	* [r15881] po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po,
	  po/en_GB.po, po/es.po, po/es_NI.po, po/eu.po, po/fr.po,
	  po/hu.po, po/it.po, po/ja.po, po/nb.po, po/ne.po, po/nl.po,
	  po/pl.po, po/pt.po, po/pt_BR.po, po/ro.po, po/ru.po, po/rw.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/zh_CN.po,
	  po/zh_TW.po: Copy po files from branch-2.0 r15797 to trunk and
	  merge trunk's po template by make update-po.

2007-04-14 10:36  andi5

	* [r15880] src/engine/engine.i: Wrap
	  SPLIT_{ACCT_FULLNAME,CORR_ACCT_{NAME,CODE}} correctly. Reported
	  by Mike Alexander, #429075.

2007-04-14 09:24  cstim

	* [r15879] src/register/ledger-core/split-register-control.c: Fix
	  missing exchange rate dialog on purchasing stocks. Patch by Mike
	  Alexander, bug#335101. BP

2007-04-11 22:00  jsled

	* [r15877] src/app-utils/gnc-ui-util.c: Formatting.

2007-04-11 21:58  jsled

	* [r15876] src/app-utils/options.scm: Fix indentation; clarify
	  comment/description of vector of functions.

2007-04-11 16:47  andi5

	* [r15875] src/engine/Scrub.c, src/engine/gnc-commodity.c,
	  src/engine/gnc-filepath-utils.c,
	  src/gnome-utils/gnc-tree-view-account.c,
	  src/register/ledger-core/split-register.c: Balance some more
	  ENTER/LEAVE calls. Replace one ENTER by DEBUG.

2007-04-11 15:37  andi5

	* [r15874] src/business/business-core/gncCustomer.c,
	  src/business/business-core/gncEmployee.c,
	  src/business/business-core/gncVendor.c,
	  src/business/business-core/test/test-address.c: Add a few
	  gncAddressBeginEdit before gncAddressDestroy.

2007-04-11 15:34  andi5

	* [r15873] src/backend/file/gnc-backend-file.c: Use
	  ERR_BACKEND_READONLY if data file cannot be unlinked on write.
	  On Windows, we need write access to the data file to remove it
	  before replacing it by the already written out temp file. We
	  should not just chmod the data file, but tell the user that it
	  may be read-only. ERR_FILEIO_BACKUP_ERROR was misleading because
	  the backup actually worked.

2007-04-11 13:27  jsled

	* [r15872] configure.in: Revert 15855: we can't get away with this
	  yet.

2007-04-11 02:57  jsled

	* [r15871] src/gnome-utils/gnc-file.c: a bit safer.

2007-04-11 02:08  jsled

	* [r15870] src/gnome-utils/gnc-file.c: Bug#428452: use the
	  g_path_get_dirname(...) of the last-file-opened to initialize
	  the default directory of the File > Open dialog.

2007-04-10 19:32  cstim

	* [r15868] src/import-export/hbci/gnc-hbci-gettrans.c: Use
	  aqbanking's FiId field for correct OFX duplicate matching.
	  #418072, patch by David Reiser.

2007-04-09 23:28  hampton

	* [r15857] src/engine/SchedXaction.c, src/engine/SchedXaction.h,
	  src/engine/gnc-lot.c, src/engine/gnc-lot.h,
	  src/engine/gnc-pricedb.c, src/engine/gnc-pricedb.h: Add some
	  const declarations.

2007-04-09 23:26  hampton

	* [r15856] src/engine/Account.c, src/engine/gnc-budget.c,
	  src/engine/gnc-budget.h: Add some begin_edit/commit_edit checks.
	  BP

2007-04-09 23:24  hampton

	* [r15855] configure.in: Re-enable -Wunused checks.

2007-04-09 20:00  jsled

	* [r15852] src/app-utils/gnc-sx-instance-model.c: make hashtable
	  destruction a bit more defensive

2007-04-09 00:51  andi5

	* [r15851] src/core-utils/gnc-gdate-utils.c,
	  src/core-utils/gnc-gdate-utils.h, src/gnome/druid-loan.c: Rename
	  g_date_equals to gnc_gdate_equal and g_date_hash to
	  gnc_gdate_hash. Those are not native GLib functions. Make
	  _equals consistent with g_{str,int}_equal, also return a
	  gboolean. g_date_compare checks its parameters for validity
	  already, so do not do that twice.
	* [r15850] lib/libqof/qof/gnc-date.c, lib/libqof/qof/gnc-date.h:
	  Remove unused code for gnc_timet_get_day_{start,end}_gdate from
	  qof.

2007-04-07 18:24  hampton

	* [r15849] src/business/business-core/gncInvoice.c: Fix compiler
	  complaints about dereferencing type-punned pointers.

2007-04-06 23:29  andi5

	* [r15845] lib/libqof/qof/gnc-date.c, lib/libqof/qof/gnc-date.h:
	  Remove unused functions qof_print_{hours,minutes}_elapsed_buff().

2007-04-06 22:59  andi5

	* [r15844] lib/libqof/qof/gnc-date.c, lib/libqof/qof/gnc-date.h:
	  Remove unused function qof_is_same_day().

2007-04-06 20:03  jsled

	* [r15843] src/gnome/druid-hierarchy.c: s/printf/g_logging/

2007-04-06 20:00  jsled

	* [r15842] src/gnome/druid-hierarchy.c: Bug#348364: (Emulating
	  price-cell,) we need to ensure the denominator of the amount is
	  in the SCU of the account's commodity (so
	  gnc-ui-util.c:is_decimal_fraction() on the remainder denom for
	  fractional values will be a "decimal").

2007-04-06 17:24  jsled

	* [r15841] src/doc/sx.rst, src/gnome/dialog-sx-editor.c,
	  src/gnome/glade/sched-xact.glade: Re-layout SX editor dialog:
	  move 3 major components into notebook tabs. Bug#339003.

2007-04-06 04:44  hampton

	* [r15840] src/gnome-utils/dialog-options.c,
	  src/gnome-utils/dialog-preferences.c,
	  src/gnome-utils/dialog-transfer.c,
	  src/gnome-utils/dialog-utils.c, src/gnome-utils/gnc-date-edit.c,
	  src/gnome-utils/gnc-html.c, src/gnome-utils/gnc-tree-view.c,
	  src/gnome/dialog-sx-from-trans.c,
	  src/gnome/gnc-plugin-page-sx-list.c,
	  src/register/register-gnome/combocell-gnome.c,
	  src/register/register-gnome/datecell-gnome.c,
	  src/register/register-gnome/gnucash-sheet.c: Conditionally
	  remove some more deprecated functions.

2007-04-06 02:49  jsled

	* [r15839] src/app-utils/gnc-sx-instance-model.c: Free memory.

2007-04-06 02:31  hampton

	* [r15838] src/engine/Account.c, src/engine/Split.c,
	  src/engine/Split.h, src/engine/Transaction.c,
	  src/engine/gnc-lot.c: The function name xaccSplitDateOrder is
	  misleading, so rename it to xaccSplitOrder. Add a new
	  xaccSplitOrderDateOnly function.

2007-04-06 02:22  jsled

	* [r15837] lib/libqof/qof/gnc-date.c, lib/libqof/qof/gnc-date.h,
	  src/engine/Recurrence.c, src/gnome-utils/gnc-dense-cal.c:
	  Combine two copies of "dow abbrev[iation]" code.

2007-04-06 01:47  jsled

	* [r15836] src/gnome-utils/gnc-dense-cal-model.h,
	  src/gnome-utils/gnc-dense-cal.c,
	  src/gnome-utils/gnc-sx-instance-dense-cal-adapter.c: Mem
	  handling fixme.

2007-04-06 01:20  jsled

	* [r15835] src/app-utils/gnc-sx-instance-model.c,
	  src/app-utils/gnc-sx-instance-model.h,
	  src/app-utils/test/test-sx.c,
	  src/gnome-utils/gnc-sx-instance-dense-cal-adapter.c,
	  src/gnome/dialog-sx-since-last-run.c: Rename
	  GncSxInstances->list to instance_list, which at least emacs
	  doesn't hilight as a (potential)keyword.

2007-04-06 01:15  hampton

	* [r15834] configure.in, src/gnome-utils/dialog-utils.c,
	  src/gnome-utils/gnc-dense-cal.c, src/gnome-utils/gnc-icons.c,
	  src/gnome/dialog-print-check.c: Remove some deprecated
	  functions. Bump version numbers were GnuCash sets the "disable
	  deprecated" flags.

2007-04-06 00:54  jsled

	* [r15833] src/gnome-utils/gnc-dense-cal-store.c,
	  src/gnome-utils/gnc-dense-cal.c,
	  src/gnome-utils/gnc-sx-instance-dense-cal-adapter.c: Normalize
	  memory handling of GncDenseCal marked-element "info" string.

2007-04-06 00:51  jsled

	* [r15832] src/gnome/dialog-sx-editor.c: detail

2007-04-06 00:50  jsled

	* [r15831] src/gnome/dialog-sx-since-last-run.c: remove a level of
	  (legacy) indirection around some calls.
	* [r15830] src/gnome/gnc-plugin-page-sx-list.c: decided against

2007-04-06 00:19  hampton

	* [r15829] src/engine/Scrub.c, src/engine/Transaction.c,
	  src/engine/gnc-lot.c: Balance ENTER/LEAVE calls on some
	  functions.

2007-04-05 19:49  andi5

	* [r15828] src/gnome-utils/gnc-plugin-file-history.c: Fix a
	  %s-NULL-printf.

2007-04-05 03:10  warlord

	* [r15827] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qof-gobject.h,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofbook.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncAddress.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncBillTerm.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncCustomer.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncEmployee.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncEntry.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncInvoice.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncJob.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncOrder.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncTaxTable.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncVendor.c,
	  branches/gobject-engine-dev-warlord/src/engine/Account.c,
	  branches/gobject-engine-dev-warlord/src/engine/FreqSpec.c,
	  branches/gobject-engine-dev-warlord/src/engine/SX-book.c,
	  branches/gobject-engine-dev-warlord/src/engine/SchedXaction.c,
	  branches/gobject-engine-dev-warlord/src/engine/Split.c,
	  branches/gobject-engine-dev-warlord/src/engine/Transaction.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-budget.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-commodity.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-lot.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-pricedb.c,
	  branches/gobject-engine-dev-warlord/src/engine/test/test-book-merge.c,
	  branches/gobject-engine-dev-warlord/src/engine/test/test-recursive.c:
	  Add hooks for the gobject dispose() function so that we can
	  migrate each object's "free()" function to a combination of
	  dispose() and finalize(). (and yes, "make check" still passes
	  all its tests)

2007-04-05 02:44  warlord

	* [r15826] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofbook.c,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofinstance.c,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofutil.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/test/test-customer.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/test/test-employee.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/test/test-job.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/test/test-vendor.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-commodity.c,
	  branches/gobject-engine-dev-warlord/src/engine/test/test-book-merge.c,
	  branches/gobject-engine-dev-warlord/src/engine/test/test-recursive.c:
	  Get "make check" to work with the gobjectified objects. - fix a
	  bunch of tests to use the new gobject defs - make sure we
	  initialize g_type_init() in qof_init() - fix qofbook's
	  destruction sequence (I broke it earlier) - use dispose() in
	  QofInstance - use qof_init() for the business tests.
	* [r15825] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncVendor.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncVendor.h:
	  convert GncVendor to gobject initialization
	* [r15824] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncTaxTable.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncTaxTable.h:
	  convert GncTaxTable to gobject initialization
	* [r15823] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncOrder.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncOrder.h:
	  convert GncOrder to gobject initialization.
	* [r15822] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncJob.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncJob.h:
	  convert GncJob to gobject initialization
	* [r15821] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncInvoice.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncInvoice.h:
	  Convert GncInvoice to gobject initialization.

2007-04-05 02:43  warlord

	* [r15820] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncEntry.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncEntry.h:
	  convert gncEntry to gobject init.
	* [r15819] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncEmployee.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncEmployee.h:
	  convert GncEmployee to GObject initialzation.
	* [r15818] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncCustomer.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncCustomer.h:
	  convert GncCustomer to gobject initialization.
	* [r15817] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncAddress.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncBillTerm.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncBillTerm.h:
	  convert billterm to gobject initialization.
	* [r15816] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncAddress.c,
	  branches/gobject-engine-dev-warlord/src/business/business-core/gncAddress.h:
	  convert gncAddress to GObject initialization

2007-04-05 01:33  jsled

	* [r15815] src/doc/sx.rst: update
	* [r15814] src/gnome-utils/gnc-dense-cal.c: Base the value of the
	  "week_starts_monday" dense-cal parameter on an implementation
	  detail of GTK. :(

2007-04-05 00:43  jsled

	* [r15813] src/doc/sx.rst, src/gnome-utils/gnc-dense-cal.c,
	  src/gnome-utils/gnc-dense-cal.h: GncDenseCal supports Monday
	  being the start of the week.

2007-04-05 00:24  warlord

	* [r15812] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/backend/file/gnc-pricedb-xml-v2.c,
	  branches/gobject-engine-dev-warlord/src/backend/file/io-gncxml-v1.c,
	  branches/gobject-engine-dev-warlord/src/backend/postgres/price.c,
	  branches/gobject-engine-dev-warlord/src/backend/postgres/table.m4,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-engine.h,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-pricedb-p.h,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-pricedb.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-pricedb.h,
	  branches/gobject-engine-dev-warlord/src/engine/test-core/test-engine-stuff.c,
	  branches/gobject-engine-dev-warlord/src/gnome-utils/gnc-tree-model-price.c,
	  branches/gobject-engine-dev-warlord/src/gnome-utils/gnc-tree-view-price.c,
	  branches/gobject-engine-dev-warlord/src/gnome/dialog-price-editor.c,
	  branches/gobject-engine-dev-warlord/src/gnome/druid-stock-split.c,
	  branches/gobject-engine-dev-warlord/src/scm/price-quotes.scm:
	  convert price/pricedb objects to GObject initialization rename
	  gnc_price_{get,set}_type() to _typestr() so it doesn't conflict
	  with the GType gnc_price_get_type() API.
	* [r15811] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-lot-p.h,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-lot.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-lot.h:
	  convert gnc-lot object to GObject initialization
	* [r15810] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-commodity.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-commodity.h:
	  Convert gnc_commodity objects to GObject initialization.
	* [r15809] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-budget.c,
	  branches/gobject-engine-dev-warlord/src/engine/gnc-budget.h:
	  Convert GncBudget object to GObject initialization.

2007-04-05 00:23  warlord

	* [r15808] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/Account.c,
	  branches/gobject-engine-dev-warlord/src/engine/Transaction.c,
	  branches/gobject-engine-dev-warlord/src/engine/Transaction.h,
	  branches/gobject-engine-dev-warlord/src/engine/TransactionP.h:
	  Convert the Transaction object to GObject Initialization
	* [r15807] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/Split.c,
	  branches/gobject-engine-dev-warlord/src/engine/Split.h,
	  branches/gobject-engine-dev-warlord/src/engine/SplitP.h: Convert
	  Split objects to GObject intiialization
	* [r15806] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/SX-book.c,
	  branches/gobject-engine-dev-warlord/src/engine/SX-book.h:
	  Convert SX-book (SchedXactions) to GObject initialization. Note
	  that this object is never freed here, so it's a potential memory
	  leak.
	* [r15805] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/SchedXaction.c,
	  branches/gobject-engine-dev-warlord/src/engine/SchedXaction.h:
	  Convert SchedXaction to GObject initialization.
	* [r15804] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/FreqSpec.c,
	  branches/gobject-engine-dev-warlord/src/engine/FreqSpec.h,
	  branches/gobject-engine-dev-warlord/src/engine/FreqSpecP.h:
	  Convert FreqSpec to GObject initialization.

2007-04-04 23:05  jsled

	* [r15803] src/gnome-utils/gnc-dense-cal.c: better GncDenseCal
	  minimum-size requesting

2007-04-04 22:22  jsled

	* [r15802] src/doc/sx.rst, src/gnome-utils/gnc-dense-cal.c,
	  src/gnome-utils/gnc-dense-cal.h,
	  src/gnome/gnc-plugin-page-sx-list.c: Save/restore gnc dense cal
	  number-of-months view in SX List page.

2007-04-04 22:21  jsled

	* [r15801] lib/libqof/qof/gnc-date.c, src/app-utils/file-utils.c:
	  unused variable removal.

2007-04-04 22:07  jsled

	* [r15800] src/gnome-utils/gnc-dense-cal.c: Correctly set the
	  GncDenseCal view combo box when set from code. Better view
	  label/combo-box widget layout and alignment.

2007-04-04 21:49  andi5

	* [r15799] configure.in,
	  src/import-export/hbci/druid-hbci-initial.c: Remove check for
	  sys/wait.h because waitpid is not in use anymore.

2007-04-04 21:48  andi5

	* [r15798] src/backend/file/io-gncxml-v2.c, src/bin/gnucash-bin.c:
	  Depend on an available GLib thread implementation. Remove
	  fallback to fork for gzip.

2007-04-04 18:48  andi5

	* [r15796] lib/libqof/backend/file/qsf-backend.c,
	  lib/libqof/backend/file/qsf-xml-map.c,
	  lib/libqof/qof/qofbookmerge.c, lib/libqof/qof/qoflog.c,
	  lib/libqof/qof/qofutil.c, src/backend/file/sixtp-utils.c,
	  src/business/business-ledger/gncEntryLedgerModel.c,
	  src/calculation/amort_opt.c, src/calculation/amort_prt.c,
	  src/engine/FreqSpec.c, src/engine/Recurrence.c,
	  src/gnome-utils/gnc-date-edit.c,
	  src/gnome-utils/gnc-date-format.c,
	  src/gnome-utils/gnc-dense-cal.c,
	  src/import-export/import-backend.c,
	  src/register/ledger-core/split-register-model.c: Use
	  qof_strftime instead of strftime in the C source code.
	* [r15795] lib/libqof/qof/Makefile.am,
	  lib/libqof/qof/gnc-date-p.h, lib/libqof/qof/gnc-date.c,
	  lib/libqof/qof/gnc-date.h, lib/libqof/qof/qof-win32.c: Improve
	  printing of dates and times with non-UTF-8 locales and on
	  Windows. * qof_time_format_from_utf8 converts an strftime format
	  specification from UTF-8 to the locale encoding *
	  qof_format_time calls strftime repeatedly with growing allocated
	  buffers until the result fits into one, or return NULL *
	  qof_formatted_time_to_utf8 converts the result back to UTF-8 *
	  qof_strftime takes similar arguments to strftime, but in UTF-8 *
	  the conversion functions on Windows are implemented in
	  qof-win32.c to allow them to use windows.h, as they need
	  wcstombs and mbstowcs

2007-04-04 17:58  andi5

	* [r15794] src/gnome/dialog-new-user.c: In new user dialog, run
	  HOOK_BOOK_OPENED with non-NULL session parameter.

2007-04-04 17:04  andi5

	* [r15793] src/app-utils/file-utils.c: Fix state file issues on
	  Windows. Handle two NULL parameters to %s in printfs. In
	  gnc_update_state_file_keys, also use \r for splitting the
	  contents into lines.

2007-04-04 15:41  andi5

	* [r15792] src/app-utils/gnc-help-utils.c,
	  src/app-utils/gnc-help-utils.h: Minor cleanup and doc string in
	  gnc-help-utils.[ch].

2007-04-04 04:58  hampton

	* [r15791] src/engine/Transaction.c,
	  src/gnome/gnc-plugin-page-account-tree.c,
	  src/gnome/window-reconcile.c: Implement idea from Mike Alexander
	  (in #346063) to key lot scrubbing off the environment variable
	  GNC_AUTO_SCRUB_LOTS instead of commenting it out of the code.
	  This make it easier for developers to test/users to try lot
	  scrubbing.

2007-04-04 04:36  hampton

	* [r15790] src/engine/gnc-lot.c: Patch from Klee Dienes
	  <klee@mit.edu> (bugzilla #420550) to re-implement
	  gnc_lot_get_earliest_split and gnc_lot_get_latest_split using
	  xaccSplitDateOrder. This greatly simplifies the functions.

2007-04-04 04:16  hampton

	* [r15789] src/gnome-utils/gnc-main-window.c: Print a different
	  warning messages if unsaved changes have existed for longer than
	  an hour or a day.

2007-04-04 03:57  hampton

	* [r15788] src/gnome-utils/gnc-tree-model-commodity.c,
	  src/gnome-utils/gnc-tree-model-price.c,
	  src/gnome-utils/gnc-tree-view-price.c: Fix window corruption
	  problems when adding prices to the price database. (#376298) BP

2007-04-04 03:40  hampton

	* [r15787] src/app-utils/file-utils.c, src/app-utils/file-utils.h,
	  src/app-utils/gnc-exp-parser.c,
	  src/business/business-gnome/dialog-invoice.c,
	  src/core-utils/gnc-gkeyfile-utils.c,
	  src/core-utils/gnc-gkeyfile-utils.h,
	  src/gnome-utils/gnc-main-window.c,
	  src/gnome-utils/gnc-plugin-file-history.c,
	  src/gnome-utils/gnc-tree-view-account.c,
	  src/gnome/dialog-print-check.c,
	  src/gnome/gnc-plugin-page-register.c,
	  src/report/report-gnome/gnc-plugin-page-report.c: Play nicer
	  with recent releases of glib that have tightened what's
	  considered a valid key in a key/value file. This change will
	  cause gnucash to rewrite any opened state file into a new
	  version where all key names fit the new glib requirements. This
	  code was originally committed to trunk as #15458 on 1/28/07, and
	  then backed out with #15461 on 1/29/07. Backward compatibility
	  support for this code was committed to the 2.0 branch in #15460
	  and was released as part of 2.0.5. Now that 2.0.5 has now been
	  out for six weeks, this commit puts the original changes back
	  into trunk.

2007-04-04 02:22  jsled

	* [r15786] src/doc/sx.rst, src/gnome-utils/gnc-dense-cal-store.h,
	  src/gnome-utils/gnc-dense-cal.c,
	  src/gnome-utils/gnc-dense-cal.h: (Checkpoint; start to) support
	  changing the number-of-months in a GncDenseCal. Change
	  GncDenseCal to be a composite widget using GtkDrawArea, rather
	  than being a "native" widget; much more straightforward
	  implementation. Update some GTK API usage for
	  deprecation/modernity.

2007-04-03 22:58  warlord

	* [r15785] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/src/engine/Account.c,
	  branches/gobject-engine-dev-warlord/src/engine/Account.h,
	  branches/gobject-engine-dev-warlord/src/engine/AccountP.h:
	  Convert Account object to GObject

2007-04-03 22:30  warlord

	* [r15784] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofbook-p.h,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofbook.c,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofbook.h,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofid.h,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofinstance.h:
	  get libqof to build using GObject - migrate QofBook to GObject -
	  move around some typedef to get libqof to build again

2007-04-03 17:21  andi5

	* [r15782] src/gnome-utils/dialog-transfer.c,
	  src/gnome-utils/glade/transfer.glade: Remove viewport/hbox from
	  account scrolls in transfer dialog. Fixes #425917. The scrolled
	  windows for "transfer to" and "transfer from" now take the
	  treeviews directly and do not pack them into viewports, letting
	  them actually scroll the scrolled window. BP

2007-04-03 13:51  warlord

	* [r15781] branches/gobject-engine-dev-warlord,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qof-gobject.h,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofinstance.c,
	  branches/gobject-engine-dev-warlord/lib/libqof/qof/qofinstance.h:
	  convert QofInstance to using GObject note that this breaks the
	  build of this branch, and that the build will remain broken
	  until each of the objects is converted over to basic GObject
	  support.

2007-04-03 00:55  jsled

	* [r15777] src/gnome/druid-loan.c: Bug#343795: Be explicit about
	  number of months so auto-decimal-point doesn't bite us. Patch
	  from Jerry Quinn <mailto:jlquinn@optonline.net>.

2007-04-03 00:19  jsled

	* [r15776] src/app-utils/gnc-sx-instance-model.c, src/doc/sx.rst:
	  When an SX is updated, synchronize added/removed variables with
	  new/existing instances.

2007-04-02 22:11  jsled

	* [r15775] src/gnome-utils/dialog-preferences.c,
	  src/gnome-utils/gnc-plugin-page.c: Unused variable removal.

2007-04-02 03:42  hampton

	* [r15774] src/gnome-utils/glade/preferences.glade,
	  src/gnome-utils/gnc-main-window.c,
	  src/gnome-utils/gnc-main-window.h,
	  src/gnome-utils/gnc-plugin-page.c,
	  src/gnome-utils/gnc-plugin-page.h,
	  src/gnome/gnc-plugin-page-register.c,
	  src/gnome/schemas/apps_gnucash_general.schemas.in: Allow the
	  user to specify the maximum width of the page labels in the main
	  window (#338161). Also add a tooltip showing the account full
	  name to the page labels in the main window (#343239).

2007-04-01 13:23  andi5

	* [r15771] packaging/win32/custom.sh, packaging/win32/dist.sh,
	  packaging/win32/install.sh: On Windows, go back to
	  libgnomeprint. Partly revert r15750/61. GtkPrint/GtkHTML as
	  combination is not yet stable enough to use it by default. It
	  seems however to be the way to go, so all necessary changes are
	  only commented out.

2007-03-28 08:59  andi5

	* [r15761] packaging/win32/dist.sh: Remove libgnomeprintui from
	  dist.sh.

2007-03-27 03:06  hampton

	* [r15760] src/bin/gnucash-bin.c,
	  src/core-utils/gnc-gconf-utils.c, src/core-utils/gnc-main.c,
	  src/core-utils/gnc-main.h: Allow the base gconf path to be
	  specified at run time, either via an environment variable or via
	  a command line option. Based on a patch from James Radley.
	  Implements #328762.

2007-03-27 01:55  hampton

	* [r15759] src/gnome-utils/glade/preferences.glade,
	  src/gnome-utils/gnc-main-window.c,
	  src/gnome/schemas/apps_gnucash_general.schemas.in: Add an option
	  to change the tab closing behavior. The two choices are to move
	  to the tab immediately to the left, or to move to the most
	  recently viewed tab. Implements #346314.

2007-03-27 01:10  hampton

	* [r15758] src/gnome-utils/glade/preferences.glade,
	  src/gnome/dialog-print-check.c,
	  src/gnome/schemas/apps_gnucash_dialog_print_checks.schemas.in:
	  Add a preference for printing "***" immediately before and after
	  all text fields on checks. Implements enhancement request
	  #420224.

2007-03-26 21:28  andi5

	* [r15757] src/business/business-core/business-core.scm: Use
	  gncOwnerGetOwnerFromLot.

2007-03-26 03:02  hampton

	* [r15756] doc/gtkrc-2.0.gnucash: Record a couple of user
	  suggestions for things to do with gnucash's gtkrc file.

2007-03-26 02:58  hampton

	* [r15755] src/backend/file/io-example-account.c: Don't crash if
	  an example account file has no root account. Also filter the
	  file names (*xea) when reading accounts directories.

2007-03-25 23:05  andi5

	* [r15754] src/business/business-reports/owner-report.scm: Use
	  TXN-TYPE-{INVOICE,PAYMENT} in customer report. Observed by Nigel
	  Titley.

2007-03-24 18:17  hampton

	* [r15753] src/gnome-utils/glade/preferences.glade,
	  src/gnome/dialog-print-check.c: Add preferences support for
	  printing the date format immediately below the date (GtkPrint
	  only), and for setting the font used by the check printing code
	  (GnomePrint and GtkPrint). The fonts actually used by GnomePrint
	  seem very limited compared to those used by GtkPrint, but the
	  font size specification always seems to be honored.

2007-03-24 18:14  hampton

	* [r15752] src/gnome-utils/dialog-preferences.c: Add preferences
	  support for a GtkFontButton widget.

2007-03-24 15:30  andi5

	* [r15751] src/gnome-utils/gnc-html.c: Use
	  gtk_print_operation_set_{use_full_page,unit} for reports.

2007-03-24 15:28  andi5

	* [r15750] packaging/win32/custom.sh, packaging/win32/install.sh:
	  Install.sh: Some package updates, including GtkHTML 3.14.0.
	  Update glib, cairo, pango, gtk+ and gtkhtml. Drop
	  libgnomeprintui, but keep libgnomeprint because goffice depends
	  on it.

2007-03-23 19:40  andi5

	* [r15749] src/backend/file/sixtp.c: On Windows, convert filename
	  parameter for xml parser to system codepage.

2007-03-23 19:38  andi5

	* [r15748] src/backend/file/gnc-backend-file.c,
	  src/backend/file/io-gncxml-v2.c, src/bin/gnucash-bin.c,
	  src/gnome-utils/gnc-gnome-utils.c: Add support for
	  (de)compressing in a thread instead of fork. Use GThreading
	  system when available, but depend on it on Windows. Gzipped data
	  files are still loaded by libxml2. On write, again create a pipe
	  p and a thread t that gzwrites bytes read from p to a given
	  file. After the other thread has finished writing to p, it waits
	  for t to return to avoid loss of data.

2007-03-22 08:15  andi5

	* [r15747] packaging/win32/install.sh: Install.sh: Do not mix
	  pexports and ".." as noted by Nathan Buchanan. pexports
	  somestimes crashes in a new MSYS shell if a path, like the one
	  to a header file, contains "..".

2007-03-21 22:50  andi5

	* [r15746] src/engine/gnc-filepath-utils.c: Patch from James
	  Radley to allow override of the dotfile location. Read
	  environment variable GNC_DOT_DIR and, if available, use this
	  instead of `g_get_home_dir`/.gnucash. This allows one develop
	  without impacting an existing stable installation, excepting
	  shared GConf keys. Setting HOME does not help, because
	  g_get_home_dir prefers passwd entries.

2007-03-21 20:03  andi5

	* [r15745] configure.in, src/engine/Makefile.am: Remove almost
	  unused configure output variables.
	  GNUCASH_{APP_UTILS,GNOME_UTILS,REGISTER_CORE}_{CFLAGS,LIBS} and
	  GNC_FALSE have been completely unused. GNUCASH_ENGINE_{,BASE}_*
	  could be moved to its only user engine/Makefile.am.

2007-03-21 09:46  andi5

	* [r15744] packaging/win32/install.sh: In install.sh test for
	  htmlhelp, try to build DLL. The HTML Help Workshop includes
	  htmlhelp.lib, but we cannot use it for creating DLLs---it is a
	  static thingy. So test with -shared in install.sh. It would be
	  nice to have a similar test improvement in configure.in.

2007-03-20 23:42  andi5

	* [r15743] src/gnome-utils/Makefile.am: Fix a typo in
	  gnome-utils/Makefile.am, garbling _SOURCES.

2007-03-20 16:37  andi5

	* [r15742] configure.in, src/business/business-gnome/Makefile.am,
	  src/business/dialog-tax-table/Makefile.am,
	  src/gnome-search/Makefile.am, src/gnome-utils/Makefile.am,
	  src/gnome-utils/gnc-html-graph-gog.c,
	  src/gnome-utils/print-session.h, src/gnome/Makefile.am,
	  src/import-export/qif-import/Makefile.am,
	  src/report/report-gnome/Makefile.am: Do not check for and link
	  against gnomeprint if gtkhtml uses gtkprint. If GtkHTML uses
	  GtkPrint, reports and checks will use it, so GnomePrint is not
	  needed. Also, remove some spurious GNOME_PRINT_{CFLAGS,LIBS}
	  from Makefile.am files.

2007-03-20 05:19  hampton

	* [r15741] src/gnome/dialog-print-check.c: If the specified check
	  format guid can't be found then select the first check format in
	  the list.

2007-03-20 01:08  hampton

	* [r15739] checks/gnomeprint/quicken.chk,
	  checks/gnomeprint/quicken_wallet.chk, checks/quicken.chk,
	  checks/quicken_wallet.chk, src/gnome/dialog-print-check.c: Use a
	  single key for check position names instead of a series of
	  manufactured key names, one key per name.

2007-03-18 22:45  andi5

	* [r15738] src/gnome/dialog-print-check.c: Do not printf %s if the
	  param is NULL.

2007-03-18 19:39  jsled

	* [r15737] README.dependencies: Add list of "interesting"
	  libraries.
	* [r15736] HACKING: Update "starting gnucash from the build tree
	  info."

2007-03-18 17:58  andi5

	* [r15735] src/gnome-utils/gnc-html.c,
	  src/gnome-utils/print-session.c,
	  src/gnome-utils/print-session.h, src/gnome/dialog-print-check.c:
	  Uncouple print settings for reports and checks again. Remove
	  gnc_{save,restore}_print_settings, revert part of r15733.

2007-03-18 17:37  hampton

	* [r15734] checks/deluxe.chk, checks/gnomeprint/deluxe.chk,
	  checks/gnomeprint/quicken.chk,
	  checks/gnomeprint/quicken_wallet.chk, checks/quicken.chk,
	  checks/quicken_wallet.chk, src/gnome/dialog-print-check.c: Add
	  GUID numbers to check formats. Detect duplicate check format
	  files (by guid) and show a warning dialog to the user. Remember
	  the users selected check format by GUID and not by index. Add
	  text clipping when using GnomePrint.

2007-03-17 17:29  andi5

	* [r15733] configure.in, src/gnome-utils/gnc-html-graph-gog.c,
	  src/gnome-utils/gnc-html.c, src/gnome-utils/print-session.c,
	  src/gnome-utils/print-session.h, src/gnome/dialog-print-check.c:
	  Add support for printing reports with GtkPrint. Also add
	  gnc_{save,restore}_print_settings so that those are shared
	  between report and check prints.
	* [r15732] src/gnome-utils/gnome-utils.i,
	  src/gnome-utils/print-session.c,
	  src/gnome-utils/print-session.h: Remove unused functions in and
	  stop wrapping print-session.[ch].
	* [r15731] configure.in, macros/pkg.m4: If PKG_CHECK_MODULES
	  fails, always print result "no".
	* [r15730] configure.in: Reorder the sequence of some GUI library
	  tests. Allow libgtkhtml-3.14. Merge the two gnc_build_gui=true
	  blocks, only move regex adjustments to the windows specific
	  part. Test for gtkhtml later than before and allow
	  libgtkhtml-3.14 iff gtk+-2.0 >= 2.10 and gog-renderer-cairo.h is
	  available. To actually print with GtkPrint further code is
	  needed.

2007-03-16 09:20  andi5

	* [r15727] configure.in, packaging/win32/install.sh,
	  src/app-utils/gnc-help-utils.c: Harden tests for HtmlHelpW on
	  Windows. Check both, in install.sh and configure.in, whether we
	  can link a test source for HtmlHelpW against the html help
	  import library, instead of just testing for htmlhelp.h or some
	  htmlhelp library thing.

2007-03-15 07:30  andi5

	* [r15725] src/gnome/dialog-print-check.c: Absolute paths on
	  Windows do not begin with a slash.

2007-03-15 05:20  hampton

	* [r15724] src/core-utils/gnc-gkeyfile-utils.c,
	  src/core-utils/gnc-gkeyfile-utils.h,
	  src/engine/gnc-filepath-utils.c, src/gnome/dialog-print-check.c,
	  src/gnome/glade/print.glade: In the Print Checks dialog, provide
	  an easy way for users to save the data from the "Custom Format"
	  page to a check format file.

2007-03-15 03:00  jsled

	* [r15723] src/backend/file/gnc-freqspec-xml-v2.c: Change julian
	  offset of 0

2007-03-15 02:41  jsled

	* [r15722] src/backend/file/gnc-schedxaction-xml-v2.c,
	  src/doc/sx.rst: Fix Recurrence start-date bugs in conversion of
	  FreqSpecs.

2007-03-15 02:39  jsled

	* [r15721] src/gnome-utils/gnc-frequency.c: Clarify why we're
	  setting the month to January. Clarify the name of the
	  DOW-alignment variable, and remove needlessly setting it to the
	  first of the month to prevent spurious date changing.

2007-03-15 02:37  jsled

	* [r15720] src/gnome/dialog-sx-editor.c: debug those schedule
	  strings!

2007-03-15 02:24  hampton

	* [r15719] src/gnome/dialog-print-check.c,
	  src/gnome/dialog-print-check.h,
	  src/gnome/gnc-plugin-page-register.c: Add support for printing
	  the check number, the action, and the real memo line.

2007-03-15 00:56  jsled

	* [r15718] lib/libqof/qof/qoflog.c, src/backend/file/sixtp.c,
	  src/engine/FreqSpec.c, src/engine/Recurrence.c,
	  src/engine/test-core/test-engine-stuff.c: Unused identifier
	  cleanup.

2007-03-15 00:55  hampton

	* [r15717] checks/deluxe.chk, checks/gnomeprint/deluxe.chk,
	  checks/gnomeprint/quicken.chk,
	  checks/gnomeprint/quicken_wallet.chk, checks/quicken.chk,
	  checks/quicken_wallet.chk, src/gnome/dialog-print-check.c,
	  src/gnome/glade/print.glade: In the print check dialog, the
	  notes field has always incorrectly been called the memo field.
	  This fix corrects that misnaming.

2007-03-14 20:05  andi5

	* [r15716] src/gnome-utils/dialog-preferences.c: Do not printf %s
	  if the param is NULL.

2007-03-14 09:55  andi5

	* [r15715] src/app-utils/gnc-ui-util.c: Windows lacks exp10, so
	  use exp instead.

2007-03-14 02:21  hampton

	* [r15714] src/gnome/dialog-print-check.c: Another 64 bit fix.

2007-03-14 01:00  andi5

	* [r15713] configure.in, src/app-utils/Makefile.am,
	  src/app-utils/gnc-help-utils.c, src/app-utils/gnc-help-utils.h,
	  src/gnc-ui.h, src/gnome-utils/gnc-gnome-utils.c: Add help
	  support on Windows by using the HtmlHelp API. Find the correct
	  CHM file according to the active locale and call gnc_show_help
	  in src/app-utils/gnc-help-utils.[ch]. These new files were
	  necessary because <windows.h> does not like things like GUID. If
	  no htmlhelp.h was found, spawn hh to show the chm file.
	  Otherwise parse the GKeyFile ending on .hhmap to determine a
	  numeric ID for the given anchor and use HtmlHelpW.

2007-03-14 00:41  andi5

	* [r15712] packaging/win32/custom.sh, packaging/win32/install.sh:
	  Install.sh: Add support for generating guide and help CHM files.
	  * add html help workspace, make an import library for hhctrl.ocx
	  * add libxslt for xsltproc and htmlhelp xsl stylesheets * run
	  xsltproc on guide and help, C and de_DE; enrich the resulting
	  hhp files with anchor/map/alias information, compile them with
	  hhc, save to $INST_DIR/share/gnucash/$lang/gnucash-$type.chm *
	  create GKeyFiles *.hhmap that can be parsed to open specific
	  topics * also, obsolete pexports by mingw-utils

2007-03-13 15:18  hampton

	* [r15710] configure.in, src/core-utils/gnc-gkeyfile-utils.c,
	  src/core-utils/gnc-gkeyfile-utils.h,
	  src/gnome/dialog-print-check.c: Make the new check printing code
	  compile on systems that don't have glib 2.12.

2007-03-13 03:43  hampton

	* [r15709] Makefile.am, checks, checks/Makefile.am,
	  checks/deluxe.chk, checks/gnomeprint,
	  checks/gnomeprint/deluxe.chk, checks/gnomeprint/quicken.chk,
	  checks/gnomeprint/quicken_wallet.chk, checks/quicken.chk,
	  checks/quicken_wallet.chk, configure.in,
	  src/app-utils/app-utils.i, src/app-utils/gnc-ui-util.c,
	  src/app-utils/gnc-ui-util.h, src/gnome/dialog-print-check.c,
	  src/gnome/glade/print.glade, src/scm/Makefile.am,
	  src/scm/main.scm, src/scm/printing: Convert the check printing
	  code from Scheme to C. Add support for using the GtkPrint API
	  when compiled against gtk+ 2.10 or later. Add support for
	  reading check description files instead of hard coding check
	  descriptions.

2007-03-13 01:18  hampton

	* [r15708] lib/libqof/qof/gnc-date.c: ISO 8601 requires a four
	  digit year.

2007-03-10 22:16  cstim

	* [r15707] src/import-export/hbci/druid-hbci-initial.c,
	  src/import-export/hbci/hbci-interaction.c: Implement some
	  initial gnc_component_manager registering for the hbci dialogs.
	  Partially fixes bug#409324. BP

2007-03-10 21:18  cstim

	* [r15706] packaging/win32/install.sh: Add helpful error message
	  if other package is unavailable

2007-03-10 19:01  andi5

	* [r15705] packaging/win32/custom.sh, packaging/win32/dist.sh,
	  packaging/win32/goffice-0.3.0-patch.diff,
	  packaging/win32/goffice-0.3.2-patch.diff,
	  packaging/win32/goffice-0.3.7-patch.diff,
	  packaging/win32/install.sh: Install.sh: Bump goffice to 0.3.7. *
	  add pcre which is a hard dependency of goffice now * use the
	  same patch for goffice 0.3.7 as for 0.3.2 (was not in use) *
	  make inst.sh'ed gnucash and gnucash.bat scripts work again

2007-03-09 22:44  andi5

	* [r15704] configure.in, src/gnome-utils/gnc-html-graph-gog.c: Add
	  GOFFICE_WITH_CAIRO to enable build without GogRendererPixbuf.
	  Check whether we find gog-renderer-cairo.h with the help of
	  GOFFICE_CFLAGS. If it is found, use GogRendererCairo instead of
	  GogRendererPixbuf. Newer goffice releases do not ship the latter
	  any more.

2007-03-09 20:16  hampton

	* [r15703] src/import-export/qif-import/qif-dialog-utils.scm,
	  src/report/report-system/report-utilities.scm: Fix two instances
	  where a function name didn't get changed for the swig-style
	  naming.

2007-03-09 19:39  andi5

	* [r15702] lib/goffice-0.0.4, lib/libgsf-1.12.3: Remove the empty
	  directories in lib/libgsf-1.12.3 and /goffice-0.0.4 too. (blame
	  git-svn)

2007-03-09 19:26  andi5

	* [r15701] Makefile.am, configure.in, goffice-config.h.in,
	  goffice-features.h.in, gsf-config.h.in, lib/Makefile.am,
	  lib/goffice-0.0.4/AUTHORS, lib/goffice-0.0.4/BUGS,
	  lib/goffice-0.0.4/COPYING, lib/goffice-0.0.4/ChangeLog,
	  lib/goffice-0.0.4/INSTALL, lib/goffice-0.0.4/MAINTAINERS,
	  lib/goffice-0.0.4/Makefile.am, lib/goffice-0.0.4/NEWS,
	  lib/goffice-0.0.4/README, lib/goffice-0.0.4/aclocal.m4,
	  lib/goffice-0.0.4/config.guess, lib/goffice-0.0.4/config.sub,
	  lib/goffice-0.0.4/configure, lib/goffice-0.0.4/configure.in,
	  lib/goffice-0.0.4/depcomp, lib/goffice-0.0.4/goffice-plugins.mk,
	  lib/goffice-0.0.4/goffice.mk,
	  lib/goffice-0.0.4/goffice/Makefile.am,
	  lib/goffice-0.0.4/goffice/app/Makefile.am,
	  lib/goffice-0.0.4/goffice/app/error-info.c,
	  lib/goffice-0.0.4/goffice/app/error-info.h,
	  lib/goffice-0.0.4/goffice/app/file-priv.h,
	  lib/goffice-0.0.4/goffice/app/file.c,
	  lib/goffice-0.0.4/goffice/app/file.h,
	  lib/goffice-0.0.4/goffice/app/go-app.h,
	  lib/goffice-0.0.4/goffice/app/go-cmd-context-impl.h,
	  lib/goffice-0.0.4/goffice/app/go-cmd-context.c,
	  lib/goffice-0.0.4/goffice/app/go-cmd-context.h,
	  lib/goffice-0.0.4/goffice/app/go-doc-control-impl.h,
	  lib/goffice-0.0.4/goffice/app/go-doc-control.c,
	  lib/goffice-0.0.4/goffice/app/go-doc-control.h,
	  lib/goffice-0.0.4/goffice/app/go-doc-impl.h,
	  lib/goffice-0.0.4/goffice/app/go-doc.c,
	  lib/goffice-0.0.4/goffice/app/go-doc.h,
	  lib/goffice-0.0.4/goffice/app/go-error-stack.h,
	  lib/goffice-0.0.4/goffice/app/go-object.c,
	  lib/goffice-0.0.4/goffice/app/go-object.h,
	  lib/goffice-0.0.4/goffice/app/go-plugin-loader-module.c,
	  lib/goffice-0.0.4/goffice/app/go-plugin-loader-module.h,
	  lib/goffice-0.0.4/goffice/app/go-plugin-loader.c,
	  lib/goffice-0.0.4/goffice/app/go-plugin-loader.h,
	  lib/goffice-0.0.4/goffice/app/go-plugin-service-impl.h,
	  lib/goffice-0.0.4/goffice/app/go-plugin-service.c,
	  lib/goffice-0.0.4/goffice/app/go-plugin-service.h,
	  lib/goffice-0.0.4/goffice/app/go-plugin.c,
	  lib/goffice-0.0.4/goffice/app/go-plugin.h,
	  lib/goffice-0.0.4/goffice/app/go-service-impl.h,
	  lib/goffice-0.0.4/goffice/app/go-service.c,
	  lib/goffice-0.0.4/goffice/app/go-service.h,
	  lib/goffice-0.0.4/goffice/app/goffice-app.h,
	  lib/goffice-0.0.4/goffice/app/io-context-priv.h,
	  lib/goffice-0.0.4/goffice/app/io-context.c,
	  lib/goffice-0.0.4/goffice/app/io-context.h,
	  lib/goffice-0.0.4/goffice/app/module-plugin-defs.h,
	  lib/goffice-0.0.4/goffice/cut-n-paste/Makefile.am,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/Makefile.am,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-i18n.h,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-line.c,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-line.h,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-marshal.list,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-pixbuf.c,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-pixbuf.h,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-polygon.c,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-polygon.h,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-rect-ellipse.c,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-rect-ellipse.h,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-text.c,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-text.h,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-util.c,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-util.h,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-widget.c,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas-widget.h,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas.c,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/foo-canvas.h,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/libfoocanvas.h,
	  lib/goffice-0.0.4/goffice/cut-n-paste/foocanvas/libfoocanvastypes.c,
	  lib/goffice-0.0.4/goffice/cut-n-paste/pcre/COPYING,
	  lib/goffice-0.0.4/goffice/cut-n-paste/pcre/Makefile.am,
	  lib/goffice-0.0.4/goffice/cut-n-paste/pcre/get.c,
	  lib/goffice-0.0.4/goffice/cut-n-paste/pcre/internal.h,
	  lib/goffice-0.0.4/goffice/cut-n-paste/pcre/maketables.c,
	  lib/goffice-0.0.4/goffice/cut-n-paste/pcre/pcre.c,
	  lib/goffice-0.0.4/goffice/cut-n-paste/pcre/pcre.h,
	  lib/goffice-0.0.4/goffice/cut-n-paste/pcre/pcreposix.c,
	  lib/goffice-0.0.4/goffice/cut-n-paste/pcre/pcreposix.h,
	  lib/goffice-0.0.4/goffice/cut-n-paste/pcre/study.c,
	  lib/goffice-0.0.4/goffice/data/Makefile.am,
	  lib/goffice-0.0.4/goffice/data/go-data-impl.h,
	  lib/goffice-0.0.4/goffice/data/go-data-simple.c,
	  lib/goffice-0.0.4/goffice/data/go-data-simple.h,
	  lib/goffice-0.0.4/goffice/data/go-data.c,
	  lib/goffice-0.0.4/goffice/data/go-data.h,
	  lib/goffice-0.0.4/goffice/data/goffice-data.h,
	  lib/goffice-0.0.4/goffice/drawing/Makefile.am,
	  lib/goffice-0.0.4/goffice/drawing/god-anchor.c,
	  lib/goffice-0.0.4/goffice/drawing/god-anchor.h,
	  lib/goffice-0.0.4/goffice/drawing/god-default-attributes.c,
	  lib/goffice-0.0.4/goffice/drawing/god-default-attributes.h,
	  lib/goffice-0.0.4/goffice/drawing/god-drawing-group.c,
	  lib/goffice-0.0.4/goffice/drawing/god-drawing-group.h,
	  lib/goffice-0.0.4/goffice/drawing/god-drawing-renderer-gdk.c,
	  lib/goffice-0.0.4/goffice/drawing/god-drawing-renderer-gdk.h,
	  lib/goffice-0.0.4/goffice/drawing/god-drawing-view.c,
	  lib/goffice-0.0.4/goffice/drawing/god-drawing-view.h,
	  lib/goffice-0.0.4/goffice/drawing/god-drawing.c,
	  lib/goffice-0.0.4/goffice/drawing/god-drawing.h,
	  lib/goffice-0.0.4/goffice/drawing/god-image-store.c,
	  lib/goffice-0.0.4/goffice/drawing/god-image-store.h,
	  lib/goffice-0.0.4/goffice/drawing/god-image.c,
	  lib/goffice-0.0.4/goffice/drawing/god-image.h,
	  lib/goffice-0.0.4/goffice/drawing/god-paragraph-attributes.c,
	  lib/goffice-0.0.4/goffice/drawing/god-paragraph-attributes.h,
	  lib/goffice-0.0.4/goffice/drawing/god-property-table.c,
	  lib/goffice-0.0.4/goffice/drawing/god-property-table.h,
	  lib/goffice-0.0.4/goffice/drawing/god-shape.c,
	  lib/goffice-0.0.4/goffice/drawing/god-shape.h,
	  lib/goffice-0.0.4/goffice/drawing/god-text-model.c,
	  lib/goffice-0.0.4/goffice/drawing/god-text-model.h,
	  lib/goffice-0.0.4/goffice/goffice-priv.h,
	  lib/goffice-0.0.4/goffice/goffice.c,
	  lib/goffice-0.0.4/goffice/goffice.h,
	  lib/goffice-0.0.4/goffice/graph/Makefile.am,
	  lib/goffice-0.0.4/goffice/graph/README,
	  lib/goffice-0.0.4/goffice/graph/goffice-graph.h,
	  lib/goffice-0.0.4/goffice/graph/gog-axis-line-impl.h,
	  lib/goffice-0.0.4/goffice/graph/gog-axis-line.c,
	  lib/goffice-0.0.4/goffice/graph/gog-axis-line.h,
	  lib/goffice-0.0.4/goffice/graph/gog-axis-prefs.glade,
	  lib/goffice-0.0.4/goffice/graph/gog-axis.c,
	  lib/goffice-0.0.4/goffice/graph/gog-axis.h,
	  lib/goffice-0.0.4/goffice/graph/gog-chart-impl.h,
	  lib/goffice-0.0.4/goffice/graph/gog-chart-prefs.glade,
	  lib/goffice-0.0.4/goffice/graph/gog-chart.c,
	  lib/goffice-0.0.4/goffice/graph/gog-chart.h,
	  lib/goffice-0.0.4/goffice/graph/gog-control-foocanvas.c,
	  lib/goffice-0.0.4/goffice/graph/gog-control-foocanvas.h,
	  lib/goffice-0.0.4/goffice/graph/gog-data-allocator.c,
	  lib/goffice-0.0.4/goffice/graph/gog-data-allocator.h,
	  lib/goffice-0.0.4/goffice/graph/gog-data-set.c,
	  lib/goffice-0.0.4/goffice/graph/gog-data-set.h,
	  lib/goffice-0.0.4/goffice/graph/gog-error-bar-prefs.glade,
	  lib/goffice-0.0.4/goffice/graph/gog-error-bar.c,
	  lib/goffice-0.0.4/goffice/graph/gog-error-bar.h,
	  lib/goffice-0.0.4/goffice/graph/gog-graph-impl.h,
	  lib/goffice-0.0.4/goffice/graph/gog-graph.c,
	  lib/goffice-0.0.4/goffice/graph/gog-graph.h,
	  lib/goffice-0.0.4/goffice/graph/gog-grid-line.c,
	  lib/goffice-0.0.4/goffice/graph/gog-grid-line.h,
	  lib/goffice-0.0.4/goffice/graph/gog-grid.c,
	  lib/goffice-0.0.4/goffice/graph/gog-grid.h,
	  lib/goffice-0.0.4/goffice/graph/gog-guru-type-selector.glade,
	  lib/goffice-0.0.4/goffice/graph/gog-guru.c,
	  lib/goffice-0.0.4/goffice/graph/gog-guru.glade,
	  lib/goffice-0.0.4/goffice/graph/gog-guru.h,
	  lib/goffice-0.0.4/goffice/graph/gog-label.c,
	  lib/goffice-0.0.4/goffice/graph/gog-label.h,
	  lib/goffice-0.0.4/goffice/graph/gog-legend.c,
	  lib/goffice-0.0.4/goffice/graph/gog-legend.h,
	  lib/goffice-0.0.4/goffice/graph/gog-object-prefs.glade,
	  lib/goffice-0.0.4/goffice/graph/gog-object-xml.c,
	  lib/goffice-0.0.4/goffice/graph/gog-object-xml.h,
	  lib/goffice-0.0.4/goffice/graph/gog-object.c,
	  lib/goffice-0.0.4/goffice/graph/gog-object.h,
	  lib/goffice-0.0.4/goffice/graph/gog-outlined-object.c,
	  lib/goffice-0.0.4/goffice/graph/gog-outlined-object.h,
	  lib/goffice-0.0.4/goffice/graph/gog-plot-engine.c,
	  lib/goffice-0.0.4/goffice/graph/gog-plot-engine.h,
	  lib/goffice-0.0.4/goffice/graph/gog-plot-impl.h,
	  lib/goffice-0.0.4/goffice/graph/gog-plot.c,
	  lib/goffice-0.0.4/goffice/graph/gog-plot.h,
	  lib/goffice-0.0.4/goffice/graph/gog-reg-curve-prefs.glade,
	  lib/goffice-0.0.4/goffice/graph/gog-reg-curve.c,
	  lib/goffice-0.0.4/goffice/graph/gog-reg-curve.h,
	  lib/goffice-0.0.4/goffice/graph/gog-reg-eqn-prefs.glade,
	  lib/goffice-0.0.4/goffice/graph/gog-renderer-gnome-print.c,
	  lib/goffice-0.0.4/goffice/graph/gog-renderer-gnome-print.h,
	  lib/goffice-0.0.4/goffice/graph/gog-renderer-impl.h,
	  lib/goffice-0.0.4/goffice/graph/gog-renderer-pixbuf.c,
	  lib/goffice-0.0.4/goffice/graph/gog-renderer-pixbuf.h,
	  lib/goffice-0.0.4/goffice/graph/gog-renderer-svg.c,
	  lib/goffice-0.0.4/goffice/graph/gog-renderer-svg.h,
	  lib/goffice-0.0.4/goffice/graph/gog-renderer.c,
	  lib/goffice-0.0.4/goffice/graph/gog-renderer.h,
	  lib/goffice-0.0.4/goffice/graph/gog-series-impl.h,
	  lib/goffice-0.0.4/goffice/graph/gog-series-lines.c,
	  lib/goffice-0.0.4/goffice/graph/gog-series-lines.h,
	  lib/goffice-0.0.4/goffice/graph/gog-series.c,
	  lib/goffice-0.0.4/goffice/graph/gog-series.h,
	  lib/goffice-0.0.4/goffice/graph/gog-style-prefs.glade,
	  lib/goffice-0.0.4/goffice/graph/gog-style.c,
	  lib/goffice-0.0.4/goffice/graph/gog-style.h,
	  lib/goffice-0.0.4/goffice/graph/gog-styled-object.c,
	  lib/goffice-0.0.4/goffice/graph/gog-styled-object.h,
	  lib/goffice-0.0.4/goffice/graph/gog-theme.c,
	  lib/goffice-0.0.4/goffice/graph/gog-theme.h,
	  lib/goffice-0.0.4/goffice/graph/gog-view.c,
	  lib/goffice-0.0.4/goffice/graph/gog-view.h,
	  lib/goffice-0.0.4/goffice/gtk/Makefile.am,
	  lib/goffice-0.0.4/goffice/gtk/go-action-combo-color.c,
	  lib/goffice-0.0.4/goffice/gtk/go-action-combo-color.h,
	  lib/goffice-0.0.4/goffice/gtk/go-action-combo-pixmaps.c,
	  lib/goffice-0.0.4/goffice/gtk/go-action-combo-pixmaps.h,
	  lib/goffice-0.0.4/goffice/gtk/go-action-combo-stack.c,
	  lib/goffice-0.0.4/goffice/gtk/go-action-combo-stack.h,
	  lib/goffice-0.0.4/goffice/gtk/go-action-combo-text.c,
	  lib/goffice-0.0.4/goffice/gtk/go-action-combo-text.h,
	  lib/goffice-0.0.4/goffice/gtk/go-charmap-sel.c,
	  lib/goffice-0.0.4/goffice/gtk/go-charmap-sel.h,
	  lib/goffice-0.0.4/goffice/gtk/go-color-group.c,
	  lib/goffice-0.0.4/goffice/gtk/go-color-group.h,
	  lib/goffice-0.0.4/goffice/gtk/go-color-palette.c,
	  lib/goffice-0.0.4/goffice/gtk/go-color-palette.h,
	  lib/goffice-0.0.4/goffice/gtk/go-combo-box.c,
	  lib/goffice-0.0.4/goffice/gtk/go-combo-box.h,
	  lib/goffice-0.0.4/goffice/gtk/go-combo-color.c,
	  lib/goffice-0.0.4/goffice/gtk/go-combo-color.h,
	  lib/goffice-0.0.4/goffice/gtk/go-combo-pixmaps.c,
	  lib/goffice-0.0.4/goffice/gtk/go-combo-pixmaps.h,
	  lib/goffice-0.0.4/goffice/gtk/go-combo-text.c,
	  lib/goffice-0.0.4/goffice/gtk/go-combo-text.h,
	  lib/goffice-0.0.4/goffice/gtk/go-dock-band.c,
	  lib/goffice-0.0.4/goffice/gtk/go-dock-band.h,
	  lib/goffice-0.0.4/goffice/gtk/go-dock-item-grip.c,
	  lib/goffice-0.0.4/goffice/gtk/go-dock-item-grip.h,
	  lib/goffice-0.0.4/goffice/gtk/go-dock-item.c,
	  lib/goffice-0.0.4/goffice/gtk/go-dock-item.h,
	  lib/goffice-0.0.4/goffice/gtk/go-dock-layout.c,
	  lib/goffice-0.0.4/goffice/gtk/go-dock-layout.h,
	  lib/goffice-0.0.4/goffice/gtk/go-dock.c,
	  lib/goffice-0.0.4/goffice/gtk/go-dock.h,
	  lib/goffice-0.0.4/goffice/gtk/go-font-sel.c,
	  lib/goffice-0.0.4/goffice/gtk/go-font-sel.glade,
	  lib/goffice-0.0.4/goffice/gtk/go-font-sel.h,
	  lib/goffice-0.0.4/goffice/gtk/go-format-sel.c,
	  lib/goffice-0.0.4/goffice/gtk/go-format-sel.glade,
	  lib/goffice-0.0.4/goffice/gtk/go-format-sel.h,
	  lib/goffice-0.0.4/goffice/gtk/go-graph-widget.c,
	  lib/goffice-0.0.4/goffice/gtk/go-graph-widget.h,
	  lib/goffice-0.0.4/goffice/gtk/go-locale-sel.c,
	  lib/goffice-0.0.4/goffice/gtk/go-locale-sel.h,
	  lib/goffice-0.0.4/goffice/gtk/go-optionmenu.c,
	  lib/goffice-0.0.4/goffice/gtk/go-optionmenu.h,
	  lib/goffice-0.0.4/goffice/gtk/go-rotation-sel.c,
	  lib/goffice-0.0.4/goffice/gtk/go-rotation-sel.glade,
	  lib/goffice-0.0.4/goffice/gtk/go-rotation-sel.h,
	  lib/goffice-0.0.4/goffice/gtk/goffice-gtk.c,
	  lib/goffice-0.0.4/goffice/gtk/goffice-gtk.h,
	  lib/goffice-0.0.4/goffice/ms-compat/Makefile.am,
	  lib/goffice-0.0.4/goffice/ms-compat/go-ms-parser.c,
	  lib/goffice-0.0.4/goffice/ms-compat/go-ms-parser.h,
	  lib/goffice-0.0.4/goffice/ms-compat/god-drawing-ms-client-handler.c,
	  lib/goffice-0.0.4/goffice/ms-compat/god-drawing-ms-client-handler.h,
	  lib/goffice-0.0.4/goffice/ms-compat/god-drawing-ms.c,
	  lib/goffice-0.0.4/goffice/ms-compat/god-drawing-ms.h,
	  lib/goffice-0.0.4/goffice/ms-compat/god-image-ms.c,
	  lib/goffice-0.0.4/goffice/ms-compat/god-image-ms.h,
	  lib/goffice-0.0.4/goffice/utils/Makefile.am,
	  lib/goffice-0.0.4/goffice/utils/datetime.c,
	  lib/goffice-0.0.4/goffice/utils/datetime.h,
	  lib/goffice-0.0.4/goffice/utils/format-impl.h,
	  lib/goffice-0.0.4/goffice/utils/format.c,
	  lib/goffice-0.0.4/goffice/utils/formats.c,
	  lib/goffice-0.0.4/goffice/utils/go-color.c,
	  lib/goffice-0.0.4/goffice/utils/go-color.h,
	  lib/goffice-0.0.4/goffice/utils/go-file.c,
	  lib/goffice-0.0.4/goffice/utils/go-file.h,
	  lib/goffice-0.0.4/goffice/utils/go-font.c,
	  lib/goffice-0.0.4/goffice/utils/go-font.h,
	  lib/goffice-0.0.4/goffice/utils/go-format-match.c,
	  lib/goffice-0.0.4/goffice/utils/go-format-match.h,
	  lib/goffice-0.0.4/goffice/utils/go-format.c,
	  lib/goffice-0.0.4/goffice/utils/go-format.h,
	  lib/goffice-0.0.4/goffice/utils/go-geometry.c,
	  lib/goffice-0.0.4/goffice/utils/go-geometry.h,
	  lib/goffice-0.0.4/goffice/utils/go-glib-extras.c,
	  lib/goffice-0.0.4/goffice/utils/go-glib-extras.h,
	  lib/goffice-0.0.4/goffice/utils/go-gradient.c,
	  lib/goffice-0.0.4/goffice/utils/go-gradient.h,
	  lib/goffice-0.0.4/goffice/utils/go-libxml-extras.c,
	  lib/goffice-0.0.4/goffice/utils/go-libxml-extras.h,
	  lib/goffice-0.0.4/goffice/utils/go-line.c,
	  lib/goffice-0.0.4/goffice/utils/go-line.h,
	  lib/goffice-0.0.4/goffice/utils/go-marker.c,
	  lib/goffice-0.0.4/goffice/utils/go-marker.h,
	  lib/goffice-0.0.4/goffice/utils/go-marshalers.list,
	  lib/goffice-0.0.4/goffice/utils/go-math.c,
	  lib/goffice-0.0.4/goffice/utils/go-math.h,
	  lib/goffice-0.0.4/goffice/utils/go-pattern.c,
	  lib/goffice-0.0.4/goffice/utils/go-pattern.h,
	  lib/goffice-0.0.4/goffice/utils/go-rangefunc.c,
	  lib/goffice-0.0.4/goffice/utils/go-rangefunc.h,
	  lib/goffice-0.0.4/goffice/utils/go-regression.c,
	  lib/goffice-0.0.4/goffice/utils/go-regression.h,
	  lib/goffice-0.0.4/goffice/utils/go-units.h,
	  lib/goffice-0.0.4/goffice/utils/goffice-utils.h,
	  lib/goffice-0.0.4/goffice/utils/goffice-win32-stub.def,
	  lib/goffice-0.0.4/goffice/utils/regutf8.c,
	  lib/goffice-0.0.4/goffice/utils/regutf8.h,
	  lib/goffice-0.0.4/goffice/utils/svg-patterns.xml,
	  lib/goffice-0.0.4/goffice/utils/win32-stub.c,
	  lib/goffice-0.0.4/goffice/utils/win32-stub.h,
	  lib/goffice-0.0.4/install-sh,
	  lib/goffice-0.0.4/intltool-extract.in,
	  lib/goffice-0.0.4/intltool-merge.in,
	  lib/goffice-0.0.4/intltool-update.in,
	  lib/goffice-0.0.4/libgoffice-1.pc.in,
	  lib/goffice-0.0.4/ltmain.sh, lib/goffice-0.0.4/missing,
	  lib/goffice-0.0.4/mkinstalldirs,
	  lib/goffice-0.0.4/pixmaps/Makefile.am,
	  lib/goffice-0.0.4/pixmaps/area.xpm,
	  lib/goffice-0.0.4/pixmaps/bar-hboth.png,
	  lib/goffice-0.0.4/pixmaps/bar-hminus.png,
	  lib/goffice-0.0.4/pixmaps/bar-hplus.png,
	  lib/goffice-0.0.4/pixmaps/bar-none.png,
	  lib/goffice-0.0.4/pixmaps/bar-vboth.png,
	  lib/goffice-0.0.4/pixmaps/bar-vminus.png,
	  lib/goffice-0.0.4/pixmaps/bar-vplus.png,
	  lib/goffice-0.0.4/pixmaps/bar.xpm,
	  lib/goffice-0.0.4/pixmaps/boxplot.xpm,
	  lib/goffice-0.0.4/pixmaps/bubble.xpm,
	  lib/goffice-0.0.4/pixmaps/chart_area_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_area_1_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_area_1_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_bar_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_bar_1_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_bar_1_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_bar_2_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_bar_2_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_bar_2_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_boxplot_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_bubble_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_column_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_column_1_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_column_1_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_column_2_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_column_2_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_column_2_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_column_3_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_cone_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_cone_1_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_cone_1_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_cone_2_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_cone_2_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_cone_2_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_cone_3_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_contour_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_cylinder_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_cylinder_1_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_cylinder_1_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_cylinder_2_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_cylinder_2_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_cylinder_2_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_cylinder_3_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_dropbar_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_dropbar_1_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_line_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_line_1_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_line_1_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_line_2_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_line_2_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_line_2_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_line_3_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_minmax_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_minmax_1_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_minmax_2_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_minmax_2_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_pie_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_pie_1_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_pie_1_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_pie_2_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_pie_2_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_pie_2_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_polar_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_pyramid_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_pyramid_1_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_pyramid_1_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_pyramid_2_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_pyramid_2_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_pyramid_2_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_pyramid_3_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_radar_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_radar_1_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_radar_1_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_ring_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_ring_1_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_scatter_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_scatter_2_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_scatter_2_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_scatter_3_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_scatter_3_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_scatter_3_3.png,
	  lib/goffice-0.0.4/pixmaps/chart_stock_1_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_stock_1_2.png,
	  lib/goffice-0.0.4/pixmaps/chart_stock_2_1.png,
	  lib/goffice-0.0.4/pixmaps/chart_stock_2_2.png,
	  lib/goffice-0.0.4/pixmaps/column.xpm,
	  lib/goffice-0.0.4/pixmaps/doughnut.xpm,
	  lib/goffice-0.0.4/pixmaps/dropbar.xpm,
	  lib/goffice-0.0.4/pixmaps/linegraph.xpm,
	  lib/goffice-0.0.4/pixmaps/minmax.xpm,
	  lib/goffice-0.0.4/pixmaps/pie.xpm,
	  lib/goffice-0.0.4/pixmaps/polar.png,
	  lib/goffice-0.0.4/pixmaps/radar.xpm,
	  lib/goffice-0.0.4/pixmaps/scatter.xpm,
	  lib/goffice-0.0.4/pixmaps/stock.xpm,
	  lib/goffice-0.0.4/pixmaps/surface.xpm,
	  lib/goffice-0.0.4/plugins/Makefile.am,
	  lib/goffice-0.0.4/plugins/plot_barcol/Makefile.am,
	  lib/goffice-0.0.4/plugins/plot_barcol/gog-1.5d.c,
	  lib/goffice-0.0.4/plugins/plot_barcol/gog-1.5d.h,
	  lib/goffice-0.0.4/plugins/plot_barcol/gog-barcol-prefs.c,
	  lib/goffice-0.0.4/plugins/plot_barcol/gog-barcol-prefs.glade,
	  lib/goffice-0.0.4/plugins/plot_barcol/gog-barcol.c,
	  lib/goffice-0.0.4/plugins/plot_barcol/gog-barcol.h,
	  lib/goffice-0.0.4/plugins/plot_barcol/gog-dropbar.c,
	  lib/goffice-0.0.4/plugins/plot_barcol/gog-dropbar.h,
	  lib/goffice-0.0.4/plugins/plot_barcol/gog-line.c,
	  lib/goffice-0.0.4/plugins/plot_barcol/gog-line.h,
	  lib/goffice-0.0.4/plugins/plot_barcol/gog-minmax-prefs.glade,
	  lib/goffice-0.0.4/plugins/plot_barcol/gog-minmax.c,
	  lib/goffice-0.0.4/plugins/plot_barcol/gog-minmax.h,
	  lib/goffice-0.0.4/plugins/plot_barcol/plot-types.xml.in,
	  lib/goffice-0.0.4/plugins/plot_barcol/plugin.xml.in,
	  lib/goffice-0.0.4/plugins/plot_boxes/Makefile.am,
	  lib/goffice-0.0.4/plugins/plot_boxes/gog-boxplot-prefs.glade,
	  lib/goffice-0.0.4/plugins/plot_boxes/gog-boxplot.c,
	  lib/goffice-0.0.4/plugins/plot_boxes/gog-boxplot.h,
	  lib/goffice-0.0.4/plugins/plot_boxes/plot-types.xml.in,
	  lib/goffice-0.0.4/plugins/plot_boxes/plugin.xml.in,
	  lib/goffice-0.0.4/plugins/plot_pie/Makefile.am,
	  lib/goffice-0.0.4/plugins/plot_pie/gog-pie-prefs.c,
	  lib/goffice-0.0.4/plugins/plot_pie/gog-pie-prefs.glade,
	  lib/goffice-0.0.4/plugins/plot_pie/gog-pie-series.glade,
	  lib/goffice-0.0.4/plugins/plot_pie/gog-pie.c,
	  lib/goffice-0.0.4/plugins/plot_pie/gog-pie.h,
	  lib/goffice-0.0.4/plugins/plot_pie/gog-ring-prefs.glade,
	  lib/goffice-0.0.4/plugins/plot_pie/plot-types.xml.in,
	  lib/goffice-0.0.4/plugins/plot_pie/plugin.xml.in,
	  lib/goffice-0.0.4/plugins/plot_radar/Makefile.am,
	  lib/goffice-0.0.4/plugins/plot_radar/gog-radar.c,
	  lib/goffice-0.0.4/plugins/plot_radar/gog-radar.h,
	  lib/goffice-0.0.4/plugins/plot_radar/plot-types.xml.in,
	  lib/goffice-0.0.4/plugins/plot_radar/plugin.xml.in,
	  lib/goffice-0.0.4/plugins/plot_surface/Makefile.am,
	  lib/goffice-0.0.4/plugins/plot_surface/gog-contour-prefs.c,
	  lib/goffice-0.0.4/plugins/plot_surface/gog-contour-prefs.glade,
	  lib/goffice-0.0.4/plugins/plot_surface/gog-surface.c,
	  lib/goffice-0.0.4/plugins/plot_surface/gog-surface.h,
	  lib/goffice-0.0.4/plugins/plot_surface/plot-types.xml.in,
	  lib/goffice-0.0.4/plugins/plot_surface/plugin.xml.in,
	  lib/goffice-0.0.4/plugins/plot_surface/xl-surface.c,
	  lib/goffice-0.0.4/plugins/plot_surface/xl-surface.h,
	  lib/goffice-0.0.4/plugins/plot_xy/Makefile.am,
	  lib/goffice-0.0.4/plugins/plot_xy/gog-bubble-prefs.c,
	  lib/goffice-0.0.4/plugins/plot_xy/gog-bubble-prefs.glade,
	  lib/goffice-0.0.4/plugins/plot_xy/gog-xy.c,
	  lib/goffice-0.0.4/plugins/plot_xy/gog-xy.h,
	  lib/goffice-0.0.4/plugins/plot_xy/plot-types.xml.in,
	  lib/goffice-0.0.4/plugins/plot_xy/plugin.xml.in,
	  lib/goffice-0.0.4/plugins/reg_linear/Makefile.am,
	  lib/goffice-0.0.4/plugins/reg_linear/gog-lin-reg.c,
	  lib/goffice-0.0.4/plugins/reg_linear/gog-lin-reg.h,
	  lib/goffice-0.0.4/plugins/reg_linear/plugin.xml.in,
	  lib/goffice-0.0.4/plugins/reg_linear/reg-types.xml.in,
	  lib/goffice-0.0.4/po/ChangeLog,
	  lib/goffice-0.0.4/po/Makefile.in.in,
	  lib/goffice-0.0.4/po/POTFILES.in, lib/goffice-0.0.4/po/am.po,
	  lib/goffice-0.0.4/po/az.po, lib/goffice-0.0.4/po/bg.po,
	  lib/goffice-0.0.4/po/ca.po, lib/goffice-0.0.4/po/cs.po,
	  lib/goffice-0.0.4/po/da.po, lib/goffice-0.0.4/po/de.po,
	  lib/goffice-0.0.4/po/el.po, lib/goffice-0.0.4/po/en_CA.po,
	  lib/goffice-0.0.4/po/en_GB.po, lib/goffice-0.0.4/po/es.po,
	  lib/goffice-0.0.4/po/et.po, lib/goffice-0.0.4/po/fi.po,
	  lib/goffice-0.0.4/po/fr.po, lib/goffice-0.0.4/po/ga.po,
	  lib/goffice-0.0.4/po/gl.po, lib/goffice-0.0.4/po/he.po,
	  lib/goffice-0.0.4/po/hr.po, lib/goffice-0.0.4/po/hu.po,
	  lib/goffice-0.0.4/po/it.po, lib/goffice-0.0.4/po/ja.po,
	  lib/goffice-0.0.4/po/ko.po, lib/goffice-0.0.4/po/lv.po,
	  lib/goffice-0.0.4/po/ml.po, lib/goffice-0.0.4/po/mr.po,
	  lib/goffice-0.0.4/po/ms.po, lib/goffice-0.0.4/po/nb.po,
	  lib/goffice-0.0.4/po/nl.po, lib/goffice-0.0.4/po/nn.po,
	  lib/goffice-0.0.4/po/no.po, lib/goffice-0.0.4/po/pl.po,
	  lib/goffice-0.0.4/po/pt.po, lib/goffice-0.0.4/po/pt_BR.po,
	  lib/goffice-0.0.4/po/ro.po, lib/goffice-0.0.4/po/ru.po,
	  lib/goffice-0.0.4/po/sk.po, lib/goffice-0.0.4/po/sr.po,
	  lib/goffice-0.0.4/po/sr@Latn.po, lib/goffice-0.0.4/po/sv.po,
	  lib/goffice-0.0.4/po/tr.po, lib/goffice-0.0.4/po/uk.po,
	  lib/goffice-0.0.4/po/vi.po, lib/goffice-0.0.4/po/zh_CN.po,
	  lib/goffice-0.0.4/po/zh_TW.po,
	  lib/goffice-0.0.4/tests/Makefile.am,
	  lib/goffice-0.0.4/tests/pie-demo.c, lib/libgsf-1.12.3/AUTHORS,
	  lib/libgsf-1.12.3/BUGS, lib/libgsf-1.12.3/COPYING,
	  lib/libgsf-1.12.3/COPYING.LIB, lib/libgsf-1.12.3/ChangeLog,
	  lib/libgsf-1.12.3/HACKING, lib/libgsf-1.12.3/INSTALL,
	  lib/libgsf-1.12.3/Makefile.am, lib/libgsf-1.12.3/NEWS,
	  lib/libgsf-1.12.3/README, lib/libgsf-1.12.3/TODO,
	  lib/libgsf-1.12.3/acinclude.m4, lib/libgsf-1.12.3/aclocal.m4,
	  lib/libgsf-1.12.3/compile, lib/libgsf-1.12.3/config.guess,
	  lib/libgsf-1.12.3/config.sub, lib/libgsf-1.12.3/configure,
	  lib/libgsf-1.12.3/configure.in, lib/libgsf-1.12.3/depcomp,
	  lib/libgsf-1.12.3/doc/Makefile.am,
	  lib/libgsf-1.12.3/doc/gsf-docs.sgml,
	  lib/libgsf-1.12.3/doc/gsf-office-thumbnailer.1,
	  lib/libgsf-1.12.3/doc/gsf-overrides.txt,
	  lib/libgsf-1.12.3/doc/gsf-sections.txt,
	  lib/libgsf-1.12.3/doc/gsf.types,
	  lib/libgsf-1.12.3/doc/html/api.html,
	  lib/libgsf-1.12.3/doc/html/gsf-Bononbo.html,
	  lib/libgsf-1.12.3/doc/html/gsf-Compression.html,
	  lib/libgsf-1.12.3/doc/html/gsf-GIOChannel.html,
	  lib/libgsf-1.12.3/doc/html/gsf-GnomeVFS.html,
	  lib/libgsf-1.12.3/doc/html/gsf-GsfBlob.html,
	  lib/libgsf-1.12.3/doc/html/gsf-GsfClipData.html,
	  lib/libgsf-1.12.3/doc/html/gsf-Infile-reading-structed-files.html,
	  lib/libgsf-1.12.3/doc/html/gsf-Input-from-unstructured-files.html,
	  lib/libgsf-1.12.3/doc/html/gsf-MS-OLE2.html,
	  lib/libgsf-1.12.3/doc/html/gsf-Outfile-writing-structed-files.html,
	  lib/libgsf-1.12.3/doc/html/gsf-Output-to-unstructured-files.html,
	  lib/libgsf-1.12.3/doc/html/gsf-Reading-and-Writing-from-local-files-and-directories.html,
	  lib/libgsf-1.12.3/doc/html/gsf-Structured-Blobs.html,
	  lib/libgsf-1.12.3/doc/html/gsf-Text.html,
	  lib/libgsf-1.12.3/doc/html/gsf-XML-and-libxml.html,
	  lib/libgsf-1.12.3/doc/html/gsf-Zip.html,
	  lib/libgsf-1.12.3/doc/html/gsf-memory.html,
	  lib/libgsf-1.12.3/doc/html/gsf-metadata.html,
	  lib/libgsf-1.12.3/doc/html/gsf-utils.html,
	  lib/libgsf-1.12.3/doc/html/gsf.devhelp,
	  lib/libgsf-1.12.3/doc/html/home.png,
	  lib/libgsf-1.12.3/doc/html/index.html,
	  lib/libgsf-1.12.3/doc/html/index.sgml,
	  lib/libgsf-1.12.3/doc/html/into.html,
	  lib/libgsf-1.12.3/doc/html/io.html,
	  lib/libgsf-1.12.3/doc/html/ix01.html,
	  lib/libgsf-1.12.3/doc/html/left.png,
	  lib/libgsf-1.12.3/doc/html/misc.html,
	  lib/libgsf-1.12.3/doc/html/parsers.html,
	  lib/libgsf-1.12.3/doc/html/right.png,
	  lib/libgsf-1.12.3/doc/html/sources.html,
	  lib/libgsf-1.12.3/doc/html/style.css,
	  lib/libgsf-1.12.3/doc/html/up.png,
	  lib/libgsf-1.12.3/doc/tmpl/blob.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/bonobo.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/compression.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/gnome-vfs.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/gnomevfs.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/gnomevfs.sgml.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/gsf-blob.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/gsf-clip-data.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/gsf-unused.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/gsf.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/infile.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/input.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/iochannel.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/memory.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/metadata.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/msole.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/outfile.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/output.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/stdio.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/text.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/utils.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/xml.sgml,
	  lib/libgsf-1.12.3/doc/tmpl/zip.sgml,
	  lib/libgsf-1.12.3/doc/version.xml.in,
	  lib/libgsf-1.12.3/doc/xml/blob.xml,
	  lib/libgsf-1.12.3/doc/xml/bonobo.xml,
	  lib/libgsf-1.12.3/doc/xml/compression.xml,
	  lib/libgsf-1.12.3/doc/xml/gnome-vfs.xml,
	  lib/libgsf-1.12.3/doc/xml/gsf-blob.xml,
	  lib/libgsf-1.12.3/doc/xml/gsf-clip-data.xml,
	  lib/libgsf-1.12.3/doc/xml/gsf.xml,
	  lib/libgsf-1.12.3/doc/xml/infile.xml,
	  lib/libgsf-1.12.3/doc/xml/input.xml,
	  lib/libgsf-1.12.3/doc/xml/iochannel.xml,
	  lib/libgsf-1.12.3/doc/xml/memory.xml,
	  lib/libgsf-1.12.3/doc/xml/metadata.xml,
	  lib/libgsf-1.12.3/doc/xml/msole.xml,
	  lib/libgsf-1.12.3/doc/xml/outfile.xml,
	  lib/libgsf-1.12.3/doc/xml/output.xml,
	  lib/libgsf-1.12.3/doc/xml/stdio.xml,
	  lib/libgsf-1.12.3/doc/xml/text.xml,
	  lib/libgsf-1.12.3/doc/xml/utils.xml,
	  lib/libgsf-1.12.3/doc/xml/xml.xml,
	  lib/libgsf-1.12.3/doc/xml/zip.xml,
	  lib/libgsf-1.12.3/gsf-gnome/Makefile.am,
	  lib/libgsf-1.12.3/gsf-gnome/gsf-input-bonobo.c,
	  lib/libgsf-1.12.3/gsf-gnome/gsf-input-bonobo.h,
	  lib/libgsf-1.12.3/gsf-gnome/gsf-input-gnomevfs.c,
	  lib/libgsf-1.12.3/gsf-gnome/gsf-input-gnomevfs.h,
	  lib/libgsf-1.12.3/gsf-gnome/gsf-output-bonobo.c,
	  lib/libgsf-1.12.3/gsf-gnome/gsf-output-bonobo.h,
	  lib/libgsf-1.12.3/gsf-gnome/gsf-output-gnomevfs.c,
	  lib/libgsf-1.12.3/gsf-gnome/gsf-output-gnomevfs.h,
	  lib/libgsf-1.12.3/gsf-gnome/gsf-shared-bonobo-stream.c,
	  lib/libgsf-1.12.3/gsf-gnome/gsf-shared-bonobo-stream.h,
	  lib/libgsf-1.12.3/gsf-win32/Makefile.am,
	  lib/libgsf-1.12.3/gsf-win32/gsf-input-win32.c,
	  lib/libgsf-1.12.3/gsf-win32/gsf-input-win32.h,
	  lib/libgsf-1.12.3/gsf-win32/gsf-output-win32.c,
	  lib/libgsf-1.12.3/gsf-win32/gsf-output-win32.h,
	  lib/libgsf-1.12.3/gsf/Makefile.am,
	  lib/libgsf-1.12.3/gsf/gsf-blob.c,
	  lib/libgsf-1.12.3/gsf/gsf-blob.h,
	  lib/libgsf-1.12.3/gsf/gsf-clip-data.c,
	  lib/libgsf-1.12.3/gsf/gsf-clip-data.h,
	  lib/libgsf-1.12.3/gsf/gsf-doc-meta-data.c,
	  lib/libgsf-1.12.3/gsf/gsf-doc-meta-data.h,
	  lib/libgsf-1.12.3/gsf/gsf-docprop-vector.c,
	  lib/libgsf-1.12.3/gsf/gsf-docprop-vector.h,
	  lib/libgsf-1.12.3/gsf/gsf-impl-utils.h,
	  lib/libgsf-1.12.3/gsf/gsf-infile-impl.h,
	  lib/libgsf-1.12.3/gsf/gsf-infile-msole.c,
	  lib/libgsf-1.12.3/gsf/gsf-infile-msole.h,
	  lib/libgsf-1.12.3/gsf/gsf-infile-msvba.c,
	  lib/libgsf-1.12.3/gsf/gsf-infile-msvba.h,
	  lib/libgsf-1.12.3/gsf/gsf-infile-stdio.c,
	  lib/libgsf-1.12.3/gsf/gsf-infile-stdio.h,
	  lib/libgsf-1.12.3/gsf/gsf-infile-zip.c,
	  lib/libgsf-1.12.3/gsf/gsf-infile-zip.h,
	  lib/libgsf-1.12.3/gsf/gsf-infile.c,
	  lib/libgsf-1.12.3/gsf/gsf-infile.h,
	  lib/libgsf-1.12.3/gsf/gsf-input-bzip.c,
	  lib/libgsf-1.12.3/gsf/gsf-input-bzip.h,
	  lib/libgsf-1.12.3/gsf/gsf-input-gzip.c,
	  lib/libgsf-1.12.3/gsf/gsf-input-gzip.h,
	  lib/libgsf-1.12.3/gsf/gsf-input-impl.h,
	  lib/libgsf-1.12.3/gsf/gsf-input-iochannel.c,
	  lib/libgsf-1.12.3/gsf/gsf-input-iochannel.h,
	  lib/libgsf-1.12.3/gsf/gsf-input-memory.c,
	  lib/libgsf-1.12.3/gsf/gsf-input-memory.h,
	  lib/libgsf-1.12.3/gsf/gsf-input-proxy.c,
	  lib/libgsf-1.12.3/gsf/gsf-input-proxy.h,
	  lib/libgsf-1.12.3/gsf/gsf-input-stdio.c,
	  lib/libgsf-1.12.3/gsf/gsf-input-stdio.h,
	  lib/libgsf-1.12.3/gsf/gsf-input-textline.c,
	  lib/libgsf-1.12.3/gsf/gsf-input-textline.h,
	  lib/libgsf-1.12.3/gsf/gsf-input.c,
	  lib/libgsf-1.12.3/gsf/gsf-input.h,
	  lib/libgsf-1.12.3/gsf/gsf-libxml.c,
	  lib/libgsf-1.12.3/gsf/gsf-libxml.h,
	  lib/libgsf-1.12.3/gsf/gsf-meta-names.h,
	  lib/libgsf-1.12.3/gsf/gsf-msole-impl.h,
	  lib/libgsf-1.12.3/gsf/gsf-msole-utils.c,
	  lib/libgsf-1.12.3/gsf/gsf-msole-utils.h,
	  lib/libgsf-1.12.3/gsf/gsf-outfile-impl.h,
	  lib/libgsf-1.12.3/gsf/gsf-outfile-msole.c,
	  lib/libgsf-1.12.3/gsf/gsf-outfile-msole.h,
	  lib/libgsf-1.12.3/gsf/gsf-outfile-stdio.c,
	  lib/libgsf-1.12.3/gsf/gsf-outfile-stdio.h,
	  lib/libgsf-1.12.3/gsf/gsf-outfile-zip.c,
	  lib/libgsf-1.12.3/gsf/gsf-outfile-zip.h,
	  lib/libgsf-1.12.3/gsf/gsf-outfile.c,
	  lib/libgsf-1.12.3/gsf/gsf-outfile.h,
	  lib/libgsf-1.12.3/gsf/gsf-output-bzip.c,
	  lib/libgsf-1.12.3/gsf/gsf-output-bzip.h,
	  lib/libgsf-1.12.3/gsf/gsf-output-csv.c,
	  lib/libgsf-1.12.3/gsf/gsf-output-csv.h,
	  lib/libgsf-1.12.3/gsf/gsf-output-gzip.c,
	  lib/libgsf-1.12.3/gsf/gsf-output-gzip.h,
	  lib/libgsf-1.12.3/gsf/gsf-output-iconv.c,
	  lib/libgsf-1.12.3/gsf/gsf-output-iconv.h,
	  lib/libgsf-1.12.3/gsf/gsf-output-impl.h,
	  lib/libgsf-1.12.3/gsf/gsf-output-iochannel.c,
	  lib/libgsf-1.12.3/gsf/gsf-output-iochannel.h,
	  lib/libgsf-1.12.3/gsf/gsf-output-memory.c,
	  lib/libgsf-1.12.3/gsf/gsf-output-memory.h,
	  lib/libgsf-1.12.3/gsf/gsf-output-stdio.c,
	  lib/libgsf-1.12.3/gsf/gsf-output-stdio.h,
	  lib/libgsf-1.12.3/gsf/gsf-output.c,
	  lib/libgsf-1.12.3/gsf/gsf-output.h,
	  lib/libgsf-1.12.3/gsf/gsf-shared-memory.c,
	  lib/libgsf-1.12.3/gsf/gsf-shared-memory.h,
	  lib/libgsf-1.12.3/gsf/gsf-structured-blob.c,
	  lib/libgsf-1.12.3/gsf/gsf-structured-blob.h,
	  lib/libgsf-1.12.3/gsf/gsf-timestamp.c,
	  lib/libgsf-1.12.3/gsf/gsf-timestamp.h,
	  lib/libgsf-1.12.3/gsf/gsf-utils.c,
	  lib/libgsf-1.12.3/gsf/gsf-utils.h,
	  lib/libgsf-1.12.3/gsf/gsf-zip-impl.h,
	  lib/libgsf-1.12.3/gsf/gsf-zip-utils.c,
	  lib/libgsf-1.12.3/gsf/gsf.h, lib/libgsf-1.12.3/gsf/version.c.in,
	  lib/libgsf-1.12.3/gtk-doc.make, lib/libgsf-1.12.3/install-sh,
	  lib/libgsf-1.12.3/intltool-extract.in,
	  lib/libgsf-1.12.3/intltool-merge.in,
	  lib/libgsf-1.12.3/intltool-update.in,
	  lib/libgsf-1.12.3/libgsf-1.pc.in,
	  lib/libgsf-1.12.3/libgsf-1.spec.in,
	  lib/libgsf-1.12.3/libgsf-gnome-1.pc.in,
	  lib/libgsf-1.12.3/libgsf-gnome-1.spec.in,
	  lib/libgsf-1.12.3/libgsf-win32-1.pc.in,
	  lib/libgsf-1.12.3/libgsf-zip.in, lib/libgsf-1.12.3/ltmain.sh,
	  lib/libgsf-1.12.3/missing, lib/libgsf-1.12.3/mkinstalldirs,
	  lib/libgsf-1.12.3/po/ChangeLog,
	  lib/libgsf-1.12.3/po/Makefile.in.in,
	  lib/libgsf-1.12.3/po/POTFILES.in, lib/libgsf-1.12.3/po/es.po,
	  lib/libgsf-1.12.3/python/ChangeLog,
	  lib/libgsf-1.12.3/python/Makefile.am,
	  lib/libgsf-1.12.3/python/gsf.defs,
	  lib/libgsf-1.12.3/python/gsf.override,
	  lib/libgsf-1.12.3/python/gsfmodule.c,
	  lib/libgsf-1.12.3/tests/Makefile.am,
	  lib/libgsf-1.12.3/tests/test-bzip.c,
	  lib/libgsf-1.12.3/tests/test-cat-zip.c,
	  lib/libgsf-1.12.3/tests/test-cp-msole.c,
	  lib/libgsf-1.12.3/tests/test-cp-zip.c,
	  lib/libgsf-1.12.3/tests/test-cp.c,
	  lib/libgsf-1.12.3/tests/test-dump-msole.c,
	  lib/libgsf-1.12.3/tests/test-gzip1.c,
	  lib/libgsf-1.12.3/tests/test-gzip2.c,
	  lib/libgsf-1.12.3/tests/test-input1.c,
	  lib/libgsf-1.12.3/tests/test-ls-zip.c,
	  lib/libgsf-1.12.3/tests/test-msole-printf.c,
	  lib/libgsf-1.12.3/tests/test-msole1.c,
	  lib/libgsf-1.12.3/tests/test-msole2.c,
	  lib/libgsf-1.12.3/tests/test-msvba-zip.c,
	  lib/libgsf-1.12.3/tests/test-msvba.c,
	  lib/libgsf-1.12.3/tests/test-out-bzip.c,
	  lib/libgsf-1.12.3/tests/test-out-gzip1.c,
	  lib/libgsf-1.12.3/tests/test-out-gzip2.c,
	  lib/libgsf-1.12.3/tests/test-out-printf.c,
	  lib/libgsf-1.12.3/tests/test-outmem-printf.c,
	  lib/libgsf-1.12.3/tests/test-restore-msole.c,
	  lib/libgsf-1.12.3/tests/test-textline.c,
	  lib/libgsf-1.12.3/tests/test-zip-out-subdirs.c,
	  lib/libgsf-1.12.3/tests/test-zip-out.c,
	  lib/libgsf-1.12.3/tests/test-zip1.c,
	  lib/libgsf-1.12.3/tests/test-zip2.c,
	  src/gnome-utils/Makefile.am,
	  src/gnome-utils/gnc-html-graph-gog.c: Drop internal copies of
	  libgsf and goffice. Targeted distributions should have goffice
	  packages by now.

2007-03-09 04:00  jsled

	* [r15700] src/gnome-utils/gnc-dense-cal.c: Use correct index for
	  calendar month labels; remove unused identifiers.

2007-03-09 03:22  jsled

	* [r15699] src/gnome/dialog-sx-from-trans.c: update the
	  dense-cal-store for the proposed SX name/schedule-description.

2007-03-09 03:12  jsled

	* [r15698] src/gnome/dialog-sx-editor.c: update the sx name/info
	  in the example calendar.

2007-03-09 02:46  jsled

	* [r15697] HACKING: updates, formatting; add pointers to qoflog.h
	  doxygen documentation.

2007-03-09 02:44  jsled

	* [r15696] src/doc/sx.rst, src/gnome/druid-loan.c: Change
	  Mortgage/Loan druid to generate SXes with Recurrences, not
	  FreqSpecs.

2007-03-08 23:31  andi5

	* [r15695] src/gnome-utils/gnc-html-graph-gog.c: Remove unused
	  calls to goffice svg code. The included header file
	  gog-renderer-svg.h is installed only conditionally by recent
	  goffice versions, so drop the 0-#if'ed out code completely.

2007-03-08 23:11  andi5

	* [r15694] macros/pkg.m4: Correct r15693 and lower PKG too.

2007-03-08 22:42  andi5

	* [r15693] macros/pkg.m4: Fix autogen.sh warning about
	  PKG_CONFIG_MIN_VERSION. Lower-case that word in macros/pkg.m4 to
	  avoid the need to run autogen.sh twice.

2007-03-08 02:49  jsled

	* [r15689] src/doc/sx.rst, src/gnome/dialog-sx-from-trans.c:
	  Change sx-from-transaction dialog to generate Recurrences, not
	  FreqSpecs.
	* [r15688] src/gnome/glade/sched-xact.glade: Still not HIGified,
	  but a bit closer. :/

2007-03-08 01:53  jsled

	* [r15687] src/doc/sx.rst, src/gnome/dialog-sx-since-last-run.c:
	  fix corruption/crasher bug where we free a transaction's guid
	  without authority.

2007-03-07 23:46  jsled

	* [r15686] src/app-utils/gnc-sx-instance-model.c,
	  src/backend/file/gnc-schedxaction-xml-v2.c,
	  src/engine/SX-book.c, src/engine/SchedXaction.c,
	  src/gnome-utils/gnc-frequency.c,
	  src/gnome-utils/gnc-html-graph-gog.c,
	  src/gnome/dialog-sx-editor.c,
	  src/gnome/gnc-plugin-page-sx-list.c,
	  src/register/register-core/formulacell.c: Cleanup unused
	  qof-style "log_module" variables.

2007-03-07 23:38  jsled

	* [r15685] src/backend/file/gnc-freqspec-xml-v2.c: set more
	  correct daily value

2007-03-07 23:36  jsled

	* [r15684] src/backend/file/gnc-book-xml-v2.c,
	  src/gnome-utils/dialog-account.c,
	  src/gnome-utils/gnc-tree-view-sx-list.c,
	  src/import-export/qif-import/druid-qif-import.c: Remove unused
	  variables.

2007-03-07 23:34  jsled

	* [r15683] src/gnome-utils/gnc-html.c: Remove unused definitions.

2007-03-07 00:27  andi5

	* [r15682] src/gnome-utils/dialog-totd.c: Fix tip of the day
	  dialog on Windows. On Windows, entries in tip_of_the_day.list
	  are separated by five newlines. This led to empty strings in the
	  dialog that got translated to the head part of xy.po. Fix this
	  by replacing all substrings of its contents of more than two
	  newlines by \n\n and also removing leading and trailing \n\n.

2007-03-06 19:57  andi5

	* [r15681] packaging/win32/custom.sh: Install.sh: Update cairo,
	  pango, intltool and aqbanking.

2007-03-06 14:12  jsled

	* [r15679] src/doc/sx.rst: Add Volker Englisch's note re weirdness
	  in created-txn review page.

2007-03-04 00:21  andi5

	* [r15678] src/gnome-utils/dialog-account.c: On creating a new
	  account, do not check account types of children. In that
	  situation, the current accounts type is invalid, so calling
	  xaccAccountTypesCompatible against the chosen type will log an
	  error. Because of the apparent lack of children there is no real
	  problem, so just skip the test. BP

2007-03-03 16:41  hampton

	* [r15677] src/app-utils/gnc-ui-util.c,
	  src/app-utils/gnc-ui-util.h: Find the root based off the current
	  account and not the book. It matters in this situation as the
	  accounts haven't actually been added to the book yet. Fixes
	  #414118.

2007-03-02 13:19  andi5

	* [r15676] src/gnome-utils/window-main-summarybar.c: Patch from
	  Mike Alexander to fix a memory leak in the summary bar. #413568.
	  When gnc_main_window_summary_refresh is called to update the
	  summary bar at the bottom of the main window, it gets a GList to
	  manage the various currencies involved. It never frees this list
	  so each call leaks some memory. BP

2007-02-28 05:57  hampton

	* [r15675] configure.in: Patch from Bill Nottingham to remove
	  redundant ofx checks.

2007-02-28 04:42  hampton

	* [r15674] src/backend/file/gnc-schedxaction-xml-v2.c,
	  src/engine/SchedXaction.c, src/engine/SchedXaction.h: Destroy no
	  longer used template accounts when reading scheduled
	  transactions from a file. Fixes #412673.

2007-02-27 14:37  jsled

	* [r15673] src/doc/sx.rst: Add todo/bug.

2007-02-27 09:24  andi5

	* [r15672] packaging/win32/install.sh: Install.sh: Use add_to_env
	  to add svn bindir to PATH.

2007-02-27 02:56  jsled

	* [r15671] src/register/ledger-core/split-register-model.c:
	  Bug#412442: initialize "display negative amounts in red" option
	  correctly. Patch from Mike Alexander <mta@umich.edu>.

2007-02-26 05:40  hampton

	* [r15667] src/gnome-utils/gnc-frequency.c,
	  src/gnome/dialog-sx-since-last-run.c,
	  src/gnome/gnc-plugin-page-sx-list.c: Remove some unused
	  variables and function declarations.

2007-02-25 21:54  cstim

	* [r15663] src/import-export/hbci/dialog-hbcitrans.c,
	  src/import-export/hbci/gnc-hbci-utils.c,
	  src/import-export/hbci/gnc-hbci-utils.h: Add check for entered
	  transaction to always have a recipient name; add some more
	  logging code for aqbanking results.

2007-02-25 20:36  jsled

	* [r15662] src/report/report-system/report.scm: Bug#342206:
	  evaluate the saved form of the report to get it added to the
	  runtime environment; if the result of the eval is not a record
	  (i.e., the report), then assume that the report has the same
	  name as an existing report, and don't write it to the saved
	  reports file.

2007-02-25 19:51  jsled

	* [r15661] src/doc/sx.rst, src/gnome/dialog-sx-since-last-run.c,
	  src/gnome/dialog-sx-since-last-run.h,
	  src/gnome/gnc-plugin-basic-commands.c: Keep track of
	  auto-created transactions, and review them as well.

2007-02-25 17:35  andi5

	* [r15660] src/app-utils/app-utils.i, src/app-utils/guile-util.c,
	  src/app-utils/guile-util.h, src/core-utils/gnc-glib-utils.c,
	  src/core-utils/gnc-glib-utils.h: Add wrappable functions to
	  spawn, chat with and kill processes. * gnc_spawn_process_async,
	  gnc_process_get_fd and gnc_detach_process in
	  app-utils/guile-util * gnc_gpid_kill in
	  core-utils/gnc-glib-utils. Works on Windows too. Defined there
	  to avoid clashes with GUID definitions from winbase.h.

2007-02-25 16:42  jsled

	* [r15659] src/gnome-utils/gnc-frequency.c: Bug#392166: don't try
	  to force "agreement" between the frequency selections and the
	  start date; it's way too smart, and prevents the user from
	  expressing what they might need or want.

2007-02-25 16:21  jsled

	* [r15658] configure.in, src/Makefile.am,
	  src/gnome-utils/Makefile.am, src/gnome-utils/gnc-html.c,
	  src/gnome-utils/gnc-html.h,
	  src/gnome-utils/gncmod-gnome-utils.c,
	  src/gnome-utils/test/Makefile.am, src/gnome/Makefile.am,
	  src/import-export/qif/test/Makefile.am,
	  src/import-export/test/Makefile.am, src/network-utils,
	  src/report/report-gnome/test/Makefile.am,
	  src/report/stylesheets/test/Makefile.am: Remove
	  src/network-utils/, module, lingering usages of
	  (obsolete/stubbed-out) gnc-http, form-submission.

2007-02-25 16:18  jsled

	* [r15657] src/doc/sx.rst: Updates

2007-02-25 15:25  jsled

	* [r15656] src/bin/gnucash-bin.c: Bug#338107: reorder startup to
	  make `gnucash --help` faster. :p

2007-02-25 15:08  jsled

	* [r15655] doc/gnucash.1.in, src/bin/gnucash-bin.c: Bug#397689:
	  update man page to reflect recent options changes. Make
	  fail-on-unknown-option error point the user to '--help'.

2007-02-25 11:15  andi5

	* [r15654] src/gnome-utils/gnc-html.c: Fix one more issue of
	  debug-printing %s with NULL.

2007-02-25 06:19  hampton

	* [r15653] src/scm/printing/number-to-words.scm: Guile 1.8 seems
	  to be pickier about inexact->exact producing integer numbers. BP

2007-02-24 02:46  andi5

	* [r15652] src/backend/file/gnc-backend-file.c: Change yet another
	  chmod to g_chmod.

2007-02-24 00:52  andi5

	* [r15651] src/bin/gnucash-bin.c: Update for 2.0.5 release.

2007-02-23 03:53  hampton

	* [r15650] src/gnome/gnc-plugin-page-account-tree.c: Show a busy
	  cursor while deleting an account, in case the deletion takes a
	  while.

2007-02-23 03:42  hampton

	* [r15649] src/gnome/gnc-plugin-page-account-tree.c: When deleting
	  an account, correctly display the new account to which
	  transactions will be moved. BP

2007-02-23 01:24  hampton

	* [r15648] accounts/C/acctchrt_brokerage.gnucash-xea,
	  accounts/C/acctchrt_business.gnucash-xea,
	  accounts/C/acctchrt_carloan.gnucash-xea,
	  accounts/C/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/C/acctchrt_checkbook.gnucash-xea,
	  accounts/C/acctchrt_childcare.gnucash-xea,
	  accounts/C/acctchrt_common.gnucash-xea,
	  accounts/C/acctchrt_eduloan.gnucash-xea,
	  accounts/C/acctchrt_fixedassets.gnucash-xea,
	  accounts/C/acctchrt_full.gnucash-xea,
	  accounts/C/acctchrt_homeloan.gnucash-xea,
	  accounts/C/acctchrt_homeown.gnucash-xea,
	  accounts/C/acctchrt_otherloan.gnucash-xea,
	  accounts/C/acctchrt_renter.gnucash-xea,
	  accounts/C/acctchrt_retiremt.gnucash-xea,
	  accounts/C/acctchrt_spouseinc.gnucash-xea,
	  accounts/C/acctchrt_spouseretire.gnucash-xea,
	  accounts/da/acctchrt_car.gnucash-xea,
	  accounts/da/acctchrt_common.gnucash-xea,
	  accounts/da/acctchrt_homeloan.gnucash-xea,
	  accounts/da/acctchrt_homeown.gnucash-xea,
	  accounts/de_AT/acctchrt_auto.gnucash-xea,
	  accounts/de_AT/acctchrt_autoloan.gnucash-xea,
	  accounts/de_AT/acctchrt_brokerage.gnucash-xea,
	  accounts/de_AT/acctchrt_business.gnucash-xea,
	  accounts/de_AT/acctchrt_common.gnucash-xea,
	  accounts/de_AT/acctchrt_houseown.gnucash-xea,
	  accounts/de_AT/acctchrt_investment.gnucash-xea,
	  accounts/de_AT/acctchrt_kids.gnucash-xea,
	  accounts/de_CH/acctchrt_brokerage.gnucash-xea,
	  accounts/de_CH/acctchrt_chkmu.gnucash-xea,
	  accounts/de_CH/acctchrt_common.gnucash-xea,
	  accounts/de_CH/acctchrt_kids.gnucash-xea,
	  accounts/de_CH/acctchrt_otherasset.gnucash-xea,
	  accounts/de_CH/acctchrt_otherloan.gnucash-xea,
	  accounts/de_DE/acctchrt_auto.gnucash-xea,
	  accounts/de_DE/acctchrt_autoloan.gnucash-xea,
	  accounts/de_DE/acctchrt_brokerage.gnucash-xea,
	  accounts/de_DE/acctchrt_common.gnucash-xea,
	  accounts/de_DE/acctchrt_full.gnucash-xea,
	  accounts/de_DE/acctchrt_houseown.gnucash-xea,
	  accounts/de_DE/acctchrt_investment.gnucash-xea,
	  accounts/de_DE/acctchrt_kids.gnucash-xea,
	  accounts/de_DE/acctchrt_otherasset.gnucash-xea,
	  accounts/de_DE/acctchrt_otherloan.gnucash-xea,
	  accounts/de_DE/acctchrt_skr03.gnucash-xea,
	  accounts/de_DE/acctchrt_skr04.gnucash-xea,
	  accounts/de_DE/acctchrt_studium.gnucash-xea,
	  accounts/el_GR/acctchrt_brokerage.gnucash-xea,
	  accounts/el_GR/acctchrt_carloan.gnucash-xea,
	  accounts/el_GR/acctchrt_common.gnucash-xea,
	  accounts/es_ES/acctchrt_brokerage.gnucash-xea,
	  accounts/es_ES/acctchrt_carloan.gnucash-xea,
	  accounts/es_ES/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/es_ES/acctchrt_childcare.gnucash-xea,
	  accounts/es_ES/acctchrt_common.gnucash-xea,
	  accounts/es_ES/acctchrt_currency.gnucash-xea,
	  accounts/es_ES/acctchrt_eduloan.gnucash-xea,
	  accounts/es_ES/acctchrt_fixedassets.gnucash-xea,
	  accounts/es_ES/acctchrt_homeloan.gnucash-xea,
	  accounts/es_ES/acctchrt_homeown.gnucash-xea,
	  accounts/es_ES/acctchrt_otherloan.gnucash-xea,
	  accounts/es_ES/acctchrt_renter.gnucash-xea,
	  accounts/es_ES/acctchrt_retiremt.gnucash-xea,
	  accounts/es_ES/acctchrt_spouseinc.gnucash-xea,
	  accounts/es_ES/acctchrt_spouseretire.gnucash-xea,
	  accounts/fr_CA/acctchrt_actifsfixes.gnucash-xea,
	  accounts/fr_CA/acctchrt_automobile.gnucash-xea,
	  accounts/fr_CA/acctchrt_basecommune.gnucash-xea,
	  accounts/fr_CA/acctchrt_cdmarchemon.gnucash-xea,
	  accounts/fr_CA/acctchrt_chequier.gnucash-xea,
	  accounts/fr_CA/acctchrt_conjointretraite.gnucash-xea,
	  accounts/fr_CA/acctchrt_conjointrev.gnucash-xea,
	  accounts/fr_CA/acctchrt_courtage.gnucash-xea,
	  accounts/fr_CA/acctchrt_etudeemprunt.gnucash-xea,
	  accounts/fr_CA/acctchrt_garderie.gnucash-xea,
	  accounts/fr_CA/acctchrt_locataire.gnucash-xea,
	  accounts/fr_CA/acctchrt_proprietaire.gnucash-xea,
	  accounts/fr_CA/acctchrt_retraite.gnucash-xea,
	  accounts/fr_CA/acctchrt_revenus.gnucash-xea,
	  accounts/fr_CH/acctchrt_brokerage.gnucash-xea,
	  accounts/fr_CH/acctchrt_business.gnucash-xea,
	  accounts/fr_CH/acctchrt_carloan.gnucash-xea,
	  accounts/fr_CH/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/fr_CH/acctchrt_childcare.gnucash-xea,
	  accounts/fr_CH/acctchrt_common.gnucash-xea,
	  accounts/fr_CH/acctchrt_currency.gnucash-xea,
	  accounts/fr_CH/acctchrt_eduloan.gnucash-xea,
	  accounts/fr_CH/acctchrt_fixedassets.gnucash-xea,
	  accounts/fr_CH/acctchrt_homeloan.gnucash-xea,
	  accounts/fr_CH/acctchrt_homeown.gnucash-xea,
	  accounts/fr_CH/acctchrt_otherloan.gnucash-xea,
	  accounts/fr_CH/acctchrt_renter.gnucash-xea,
	  accounts/fr_CH/acctchrt_retiremt.gnucash-xea,
	  accounts/fr_CH/acctchrt_spouseinc.gnucash-xea,
	  accounts/fr_CH/acctchrt_spouseretire.gnucash-xea,
	  accounts/fr_FR/acctchrt_brokerage.gnucash-xea,
	  accounts/fr_FR/acctchrt_business.gnucash-xea,
	  accounts/fr_FR/acctchrt_carloan.gnucash-xea,
	  accounts/fr_FR/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/fr_FR/acctchrt_childcare.gnucash-xea,
	  accounts/fr_FR/acctchrt_common.gnucash-xea,
	  accounts/fr_FR/acctchrt_currency.gnucash-xea,
	  accounts/fr_FR/acctchrt_eduloan.gnucash-xea,
	  accounts/fr_FR/acctchrt_fixedassets.gnucash-xea,
	  accounts/fr_FR/acctchrt_homeloan.gnucash-xea,
	  accounts/fr_FR/acctchrt_homeown.gnucash-xea,
	  accounts/fr_FR/acctchrt_otherloan.gnucash-xea,
	  accounts/fr_FR/acctchrt_renter.gnucash-xea,
	  accounts/fr_FR/acctchrt_retiremt.gnucash-xea,
	  accounts/fr_FR/acctchrt_spouseinc.gnucash-xea,
	  accounts/fr_FR/acctchrt_spouseretire.gnucash-xea,
	  accounts/hu_HU/acctchrt_brokerage.gnucash-xea,
	  accounts/hu_HU/acctchrt_business.gnucash-xea,
	  accounts/hu_HU/acctchrt_carloan.gnucash-xea,
	  accounts/hu_HU/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/hu_HU/acctchrt_checkbook.gnucash-xea,
	  accounts/hu_HU/acctchrt_childcare.gnucash-xea,
	  accounts/hu_HU/acctchrt_common.gnucash-xea,
	  accounts/hu_HU/acctchrt_eduloan.gnucash-xea,
	  accounts/hu_HU/acctchrt_fixedassets.gnucash-xea,
	  accounts/hu_HU/acctchrt_homeloan.gnucash-xea,
	  accounts/hu_HU/acctchrt_homeown.gnucash-xea,
	  accounts/hu_HU/acctchrt_otherloan.gnucash-xea,
	  accounts/hu_HU/acctchrt_renter.gnucash-xea,
	  accounts/hu_HU/acctchrt_retiremt.gnucash-xea,
	  accounts/hu_HU/acctchrt_spouseinc.gnucash-xea,
	  accounts/hu_HU/acctchrt_spouseretire.gnucash-xea,
	  accounts/it/acctchrt_brokerage.gnucash-xea,
	  accounts/it/acctchrt_carloan.gnucash-xea,
	  accounts/it/acctchrt_checkbook.gnucash-xea,
	  accounts/it/acctchrt_childcare.gnucash-xea,
	  accounts/it/acctchrt_common.gnucash-xea,
	  accounts/it/acctchrt_fixedassets.gnucash-xea,
	  accounts/it/acctchrt_homeloan.gnucash-xea,
	  accounts/it/acctchrt_homeown.gnucash-xea,
	  accounts/it/acctchrt_otherloan.gnucash-xea,
	  accounts/it/acctchrt_renter.gnucash-xea,
	  accounts/it/acctchrt_retiremt.gnucash-xea,
	  accounts/it/acctchrt_spouseinc.gnucash-xea,
	  accounts/it/acctchrt_spouseretire.gnucash-xea,
	  accounts/ja_JP.EUC/acctchrt_common.gnucash-xea,
	  accounts/nb/acctchrt_brokerage.gnucash-xea,
	  accounts/nb/acctchrt_business.gnucash-xea,
	  accounts/nb/acctchrt_carloan.gnucash-xea,
	  accounts/nb/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/nb/acctchrt_checkbook.gnucash-xea,
	  accounts/nb/acctchrt_childcare.gnucash-xea,
	  accounts/nb/acctchrt_common.gnucash-xea,
	  accounts/nb/acctchrt_eduloan.gnucash-xea,
	  accounts/nb/acctchrt_fixedassets.gnucash-xea,
	  accounts/nb/acctchrt_full.gnucash-xea,
	  accounts/nb/acctchrt_homeloan.gnucash-xea,
	  accounts/nb/acctchrt_homeown.gnucash-xea,
	  accounts/nb/acctchrt_otherloan.gnucash-xea,
	  accounts/nb/acctchrt_renter.gnucash-xea,
	  accounts/nb/acctchrt_retiremt.gnucash-xea,
	  accounts/nb/acctchrt_spouseinc.gnucash-xea,
	  accounts/nb/acctchrt_spouseretire.gnucash-xea,
	  accounts/pt_BR/acctchrt_brokerage.gnucash-xea,
	  accounts/pt_BR/acctchrt_carloan.gnucash-xea,
	  accounts/pt_BR/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/pt_BR/acctchrt_childcare.gnucash-xea,
	  accounts/pt_BR/acctchrt_common.gnucash-xea,
	  accounts/pt_BR/acctchrt_currency.gnucash-xea,
	  accounts/pt_BR/acctchrt_eduloan.gnucash-xea,
	  accounts/pt_BR/acctchrt_fixedassets.gnucash-xea,
	  accounts/pt_BR/acctchrt_homeloan.gnucash-xea,
	  accounts/pt_BR/acctchrt_homeown.gnucash-xea,
	  accounts/pt_BR/acctchrt_otherloan.gnucash-xea,
	  accounts/pt_BR/acctchrt_renter.gnucash-xea,
	  accounts/pt_BR/acctchrt_retiremt.gnucash-xea,
	  accounts/pt_BR/acctchrt_spouseinc.gnucash-xea,
	  accounts/pt_BR/acctchrt_spouseretire.gnucash-xea,
	  accounts/pt_PT/acctchrt_brokerage.gnucash-xea,
	  accounts/pt_PT/acctchrt_carloan.gnucash-xea,
	  accounts/pt_PT/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/pt_PT/acctchrt_childcare.gnucash-xea,
	  accounts/pt_PT/acctchrt_common.gnucash-xea,
	  accounts/pt_PT/acctchrt_eduloan.gnucash-xea,
	  accounts/pt_PT/acctchrt_fixedassets.gnucash-xea,
	  accounts/pt_PT/acctchrt_homeloan.gnucash-xea,
	  accounts/pt_PT/acctchrt_homeown.gnucash-xea,
	  accounts/pt_PT/acctchrt_otherloan.gnucash-xea,
	  accounts/pt_PT/acctchrt_renter.gnucash-xea,
	  accounts/pt_PT/acctchrt_retiremt.gnucash-xea,
	  accounts/pt_PT/acctchrt_spouseinc.gnucash-xea,
	  accounts/pt_PT/acctchrt_spouseretire.gnucash-xea,
	  accounts/sk/acctchrt_brokerage.gnucash-xea,
	  accounts/sk/acctchrt_carloan.gnucash-xea,
	  accounts/sk/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/sk/acctchrt_childcare.gnucash-xea,
	  accounts/sk/acctchrt_common.gnucash-xea,
	  accounts/sk/acctchrt_currency.gnucash-xea,
	  accounts/sk/acctchrt_eduloan.gnucash-xea,
	  accounts/sk/acctchrt_fixedassets.gnucash-xea,
	  accounts/sk/acctchrt_homeloan.gnucash-xea,
	  accounts/sk/acctchrt_homeown.gnucash-xea,
	  accounts/sk/acctchrt_otherloan.gnucash-xea,
	  accounts/sk/acctchrt_renter.gnucash-xea,
	  accounts/sk/acctchrt_retiremt.gnucash-xea,
	  accounts/sk/acctchrt_spouseinc.gnucash-xea,
	  accounts/sk/acctchrt_spouseretire.gnucash-xea,
	  accounts/tr_TR/acctchrt_TEKDUZ.gnucash-xea,
	  accounts/tr_TR/acctchrt_brokerage.gnucash-xea,
	  accounts/tr_TR/acctchrt_carloan.gnucash-xea,
	  accounts/tr_TR/acctchrt_cdmoneymkt.gnucash-xea,
	  accounts/tr_TR/acctchrt_checkbook.gnucash-xea,
	  accounts/tr_TR/acctchrt_common.gnucash-xea,
	  accounts/tr_TR/acctchrt_fixedassets.gnucash-xea,
	  accounts/tr_TR/acctchrt_homeloan.gnucash-xea: Update the example
	  account trees to include a new root account.

2007-02-23 01:23  hampton

	* [r15647] lib/libqof/backend/file/qof-backend-qsf.h,
	  lib/libqof/qof/qofinstance-p.h, lib/libqof/qof/qofinstance.h,
	  lib/libqof/qof/qofsession.h, src/app-utils/app-utils.i,
	  src/app-utils/gnc-account-merge.c,
	  src/app-utils/gnc-account-merge.h,
	  src/app-utils/gnc-component-manager.c,
	  src/app-utils/gnc-sx-instance-model.c,
	  src/app-utils/gnc-ui-util.c, src/app-utils/gnc-ui-util.h,
	  src/app-utils/guile-util.h, src/app-utils/options.scm,
	  src/backend/file/gnc-account-xml-v2.c,
	  src/backend/file/gnc-book-xml-v2.c,
	  src/backend/file/gnc-commodity-xml-v2.c,
	  src/backend/file/gnc-schedxaction-xml-v2.c,
	  src/backend/file/gnc-xml.h,
	  src/backend/file/io-example-account.c,
	  src/backend/file/io-example-account.h,
	  src/backend/file/io-gncxml-v1.c,
	  src/backend/file/io-gncxml-v2.c, src/backend/file/io-utils.c,
	  src/backend/file/io-utils.h,
	  src/backend/file/test/test-load-example-account.c,
	  src/backend/file/test/test-load-xml2.c,
	  src/backend/file/test/test-xml-account.c,
	  src/backend/file/test/test-xml-transaction.c,
	  src/backend/postgres/PostgresBackend.c,
	  src/backend/postgres/PostgresBackend.h,
	  src/backend/postgres/account.c, src/backend/postgres/account.h,
	  src/backend/postgres/checkpoint.c,
	  src/backend/postgres/checkpoint.h,
	  src/backend/postgres/events.c, src/backend/postgres/table.m4,
	  src/backend/postgres/test/test-db.c,
	  src/backend/postgres/test/test-period.c,
	  src/backend/postgres/txn.c, src/backend/postgres/txn.h,
	  src/backend/postgres/txnmass.c,
	  src/business/business-core/gncInvoice.c,
	  src/business/business-gnome/business-gnome-utils.c,
	  src/business/business-gnome/dialog-payment.c,
	  src/business/business-gnome/gnc-plugin-business.c,
	  src/business/business-gnome/gnc-plugin-page-invoice.c,
	  src/business/business-ledger/gncEntryLedger.c,
	  src/business/business-ledger/gncEntryLedgerLoad.c,
	  src/business/business-reports/owner-report.scm,
	  src/engine/Account.c, src/engine/Account.h,
	  src/engine/AccountP.h, src/engine/Group.c, src/engine/Group.h,
	  src/engine/GroupP.h, src/engine/Makefile.am,
	  src/engine/Period.c, src/engine/SX-book-p.h,
	  src/engine/SX-book.c, src/engine/SX-book.h,
	  src/engine/SchedXaction.c, src/engine/Scrub.c,
	  src/engine/Scrub.h, src/engine/Scrub2.c, src/engine/Scrub3.c,
	  src/engine/Scrub3.h, src/engine/ScrubP.h, src/engine/Split.c,
	  src/engine/TransLog.c, src/engine/Transaction.c,
	  src/engine/Transaction.h, src/engine/cap-gains.c,
	  src/engine/cashobjects.c, src/engine/engine-helpers.c,
	  src/engine/engine-utilities.scm, src/engine/engine.i,
	  src/engine/engine.scm, src/engine/gnc-associate-account.c,
	  src/engine/gnc-budget.c, src/engine/gnc-engine.c,
	  src/engine/gnc-engine.h,
	  src/engine/test-core/test-engine-stuff.c,
	  src/engine/test-core/test-engine-stuff.h,
	  src/engine/test/test-create-account.scm,
	  src/engine/test/test-group-vs-book.c,
	  src/engine/test/test-lots.c, src/engine/test/test-period.c,
	  src/engine/test/test-query.c,
	  src/experimental/cgi-bin/gnc-server.c,
	  src/experimental/cgi-bin/hello2.c,
	  src/experimental/cgi-bin/hello3.c,
	  src/gnome-utils/account-quickfill.c,
	  src/gnome-utils/account-quickfill.h,
	  src/gnome-utils/dialog-account.c,
	  src/gnome-utils/dialog-account.h,
	  src/gnome-utils/dialog-transfer.c,
	  src/gnome-utils/dialog-utils.c,
	  src/gnome-utils/gnc-account-sel.c, src/gnome-utils/gnc-file.c,
	  src/gnome-utils/gnc-html.c,
	  src/gnome-utils/gnc-tree-model-account.c,
	  src/gnome-utils/gnc-tree-model-account.h,
	  src/gnome-utils/gnc-tree-model.h,
	  src/gnome-utils/gnc-tree-view-account.c,
	  src/gnome-utils/gnc-tree-view-account.h,
	  src/gnome-utils/window-main-summarybar.c,
	  src/gnome/dialog-commodities.c,
	  src/gnome/dialog-find-transactions.c,
	  src/gnome/druid-acct-period.c, src/gnome/druid-hierarchy.c,
	  src/gnome/druid-merge.c, src/gnome/druid-merge.h,
	  src/gnome/druid-stock-split.c,
	  src/gnome/gnc-plugin-page-account-tree.c,
	  src/gnome/gnc-plugin-page-register.c, src/gnome/gnc-split-reg.c,
	  src/gnome/reconcile-list.c, src/gnome/top-level.c,
	  src/gnome/window-reconcile.c,
	  src/import-export/binary-import/druid-commodity.c,
	  src/import-export/hbci/druid-hbci-utils.c,
	  src/import-export/hbci/gnc-hbci-gettrans.c,
	  src/import-export/hbci/gnc-hbci-transfer.c,
	  src/import-export/import-account-matcher.c,
	  src/import-export/import-backend.c,
	  src/import-export/import-match-map.c,
	  src/import-export/ofx/gnc-ofx-import.c,
	  src/import-export/qif-import/druid-qif-import.c,
	  src/import-export/qif-import/qif-dialog-utils.scm,
	  src/import-export/qif-import/qif-guess-map.scm,
	  src/import-export/qif-import/qif-import.scm,
	  src/import-export/qif-import/qif-merge-groups.scm,
	  src/import-export/qif-import/qif-to-gnc.scm,
	  src/import-export/qif-io-core/qif-acct-table.scm,
	  src/import-export/qif-io-core/qif-io-core.scm,
	  src/import-export/qif-io-core/test/test-import-phase-1.scm,
	  src/register/ledger-core/gnc-ledger-display.c,
	  src/register/ledger-core/split-register-control.c,
	  src/register/ledger-core/split-register-load.c,
	  src/register/ledger-core/split-register-model.c,
	  src/register/ledger-core/split-register-p.h,
	  src/register/ledger-core/split-register.c,
	  src/register/ledger-core/split-register.h,
	  src/report/locale-specific/us/taxtxf-de_DE.scm,
	  src/report/locale-specific/us/taxtxf.scm,
	  src/report/report-system/commodity-utilities.scm,
	  src/report/report-system/html-acct-table.scm,
	  src/report/report-system/html-utilities.scm,
	  src/report/report-system/report-system.scm,
	  src/report/report-system/report-utilities.scm,
	  src/report/standard-reports/account-piecharts.scm,
	  src/report/standard-reports/account-summary.scm,
	  src/report/standard-reports/advanced-portfolio.scm,
	  src/report/standard-reports/average-balance.scm,
	  src/report/standard-reports/balance-sheet.scm,
	  src/report/standard-reports/budget.scm,
	  src/report/standard-reports/cash-flow.scm,
	  src/report/standard-reports/category-barchart.scm,
	  src/report/standard-reports/daily-reports.scm,
	  src/report/standard-reports/equity-statement.scm,
	  src/report/standard-reports/general-journal.scm,
	  src/report/standard-reports/income-statement.scm,
	  src/report/standard-reports/net-barchart.scm,
	  src/report/standard-reports/portfolio.scm,
	  src/report/standard-reports/price-scatter.scm,
	  src/report/standard-reports/transaction.scm,
	  src/report/standard-reports/trial-balance.scm,
	  src/scm/price-quotes.scm: Remove all traces of the AccountGroup
	  data structure. Accounts now point directly to their parent and
	  have a simple GList of children. (The old method was alternating
	  data structures in the form Account, AccountGroup, Account,
	  AccountGroup, etc.)

2007-02-22 03:01  jsled

	* [r15646] src/gnome/gnc-plugin-page-sx-list.c: Slightly more
	  clear.

2007-02-22 02:35  jsled

	* [r15645] src/gnome/gnc-plugin-page-sx-list.c: Fix crash in the
	  list-based Delete and Edit operations due to argument-order
	  differences.

2007-02-22 02:34  jsled

	* [r15644] src/doc/sx.rst: Tick off todo as per last commit

2007-02-22 02:28  jsled

	* [r15643] src/gnome/gnc-plugin-page-sx-list.c: Fix compilation
	  breakage; setup default SX period via Recurrence, not FreqSpec.

2007-02-22 02:20  jsled

	* [r15642] src/doc/sx.rst, src/gnome-utils/Makefile.am,
	  src/gnome-utils/gnc-sx-list-tree-model-adapter.c,
	  src/gnome-utils/gnc-sx-list-tree-model-adapter.h,
	  src/gnome-utils/gnc-tree-view-sx-list.c,
	  src/gnome-utils/gnc-tree-view-sx-list.h, src/gnome/Makefile.am,
	  src/gnome/glade/sched-xact.glade,
	  src/gnome/gnc-plugin-page-sx-list.c,
	  src/gnome/gnc-sx-list-tree-model-adapter.c,
	  src/gnome/gnc-sx-list-tree-model-adapter.h: Factor the sx-list
	  tree view out and promote into an GncTreeViewSxList as a
	  subclass of GncTreeView. Move the gnc-sx-list-tree-model-adapter
	  into gnome-utils to accomodate.

2007-02-21 19:50  andi5

	* [r15641] src/business/business-gnome/dialog-invoice.c: Reenable
	  search for Voucher Owner. Fixes #410511. In the "Find Expense
	  Voucher" search dialog one cannot search for voucher owners
	  because of this typo. BP

2007-02-21 18:46  andi5

	* [r15640] src/business/business-core/business-core.scm:
	  gnc:job-get-owner is gncJobGetOwner now. Fixes #410407.

2007-02-21 06:59  hampton

	* [r15639] src/engine/Account.c, src/engine/Account.h,
	  src/engine/Group.c, src/gnome-utils/gnc-tree-view-account.c:
	  Simplify function parameters.

2007-02-21 02:05  hampton

	* [r15638] src/backend/file/io-gncbin-r.c,
	  src/backend/file/io-gncbin.h: Remove obsoleted files.

2007-02-19 23:45  jsled

	* [r15637] src/core-utils/core-utils.i,
	  src/core-utils/core-utils.scm, src/core-utils/gnc-glib-utils.c,
	  src/core-utils/gnc-glib-utils.h, src/scm/main.scm,
	  src/scm/price-quotes.scm: (Swig-)expose functions to g_log(...)
	  at various levels; convert the gnc:{error,warn,msg,debug}
	  functions to use those. Make sure the Finance::Quote version is
	  sent to stdout no matter what.

2007-02-19 23:06  jsled

	* [r15636] src/doc/sx.rst, src/gnome/druid-acct-period.c: Remove
	  the accounting period druid usage of FreqSpec.

2007-02-19 23:00  hampton

	* [r15635] src/gnome/lot-viewer.c: Remove extra argument to
	  gtk_list_store_set. Fixes #409758. BP

2007-02-19 22:52  jsled

	* [r15634] src/doc/sx.rst, src/engine/Recurrence.c,
